
-- **************************************************************************
-- PURPOSE:Migrate from 6.1.1.2 to 6.1.1.3
-- **************************************************************************
connect owner/ownerpass
set echo on
SET AUTOCOMMIT ON
spool logs/step2.log

ALTER SESSION SET NLS_DATE_FORMAT='YYYY-MM-DD';

ALTER SESSION SET NLS_TIMESTAMP_FORMAT ='YYYY-MM-DD HH24:MI:SS.FF6';
COMMIT WORK;


--DROP ALL THE TRIGGERS BEFORE RUNNING THE FOLLOWING MIGRATIONS OTHERWISE FAILURE

DROP INDEX TPOOL_ENID_XU;
DROP INDEX TPOOL_RK_CU;                      
DROP INDEX POOL_DOM_ID_XXX; 
DROP INDEX POOL_USRGROUP_XXX ; 
DROP INDEX POOL_MGR_XXX; 
DROP INDEX TPOO_NID_XX; 
DROP INDEX TPOOL_EXTREF_XX;   

DROP TABLE TMT_POOLS_TMP;

CREATE TABLE TMT_POOLS_TMP (
	LEVEL_ID NUMBER(10) NOT NULL,
	TYPE_ID NUMBER(10) DEFAULT 0 NOT NULL,
	MAX_RANK NUMBER(10) DEFAULT 0 NOT NULL,
	CHILD_COUNT NUMBER(10) DEFAULT 0 NOT NULL,
	DELETED_COUNT NUMBER(10) DEFAULT 0 NOT NULL,
	ELEMENT_ID VARCHAR2(32),
	ELEMENT_NAME VARCHAR2(100),
	PARENT_ID VARCHAR2(32),
	REC_USER VARCHAR2(32),
	REC_STATUS VARCHAR2(1) DEFAULT 'O' NOT NULL,
	REC_DATETIME TIMESTAMP DEFAULT SYSTIMESTAMP NOT NULL,
	LABEL VARCHAR2(50),
	DESCRIPTION VARCHAR2(4000),
	DEFAULT_FLAG VARCHAR2(1),
	RANK VARCHAR2(128) NOT NULL,
	DOMAIN_ID VARCHAR2(32),
	MANAGER_ID VARCHAR2(32),
	COMPANY_NAME VARCHAR2(50),
	ADDRESS VARCHAR2(255),
	PHONE VARCHAR2(25),
	FAX VARCHAR2(25),
	WEBSITE VARCHAR2(255),
	CONTACT_NAME VARCHAR2(50),
	OTHER_LOCATION VARCHAR2(255),
	YEAR_IN_BUSINESS NUMBER(10),
	CLIENT_MORE_100_EMPLOYEES NUMBER(10),
	CLIENT_MORE_1000_EMPLOYEES NUMBER(10),
	CLIENT_MORE_10000_EMPLOYEES NUMBER(10),
	NUMBER_EMPLOYEES NUMBER(10),
	NUMBER_POOLS NUMBER(10),
	NUMBER_CLIENTS NUMBER(10),
	ANNUAL_REVENUES NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	BILLING_ADDRESS VARCHAR2(255),
	BILLING_PHONE VARCHAR2(25),
	BILLING_FAX VARCHAR2(25),
	BILLING_EMAIL VARCHAR2(50),
	EQUAL_OPPORTUNITY VARCHAR2(1),
	MAJOR_REVISION NUMBER(5) DEFAULT 0 NOT NULL,
	MINOR_REVISION NUMBER(5) DEFAULT 1 NOT NULL,
	REVISION_IMPACT NUMBER(10) DEFAULT 137,
	REVISION_TYPE NUMBER(10) DEFAULT 920,
	REVISION_HISTORY CLOB DEFAULT 'CREATED',
	PUBLIC_FLAG VARCHAR2(1) DEFAULT '0' NOT NULL,
	COMPANY_BACKGROUND VARCHAR2(3000),
	OWNERSHIP VARCHAR2(2048),
	SERVICES_OFFERED VARCHAR2(2048),
	SERVICES_SPECIALIZED VARCHAR2(2048),
	INDUSTRIES_SERVED VARCHAR2(2048),
	HIGHLIGHT VARCHAR2(2048),
	LOCATION_SERVED VARCHAR2(2048),
	SCORECARD_COUNT NUMBER(10) DEFAULT 0,
	DOC_COUNT NUMBER(10) DEFAULT 0,
	CREATED_BY VARCHAR2(32),
	ASSIGN_NAMES VARCHAR2(2048),
	CLEARANCE_LEVEL_1 NUMBER(10) DEFAULT 1275905024 NOT NULL,
	CLEARANCE_LEVEL_2 NUMBER(10) DEFAULT 1280101580 NOT NULL,
	CLEARANCE_LEVEL_3 NUMBER(10) DEFAULT 4 NOT NULL,
	CLEARANCE_LEVEL_4 NUMBER(10) DEFAULT 0 NOT NULL,
	CLEARANCE_LEVEL_5 NUMBER(10) DEFAULT 0 NOT NULL,
	USER_GROUP_ID VARCHAR2(32) DEFAULT 'DEFAULT_SECURITY_ROLE' NOT NULL,
	MASK_EMPLOYEE_INFO NUMBER(5) DEFAULT 1,
	COST_CENTER_ID VARCHAR2(32),
	EXTERNAL_REFERENCE VARCHAR2(32)
)TABLESPACE PMO_DATA_64K
LOB(revision_history ) STORE AS LOBC_TMT_POOLS(TABLESPACE PMO_LOB_64K);

INSERT INTO TMT_POOLS_TMP
(	
	LEVEL_ID ,
	TYPE_ID ,
	MAX_RANK ,
	CHILD_COUNT,
	DELETED_COUNT,
	ELEMENT_ID  ,
	ELEMENT_NAME ,
	PARENT_ID ,
	REC_USER ,
	REC_STATUS,
	REC_DATETIME ,
	LABEL,
	DESCRIPTION ,
	DEFAULT_FLAG  ,
	RANK ,
	DOMAIN_ID ,
	MANAGER_ID ,
	COMPANY_NAME ,
	ADDRESS  ,
	PHONE  ,
	FAX  ,
	WEBSITE,
	CONTACT_NAME ,
	OTHER_LOCATION  ,
	YEAR_IN_BUSINESS ,
	CLIENT_MORE_100_EMPLOYEES,
	CLIENT_MORE_1000_EMPLOYEES  ,
	CLIENT_MORE_10000_EMPLOYEES  ,
	NUMBER_EMPLOYEES  ,
	NUMBER_POOLS ,
	NUMBER_CLIENTS ,
	ANNUAL_REVENUES ,
	BILLING_ADDRESS,
	BILLING_PHONE ,
	BILLING_FAX,
	BILLING_EMAIL ,
	EQUAL_OPPORTUNITY ,
	MAJOR_REVISION ,
	MINOR_REVISION ,
	REVISION_IMPACT ,
	REVISION_TYPE ,
	REVISION_HISTORY,
	PUBLIC_FLAG ,
	COMPANY_BACKGROUND,
	OWNERSHIP,
	SERVICES_OFFERED,
	SERVICES_SPECIALIZED,
	INDUSTRIES_SERVED,
	HIGHLIGHT,
	LOCATION_SERVED,
	SCORECARD_COUNT,
	DOC_COUNT,
	CREATED_BY,
	ASSIGN_NAMES ,
	CLEARANCE_LEVEL_1 ,
	CLEARANCE_LEVEL_2 ,
	CLEARANCE_LEVEL_3 ,
	CLEARANCE_LEVEL_4 ,
	CLEARANCE_LEVEL_5 ,
	USER_GROUP_ID ,
	MASK_EMPLOYEE_INFO,
	COST_CENTER_ID,
	EXTERNAL_REFERENCE
)
SELECT LEVEL_ID ,
	TYPE_ID ,
	MAX_RANK ,
	CHILD_COUNT,
	DELETED_COUNT,
	ELEMENT_ID  ,
	ELEMENT_NAME ,
	PARENT_ID ,
	REC_USER ,
	REC_STATUS,
	REC_DATETIME ,
	LABEL,
	DESCRIPTION ,
	DEFAULT_FLAG  ,
	RANK ,
	DOMAIN_ID ,
	MANAGER_ID ,
	COMPANY_NAME ,
	ADDRESS  ,
	PHONE  ,
	FAX  ,
	WEBSITE,
	CONTACT_NAME ,
	OTHER_LOCATION  ,
	YEAR_IN_BUSINESS ,
	CLIENT_MORE_100_EMPLOYEES,
	CLIENT_MORE_1000_EMPLOYEES  ,
	CLIENT_MORE_10000_EMPLOYEES  ,
	NUMBER_EMPLOYEES  ,
	NUMBER_POOLS ,
	NUMBER_CLIENTS ,
	ANNUAL_REVENUES ,
	BILLING_ADDRESS,
	BILLING_PHONE ,
	BILLING_FAX,
	BILLING_EMAIL ,
	EQUAL_OPPORTUNITY ,
	MAJOR_REVISION ,
	MINOR_REVISION ,
	REVISION_IMPACT ,
	REVISION_TYPE ,
	REVISION_HISTORY,
	PUBLIC_FLAG ,
	COMPANY_BACKGROUND,
	OWNERSHIP,
	SERVICES_OFFERED,
	SERVICES_SPECIALIZED,
	INDUSTRIES_SERVED,
	HIGHLIGHT,
	LOCATION_SERVED,
	SCORECARD_COUNT,
	DOC_COUNT,
	CREATED_BY,
	ASSIGN_NAMES ,
	CLEARANCE_LEVEL_1 ,
	CLEARANCE_LEVEL_2 ,
	CLEARANCE_LEVEL_3 ,
	CLEARANCE_LEVEL_4 ,
	CLEARANCE_LEVEL_5 ,
	USER_GROUP_ID ,
	MASK_EMPLOYEE_INFO,
	COST_CENTER_ID,
	EXTERNAL_REFERENCE
FROM TMT_POOLS;


--renaming the TMT_POOLS to OLD_TMT_POOLS, and TMT_POOLS_TMP to TMT_POOLS

DROP TABLE OLD_TMT_POOLS;
ALTER TABLE TMT_POOLS RENAME TO OLD_TMT_POOLS;
ALTER TABLE TMT_POOLS_TMP RENAME TO TMT_POOLS;


DROP INDEX TPOOL_ENID_XU;
CREATE UNIQUE INDEX TPOOL_ENID_XU ON TMT_POOLS (ELEMENT_ID ASC,PARENT_ID ASC) TABLESPACE PMO_IDX_64K;
DROP INDEX TPOOL_RK_CU;
CREATE UNIQUE INDEX TPOOL_RK_CU ON TMT_POOLS (RANK ASC)  PCTFREE = 30 TABLESPACE PMO_IDX_64K;
DROP INDEX POOL_DOM_ID_XXX;
CREATE  INDEX POOL_DOM_ID_XXX ON TMT_POOLS (DOMAIN_ID)  PCTFREE = 30 TABLESPACE PMO_IDX_64K;
DROP INDEX POOL_USRGROUP_XXX;
CREATE  INDEX POOL_USRGROUP_XXX ON TMT_POOLS (USER_GROUP_ID)  PCTFREE = 30 TABLESPACE PMO_IDX_64K;
DROP INDEX POOL_MGR_XXX;
CREATE  INDEX POOL_MGR_XXX ON TMT_POOLS (MANAGER_ID)  PCTFREE = 30 TABLESPACE PMO_IDX_64K;
DROP INDEX TPOO_NID_XX;
CREATE  INDEX TPOO_NID_XX ON TMT_POOLS (PARENT_ID)  PCTFREE = 30 TABLESPACE PMO_IDX_64K;
DROP INDEX TPOOL_EXTREF_XX;
CREATE  INDEX TPOOL_EXTREF_XX ON TMT_POOLS (EXTERNAL_REFERENCE ASC) TABLESPACE PMO_IDX_64K;



-- IF THE ABOVE SQL STATEMENTS ARE SUCCESSFUL THEN DROP the old tmt_pools table that is renamed to OLD_TMT_POOLS;

--DROP TABLE OLD_TMT_POOLS;

--HISTORY_POOLS


DROP INDEX HSPLX_EID_RDT_CX;
DROP INDEX HSPLX_HID_XX;
DROP  INDEX HSPLX_RK_XX;                                                     
	

DROP TABLE HISTORY_POOLS_TMP;

CREATE TABLE HISTORY_POOLS_TMP (
	HISTORY_ID VARCHAR2(32),
	LEVEL_ID NUMBER(10) NOT NULL,
	TYPE_ID NUMBER(10) DEFAULT 0 NOT NULL,
	MAX_RANK NUMBER(10) DEFAULT 0 NOT NULL,
	CHILD_COUNT NUMBER(10) DEFAULT 0 NOT NULL,
	DELETED_COUNT NUMBER(10) DEFAULT 0 NOT NULL,
	ELEMENT_ID VARCHAR2(32),
	ELEMENT_NAME VARCHAR2(100),
	PARENT_ID VARCHAR2(32),
	REC_USER VARCHAR2(32),
	REC_STATUS VARCHAR2(1) DEFAULT 'O' NOT NULL,
	REC_DATETIME TIMESTAMP DEFAULT SYSTIMESTAMP NOT NULL,
	LABEL VARCHAR2(50),
	DESCRIPTION VARCHAR2(4000),
	DEFAULT_FLAG VARCHAR2(1),
	RANK VARCHAR2(128) NOT NULL,
	DOMAIN_ID VARCHAR2(32),
	MANAGER_ID VARCHAR2(32),
	COMPANY_NAME VARCHAR2(50),
	ADDRESS VARCHAR2(255),
	PHONE VARCHAR2(25),
	FAX VARCHAR2(25),
	WEBSITE VARCHAR2(255),
	CONTACT_NAME VARCHAR2(50),
	OTHER_LOCATION VARCHAR2(255),
	YEAR_IN_BUSINESS NUMBER(10),
	CLIENT_MORE_100_EMPLOYEES NUMBER(10),
	CLIENT_MORE_1000_EMPLOYEES NUMBER(10),
	CLIENT_MORE_10000_EMPLOYEES NUMBER(10),
	NUMBER_EMPLOYEES NUMBER(10),
	NUMBER_POOLS NUMBER(10),
	NUMBER_CLIENTS NUMBER(10),
	ANNUAL_REVENUES NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	BILLING_ADDRESS VARCHAR2(255),
	BILLING_PHONE VARCHAR2(25),
	BILLING_FAX VARCHAR2(25),
	BILLING_EMAIL VARCHAR2(50),
	EQUAL_OPPORTUNITY VARCHAR2(1),
	MAJOR_REVISION NUMBER(5) DEFAULT 0 NOT NULL,
	MINOR_REVISION NUMBER(5) DEFAULT 1 NOT NULL,
	REVISION_IMPACT NUMBER(10) DEFAULT 137,
	REVISION_TYPE NUMBER(10) DEFAULT 920,
	REVISION_HISTORY CLOB DEFAULT EMPTY_CLOB(),
	PUBLIC_FLAG VARCHAR2(1) DEFAULT '0' NOT NULL,
	COMPANY_BACKGROUND VARCHAR2(3000),
	OWNERSHIP VARCHAR2(2048),
	SERVICES_OFFERED VARCHAR2(2048),
	SERVICES_SPECIALIZED VARCHAR2(2048),
	INDUSTRIES_SERVED VARCHAR2(2048),
	HIGHLIGHT VARCHAR2(2048),
	LOCATION_SERVED VARCHAR2(2048),
	SCORECARD_COUNT NUMBER(10) DEFAULT 0,
	DOC_COUNT NUMBER(10) DEFAULT 0,
	CREATED_BY VARCHAR2(32),
	ASSIGN_NAMES VARCHAR2(2048),
	CLEARANCE_LEVEL_1 NUMBER(10) DEFAULT 1275905024 NOT NULL,
	CLEARANCE_LEVEL_2 NUMBER(10) DEFAULT 1280101580 NOT NULL,
	CLEARANCE_LEVEL_3 NUMBER(10) DEFAULT 4 NOT NULL,
	CLEARANCE_LEVEL_4 NUMBER(10) DEFAULT 0 NOT NULL,
	CLEARANCE_LEVEL_5 NUMBER(10) DEFAULT 0 NOT NULL,
	USER_GROUP_ID VARCHAR2(32) DEFAULT 'DEFAULT_SECURITY_ROLE' NOT NULL,
	MASK_EMPLOYEE_INFO NUMBER(5) DEFAULT 1,
	COST_CENTER_ID VARCHAR2(32),
	EXTERNAL_REFERENCE VARCHAR2(32)
)TABLESPACE PMO_DATA_64K
LOB(revision_history ) STORE AS LOBC_HISTORY_POOLS(TABLESPACE PMO_LOB_64K);
 
 INSERT INTO HISTORY_POOLS_TMP
 (
			HISTORY_ID ,
		  LEVEL_ID,
		  TYPE_ID,
		  MAX_RANK,
		  CHILD_COUNT,
		  DELETED_COUNT,
		  ELEMENT_ID,
		  ELEMENT_NAME,
		  PARENT_ID,
		  REC_USER,
		  REC_STATUS,
		  REC_DATETIME ,
		  LABEL ,
		  DESCRIPTION,
		  DEFAULT_FLAG,
		  RANK ,
		  DOMAIN_ID ,
		  MANAGER_ID,
		  COMPANY_NAME,
		  ADDRESS,
		  PHONE ,
		  FAX ,
		  WEBSITE,
		  CONTACT_NAME,
		  OTHER_LOCATION ,
		  YEAR_IN_BUSINESS ,
		  CLIENT_MORE_100_EMPLOYEES ,
		  CLIENT_MORE_1000_EMPLOYEES  ,
		  CLIENT_MORE_10000_EMPLOYEES ,
		  NUMBER_EMPLOYEES ,
		  NUMBER_POOLS ,
		  NUMBER_CLIENTS  ,
		  ANNUAL_REVENUES ,
		  BILLING_ADDRESS  ,
		  BILLING_PHONE,
		  BILLING_FAX ,
		  BILLING_EMAIL ,
		  EQUAL_OPPORTUNITY,
		  MAJOR_REVISION ,
		  MINOR_REVISION ,
		  REVISION_IMPACT ,
		  REVISION_TYPE ,
		  REVISION_HISTORY,
		  PUBLIC_FLAG ,
		  COMPANY_BACKGROUND ,
		  OWNERSHIP,
		  SERVICES_OFFERED ,
		  SERVICES_SPECIALIZED  ,
		  INDUSTRIES_SERVED ,
		  HIGHLIGHT ,
		  LOCATION_SERVED,
		  SCORECARD_COUNT,
		  DOC_COUNT,
		  CREATED_BY ,
		  ASSIGN_NAMES,
		  CLEARANCE_LEVEL_1 ,
		  CLEARANCE_LEVEL_2 ,
		  CLEARANCE_LEVEL_3 ,
		  CLEARANCE_LEVEL_4 ,
		  CLEARANCE_LEVEL_5 ,
		  USER_GROUP_ID,
		  MASK_EMPLOYEE_INFO,
		  COST_CENTER_ID,
		  EXTERNAL_REFERENCE
)
SELECT HISTORY_ID ,
		  LEVEL_ID,
		  TYPE_ID,
		  MAX_RANK,
		  CHILD_COUNT,
		  DELETED_COUNT,
		  ELEMENT_ID,
		  ELEMENT_NAME,
		  PARENT_ID,
		  REC_USER,
		  REC_STATUS,
		  REC_DATETIME ,
		  LABEL ,
		  DESCRIPTION,
		  DEFAULT_FLAG,
		  RANK ,
		  DOMAIN_ID ,
		  MANAGER_ID,
		  COMPANY_NAME,
		  ADDRESS,
		  PHONE ,
		  FAX ,
		  WEBSITE,
		  CONTACT_NAME,
		  OTHER_LOCATION ,
		  YEAR_IN_BUSINESS ,
		  CLIENT_MORE_100_EMPLOYEES ,
		  CLIENT_MORE_1000_EMPLOYEES  ,
		  CLIENT_MORE_10000_EMPLOYEES ,
		  NUMBER_EMPLOYEES ,
		  NUMBER_POOLS ,
		  NUMBER_CLIENTS  ,
		  ANNUAL_REVENUES ,
		  BILLING_ADDRESS  ,
		  BILLING_PHONE,
		  BILLING_FAX ,
		  BILLING_EMAIL ,
		  EQUAL_OPPORTUNITY,
		  MAJOR_REVISION ,
		  MINOR_REVISION ,
		  REVISION_IMPACT ,
		  REVISION_TYPE ,
		  REVISION_HISTORY,
		  PUBLIC_FLAG ,
		  COMPANY_BACKGROUND ,
		  OWNERSHIP,
		  SERVICES_OFFERED ,
		  SERVICES_SPECIALIZED  ,
		  INDUSTRIES_SERVED ,
		  HIGHLIGHT ,
		  LOCATION_SERVED,
		  SCORECARD_COUNT,
		  DOC_COUNT,
		  CREATED_BY ,
		  ASSIGN_NAMES,
		  CLEARANCE_LEVEL_1 ,
		  CLEARANCE_LEVEL_2 ,
		  CLEARANCE_LEVEL_3 ,
		  CLEARANCE_LEVEL_4 ,
		  CLEARANCE_LEVEL_5 ,
		  USER_GROUP_ID,
		  MASK_EMPLOYEE_INFO,
		  COST_CENTER_ID,
		  EXTERNAL_REFERENCE
FROM HISTORY_POOLS;

--renaming the original table HISTORY_POOLS to OLD_HISTORY_POOLS, and HISTPRY_POOLS_TMP to HISTORY_POOLS

DROP TABLE OLD_HISTORY_POOLS;
ALTER TABLE HISTORY_POOLS RENAME TO OLD_HISTORY_POOLS;
ALTER TABLE HISTORY_POOLS_TMP RENAME TO HISTORY_POOLS;


--creating the indexes for new HISTORY_POOLS

DROP INDEX HSPLX_EID_RDT_CX;
CREATE  INDEX HSPLX_EID_RDT_CX ON HISTORY_POOLS (ELEMENT_ID ASC,REC_DATETIME ASC)  PCTFREE = 30 TABLESPACE PMO_IDX_64K;
DROP INDEX HSPLX_HID_XX;
CREATE  INDEX HSPLX_HID_XX ON HISTORY_POOLS (HISTORY_ID ASC) TABLESPACE PMO_IDX_64K;
DROP INDEX HSPLX_RK_XX;
CREATE  INDEX HSPLX_RK_XX ON HISTORY_POOLS (RANK ASC)  PCTFREE = 30 TABLESPACE PMO_IDX_64K;
		


--if the above sql statements are successfull drop OLD_HISTORY_POOLS table

--RECREATE ALL TRIGGERS


-- ALTER TABLE HISTORY_ASSET_DOCUMENTS MODIFY COLUMN (REVISION_HISTORY CLOB DEFAULT EMPTY_CLOB());     
-- ALTER TABLE HISTORY_CLIENTS MODIFY COLUMN (REVISION_HISTORY CLOB DEFAULT EMPTY_CLOB());             
-- ALTER TABLE HISTORY_CLIENT_DOCUMENTS MODIFY COLUMN (REVISION_HISTORY CLOB DEFAULT EMPTY_CLOB());    
-- ALTER TABLE HISTORY_DOCUMENTS MODIFY COLUMN (REVISION_HISTORY CLOB DEFAULT EMPTY_CLOB());           
-- ALTER TABLE HISTORY_POOLS MODIFY COLUMN (REVISION_HISTORY CLOB DEFAULT EMPTY_CLOB());               
-- ALTER TABLE HISTORY_POOL_DOCUMENTS MODIFY COLUMN (REVISION_HISTORY CLOB DEFAULT EMPTY_CLOB());      
-- ALTER TABLE HISTORY_RESOURCE_DOCUMENTS MODIFY COLUMN (REVISION_HISTORY CLOB DEFAULT EMPTY_CLOB());  
-- ALTER TABLE HISTORY_VENDORS MODIFY COLUMN (REVISION_HISTORY CLOB DEFAULT EMPTY_CLOB());             
-- ALTER TABLE HISTORY_VENDOR_DOCUMENTS MODIFY COLUMN (REVISION_HISTORY CLOB DEFAULT EMPTY_CLOB());    


-- ALTER TABLE HISTORY_ASSETS MODIFY COLUMN (REVISION_HISTORY CLOB DEFAULT 'CREATED');              
-- ALTER TABLE HISTORY_ASSIGNED_SCORECARDS MODIFY COLUMN (REVISION_HISTORY CLOB DEFAULT 'CREATED'); 
-- ALTER TABLE HISTORY_CRI MODIFY COLUMN (REVISION_HISTORY CLOB DEFAULT 'CREATED');                 
-- ALTER TABLE HISTORY_RESOURCES MODIFY COLUMN (REVISION_HISTORY CLOB DEFAULT 'CREATED');           
-- ALTER TABLE HISTORY_WBS MODIFY COLUMN (REVISION_HISTORY CLOB DEFAULT 'CREATED');                 
-- ALTER TABLE RESOURCES MODIFY COLUMN (REVISION_HISTORY CLOB DEFAULT 'CREATED');                   
-- ALTER TABLE TMT_ASSETS MODIFY COLUMN (REVISION_HISTORY CLOB DEFAULT 'CREATED');                  
-- ALTER TABLE TMT_ASSET_DOCUMENTS MODIFY COLUMN (REVISION_HISTORY CLOB DEFAULT 'CREATED');         
-- ALTER TABLE TMT_ASSIGNED_SCORECARDS MODIFY COLUMN (REVISION_HISTORY CLOB DEFAULT 'CREATED');     
-- ALTER TABLE TMT_CLIENTS MODIFY COLUMN (REVISION_HISTORY CLOB DEFAULT 'CREATED');                 
-- ALTER TABLE TMT_CLIENT_DOCUMENTS MODIFY COLUMN (REVISION_HISTORY CLOB DEFAULT 'CREATED');        
-- ALTER TABLE TMT_CRI MODIFY COLUMN (REVISION_HISTORY CLOB DEFAULT 'CREATED');                     
-- ALTER TABLE TMT_DOCUMENTS MODIFY COLUMN (REVISION_HISTORY CLOB DEFAULT 'CREATED');               
-- ALTER TABLE TMT_POOLS MODIFY COLUMN (REVISION_HISTORY CLOB DEFAULT 'CREATED');                   
-- ALTER TABLE TMT_POOL_DOCUMENTS MODIFY COLUMN (REVISION_HISTORY CLOB DEFAULT 'CREATED');          
-- ALTER TABLE TMT_RESOURCE_DOCUMENTS MODIFY COLUMN (REVISION_HISTORY CLOB DEFAULT 'CREATED');      
-- ALTER TABLE TMT_VENDORS MODIFY COLUMN (REVISION_HISTORY CLOB DEFAULT 'CREATED');                 
-- ALTER TABLE TMT_VENDOR_DOCUMENTS MODIFY COLUMN (REVISION_HISTORY CLOB DEFAULT 'CREATED');        
-- ALTER TABLE TMT_WBS MODIFY COLUMN (REVISION_HISTORY CLOB DEFAULT 'CREATED');                     


DROP TABLE HISTORY_ASSET_DOCUMENTS_TMP;
CREATE TABLE HISTORY_ASSET_DOCUMENTS_TMP (
	HISTORY_ID VARCHAR2(32),
	LEVEL_ID NUMBER(10) NOT NULL,
	TYPE_ID NUMBER(10) DEFAULT 0 NOT NULL,
	MAX_RANK NUMBER(19) DEFAULT 0 NOT NULL,
	CHILD_COUNT NUMBER(10) DEFAULT 0 NOT NULL,
	DELETED_COUNT NUMBER(10) DEFAULT 0 NOT NULL,
	ELEMENT_ID VARCHAR2(32),
	ELEMENT_NAME VARCHAR2(255),
	ELEMENT_NUMBER NUMBER(19),
	PROJECT_ID VARCHAR2(32),
	BLOB_ID VARCHAR2(32),
	PARENT_ID VARCHAR2(32),
	PARENT_TYPE_ID NUMBER(5) DEFAULT 0 NOT NULL,
	AUTHOR_ID VARCHAR2(32),
	CREATION_DATE DATE DEFAULT SYSDATE,
	APPROVED_DATE DATE,
	REF_NUMBER VARCHAR2(50),
	AUTHOR_CHECKOUT VARCHAR2(1) DEFAULT 'Y' NOT NULL,
	PUBLISHED_DT TIMESTAMP,
	MINOR_REVISION NUMBER(5) DEFAULT 1 NOT NULL,
	MAJOR_REVISION NUMBER(5) DEFAULT 0 NOT NULL,
	MAX_REVISION NUMBER(5) DEFAULT 0 NOT NULL,
	MAX_REV_REACHED VARCHAR2(1) DEFAULT 'N' NOT NULL,
	ATTACHED_ID VARCHAR2(32),
	LAST_WF_TYPE VARCHAR2(110),
	LAST_WF_BY VARCHAR2(50),
	LAST_WF_DT TIMESTAMP,
	REC_USER VARCHAR2(32),
	REC_STATUS VARCHAR2(1) DEFAULT 'O' NOT NULL,
	REC_DATETIME TIMESTAMP DEFAULT SYSTIMESTAMP NOT NULL,
	RANK VARCHAR2(192),
	PARENT_RANK VARCHAR2(192),
	KEYWORDS VARCHAR2(255),
	LAST_CHECKIN TIMESTAMP,
	REVISION_TYPE NUMBER(10) DEFAULT 4768,
	REVISION_IMPACT NUMBER(10) DEFAULT 137,
	REVISION_HISTORY CLOB DEFAULT EMPTY_CLOB(),
	SCORECARD_ID VARCHAR2(32),
	SCORE NUMBER(5) DEFAULT 0,
	WEIGHT NUMBER(5) DEFAULT 1,
	CONVERTED_SCORE NUMBER(19) DEFAULT 0,
	CONVERTED_WEIGHT NUMBER(19) DEFAULT 1,
	ACTIVE VARCHAR2(1) DEFAULT '1' NOT NULL,
	LOCAL_FOLDER VARCHAR2(550),
	RTF_BITS NUMBER(5) DEFAULT 0,
	PRIORITY NUMBER(5) DEFAULT 500,
	SCOPE_RANK_ID NUMBER(5) DEFAULT 5427,
	STAGE_ID NUMBER(10) DEFAULT 4953,
	TEMP_FOLDER VARCHAR2(550),
	LOCAL_MACHINE VARCHAR2(550),
	DOCUMENT_SIZE NUMBER(10) DEFAULT 0,
	COMPRESSED_SIZE NUMBER(10) DEFAULT 0,
	PUBLISHED VARCHAR2(1) DEFAULT 'N' NOT NULL,
	ASSIGN_NAMES VARCHAR2(2048),
	SUMMARY VARCHAR2(1024),
	PREVIOUS_WKF_STEP VARCHAR2(150),
	PRIVATE VARCHAR2(1) DEFAULT 'N',
	VISIBLE_AT_PARENT VARCHAR2(1) DEFAULT 'Y',
	LINK_DOC VARCHAR2(1) DEFAULT 'N' NOT NULL,
	ATTACHEMENT VARCHAR2(512),
	BLOB_DATA BLOB DEFAULT EMPTY_BLOB()
)
TABLESPACE PMO_DATA_64K
LOB(BLOB_DATA ) STORE AS LOBB_HISTORY_ASSET_DOCUMENTS(TABLESPACE PMO_LOB_64K)
LOB(REVISION_HISTORY ) STORE AS LOBC_HISTORY_ASSET_DOCUMENTS(TABLESPACE PMO_LOB_64K);

--INSERT INTO HISTORY_ASSET_DOCUMENTS_TMP SELECT * FROM HISTORY_ASSET_DOCUMENTS;
INSERT INTO HISTORY_ASSET_DOCUMENTS_TMP
	(HISTORY_ID ,
	LEVEL_ID,
	TYPE_ID,
	MAX_RANK,
	CHILD_COUNT,
	DELETED_COUNT,
	ELEMENT_ID,
	ELEMENT_NAME,
	ELEMENT_NUMBER,
	PROJECT_ID,
	BLOB_ID,
	PARENT_ID,
	PARENT_TYPE_ID,
	AUTHOR_ID,
	CREATION_DATE,
	APPROVED_DATE,
	REF_NUMBER,
	AUTHOR_CHECKOUT,
	PUBLISHED_DT,
	MINOR_REVISION,
	MAJOR_REVISION,
	MAX_REVISION,
	MAX_REV_REACHED,
	ATTACHED_ID,
	LAST_WF_TYPE,
	LAST_WF_BY,
	LAST_WF_DT,
	REC_USER,
	REC_STATUS,
	REC_DATETIME,
	RANK,
	PARENT_RANK,
	KEYWORDS,
	LAST_CHECKIN,
	REVISION_TYPE,
	REVISION_IMPACT,
	REVISION_HISTORY,
	SCORECARD_ID,
	SCORE,
	WEIGHT,
	CONVERTED_SCORE,
	CONVERTED_WEIGHT,
	ACTIVE,
	LOCAL_FOLDER,
	RTF_BITS,
	PRIORITY,
	SCOPE_RANK_ID,
	STAGE_ID,
	TEMP_FOLDER,
	LOCAL_MACHINE,
	DOCUMENT_SIZE,
	COMPRESSED_SIZE,
	PUBLISHED,
	ASSIGN_NAMES,
	SUMMARY,
	PREVIOUS_WKF_STEP,
	PRIVATE,
	VISIBLE_AT_PARENT,
	LINK_DOC,
	ATTACHEMENT,
	BLOB_DATA)
SELECT
	HISTORY_ID ,
	LEVEL_ID,
	TYPE_ID,
	MAX_RANK,
	CHILD_COUNT,
	DELETED_COUNT,
	ELEMENT_ID,
	ELEMENT_NAME,
	ELEMENT_NUMBER,
	PROJECT_ID,
	BLOB_ID,
	PARENT_ID,
	PARENT_TYPE_ID,
	AUTHOR_ID,
	CREATION_DATE,
	APPROVED_DATE,
	REF_NUMBER,
	AUTHOR_CHECKOUT,
	PUBLISHED_DT,
	MINOR_REVISION,
	MAJOR_REVISION,
	MAX_REVISION,
	MAX_REV_REACHED,
	ATTACHED_ID,
	LAST_WF_TYPE,
	LAST_WF_BY,
	LAST_WF_DT,
	REC_USER,
	REC_STATUS,
	REC_DATETIME,
	RANK,
	PARENT_RANK,
	KEYWORDS,
	LAST_CHECKIN,
	REVISION_TYPE,
	REVISION_IMPACT,
	REVISION_HISTORY,
	SCORECARD_ID,
	SCORE,
	WEIGHT,
	CONVERTED_SCORE,
	CONVERTED_WEIGHT,
	ACTIVE,
	LOCAL_FOLDER,
	RTF_BITS,
	PRIORITY,
	SCOPE_RANK_ID,
	STAGE_ID,
	TEMP_FOLDER,
	LOCAL_MACHINE,
	DOCUMENT_SIZE,
	COMPRESSED_SIZE,
	PUBLISHED,
	ASSIGN_NAMES,
	SUMMARY,
	PREVIOUS_WKF_STEP,
	PRIVATE,
	VISIBLE_AT_PARENT,
	LINK_DOC,
	ATTACHEMENT,
	BLOB_DATA 
FROM HISTORY_ASSET_DOCUMENTS;

DROP INDEX HASSD_EID_MJIRV_CU;
DROP INDEX HASSD_HID_XX;
DROP INDEX HASSD_RK_XX;

DROP TABLE HISTORY_ASSET_DOCUMENTS_OLD;
ALTER TABLE HISTORY_ASSET_DOCUMENTS RENAME TO HISTORY_ASSET_DOCUMENTS_OLD;
ALTER TABLE HISTORY_ASSET_DOCUMENTS_TMP RENAME TO HISTORY_ASSET_DOCUMENTS;

CREATE UNIQUE INDEX HASSD_EID_MJIRV_CU ON HISTORY_ASSET_DOCUMENTS (ELEMENT_ID ASC,MAJOR_REVISION DESC,MINOR_REVISION DESC)  PCTFREE = 30 TABLESPACE PMO_IDX_64K;
CREATE  INDEX HASSD_HID_XX ON HISTORY_ASSET_DOCUMENTS (HISTORY_ID ASC) TABLESPACE PMO_IDX_64K;
CREATE  INDEX HASSD_RK_XX ON HISTORY_ASSET_DOCUMENTS (RANK ASC)  PCTFREE = 30 TABLESPACE PMO_IDX_64K;




DROP TABLE HISTORY_CLIENTS_TMP;
CREATE TABLE HISTORY_CLIENTS_TMP (
	HISTORY_ID VARCHAR2(32),
	LEVEL_ID NUMBER(10) NOT NULL,
	TYPE_ID NUMBER(10) DEFAULT 0 NOT NULL,
	MAX_RANK NUMBER(10) DEFAULT 0 NOT NULL,
	CHILD_COUNT NUMBER(10) DEFAULT 0 NOT NULL,
	DELETED_COUNT NUMBER(10) DEFAULT 0 NOT NULL,
	ELEMENT_ID VARCHAR2(32),
	ELEMENT_NAME VARCHAR2(255),
	PARENT_ID VARCHAR2(32),
	REC_USER VARCHAR2(32),
	REC_STATUS VARCHAR2(1) DEFAULT 'O' NOT NULL,
	REC_DATETIME TIMESTAMP DEFAULT SYSTIMESTAMP NOT NULL,
	LABEL VARCHAR2(50),
	DESCRIPTION VARCHAR2(4000),
	DEFAULT_FLAG VARCHAR2(1),
	RANK VARCHAR2(128) NOT NULL,
	DOMAIN_ID VARCHAR2(32),
	MANAGER_ID VARCHAR2(32),
	COMPANY_NAME VARCHAR2(50),
	ADDRESS VARCHAR2(255),
	PHONE VARCHAR2(25),
	FAX VARCHAR2(25),
	WEBSITE VARCHAR2(255),
	CONTACT_NAME VARCHAR2(50),
	OTHER_LOCATION VARCHAR2(255),
	YEAR_IN_BUSINESS NUMBER(10),
	CLIENT_MORE_100_EMPLOYEES NUMBER(10),
	CLIENT_MORE_1000_EMPLOYEES NUMBER(10),
	CLIENT_MORE_10000_EMPLOYEES NUMBER(10),
	NUMBER_EMPLOYEES NUMBER(10),
	ANNUAL_REVENUES NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	BILLING_ADDRESS VARCHAR2(255),
	BILLING_PHONE VARCHAR2(25),
	BILLING_FAX VARCHAR2(25),
	BILLING_EMAIL VARCHAR2(50),
	EQUAL_OPPORTUNITY VARCHAR2(1),
	MAJOR_REVISION NUMBER(5) DEFAULT 0 NOT NULL,
	MINOR_REVISION NUMBER(5) DEFAULT 1 NOT NULL,
	REVISION_IMPACT NUMBER(10) DEFAULT 137,
	REVISION_TYPE NUMBER(10) DEFAULT 920,
	REVISION_HISTORY CLOB DEFAULT EMPTY_CLOB(),
	PUBLIC_FLAG VARCHAR2(1) DEFAULT '0' NOT NULL,
	COMPANY_BACKGROUND VARCHAR2(3000),
	OWNERSHIP VARCHAR2(3000),
	SERVICES_OFFERED VARCHAR2(3000),
	SERVICES_SPECIALIZED VARCHAR2(3000),
	INDUSTRIES_SERVED VARCHAR2(3000),
	HIGHLIGHT VARCHAR2(3000),
	LOCATION_SERVED VARCHAR2(3000),
	LOCAL VARCHAR2(1) DEFAULT 'N' NOT NULL,
	RTF_BITS NUMBER(5) DEFAULT 0,
	DOC_COUNT NUMBER(10) DEFAULT 0,
	CURRENCY_ID NUMBER(10) DEFAULT 0 NOT NULL,
	STAGE_ID NUMBER(10),
	EXTERNAL_IDENTIFIER VARCHAR2(32)
)
TABLESPACE PMO_DATA_64K
LOB(REVISION_HISTORY ) STORE AS LOBC_HISTORY_CLIENTS(TABLESPACE PMO_LOB_64K);

--INSERT INTO HISTORY_CLIENTS_TMP SELECT * FROM HISTORY_CLIENTS;
INSERT INTO HISTORY_CLIENTS_TMP
	(HISTORY_ID,
	LEVEL_ID,
	TYPE_ID,
	MAX_RANK,
	CHILD_COUNT,
	DELETED_COUNT,
	ELEMENT_ID,
	ELEMENT_NAME,
	PARENT_ID,
	REC_USER,
	REC_STATUS,
	REC_DATETIME,
	LABEL,
	DESCRIPTION,
	DEFAULT_FLAG,
	RANK,
	DOMAIN_ID,
	MANAGER_ID,
	COMPANY_NAME,
	ADDRESS,
	PHONE,
	FAX,
	WEBSITE,
	CONTACT_NAME,
	OTHER_LOCATION,
	YEAR_IN_BUSINESS,
	CLIENT_MORE_100_EMPLOYEES,
	CLIENT_MORE_1000_EMPLOYEES,
	CLIENT_MORE_10000_EMPLOYEES,
	NUMBER_EMPLOYEES,
	ANNUAL_REVENUES,
	BILLING_ADDRESS,
	BILLING_PHONE,
	BILLING_FAX,
	BILLING_EMAIL,
	EQUAL_OPPORTUNITY,
	MAJOR_REVISION,
	MINOR_REVISION,
	REVISION_IMPACT,
	REVISION_TYPE,
	REVISION_HISTORY,
	PUBLIC_FLAG,
	COMPANY_BACKGROUND,
	OWNERSHIP,
	SERVICES_OFFERED,
	SERVICES_SPECIALIZED,
	INDUSTRIES_SERVED,
	HIGHLIGHT,
	LOCATION_SERVED,
	LOCAL,
	RTF_BITS,
	DOC_COUNT,
	CURRENCY_ID,
	STAGE_ID,
	EXTERNAL_IDENTIFIER)
SELECT 
	HISTORY_ID,
	LEVEL_ID,
	TYPE_ID,
	MAX_RANK,
	CHILD_COUNT,
	DELETED_COUNT,
	ELEMENT_ID,
	ELEMENT_NAME,
	PARENT_ID,
	REC_USER,
	REC_STATUS,
	REC_DATETIME,
	LABEL,
	DESCRIPTION,
	DEFAULT_FLAG,
	RANK,
	DOMAIN_ID,
	MANAGER_ID,
	COMPANY_NAME,
	ADDRESS,
	PHONE,
	FAX,
	WEBSITE,
	CONTACT_NAME,
	OTHER_LOCATION,
	YEAR_IN_BUSINESS,
	CLIENT_MORE_100_EMPLOYEES,
	CLIENT_MORE_1000_EMPLOYEES,
	CLIENT_MORE_10000_EMPLOYEES,
	NUMBER_EMPLOYEES,
	ANNUAL_REVENUES,
	BILLING_ADDRESS,
	BILLING_PHONE,
	BILLING_FAX,
	BILLING_EMAIL,
	EQUAL_OPPORTUNITY,
	MAJOR_REVISION,
	MINOR_REVISION,
	REVISION_IMPACT,
	REVISION_TYPE,
	REVISION_HISTORY,
	PUBLIC_FLAG,
	COMPANY_BACKGROUND,
	OWNERSHIP,
	SERVICES_OFFERED,
	SERVICES_SPECIALIZED,
	INDUSTRIES_SERVED,
	HIGHLIGHT,
	LOCATION_SERVED,
	LOCAL,
	RTF_BITS,
	DOC_COUNT,
	CURRENCY_ID,
	STAGE_ID,
	EXTERNAL_IDENTIFIER
FROM HISTORY_CLIENTS;

DROP INDEX HSCLX_EID_RDT_CX;
DROP INDEX HSCLX_HID_XX;
DROP INDEX HSCLX_RK_XX;

DROP TABLE HISTORY_CLIENTS_OLD;
ALTER TABLE HISTORY_CLIENTS RENAME TO HISTORY_CLIENTS_OLD;
ALTER TABLE HISTORY_CLIENTS_TMP RENAME TO HISTORY_CLIENTS;


DROP INDEX HSCLX_EID_RDT_CX;
CREATE  INDEX HSCLX_EID_RDT_CX ON HISTORY_CLIENTS (ELEMENT_ID ASC,REC_DATETIME ASC)  PCTFREE = 30 TABLESPACE PMO_IDX_64K;
DROP INDEX HSCLX_HID_XX;
CREATE  INDEX HSCLX_HID_XX ON HISTORY_CLIENTS (HISTORY_ID ASC) TABLESPACE PMO_IDX_64K;
DROP INDEX HSCLX_RK_XX;
CREATE  INDEX HSCLX_RK_XX ON HISTORY_CLIENTS (RANK ASC)  PCTFREE = 30 TABLESPACE PMO_IDX_64K;


DROP TABLE HISTORY_CLIENT_DOCUMENTS_TMP;

CREATE TABLE HISTORY_CLIENT_DOCUMENTS_TMP (
	HISTORY_ID VARCHAR2(32),
	LEVEL_ID NUMBER(10) NOT NULL,
	TYPE_ID NUMBER(10) DEFAULT 0 NOT NULL,
	MAX_RANK NUMBER(19) DEFAULT 0 NOT NULL,
	CHILD_COUNT NUMBER(10) DEFAULT 0 NOT NULL,
	DELETED_COUNT NUMBER(10) DEFAULT 0 NOT NULL,
	ELEMENT_ID VARCHAR2(32),
	ELEMENT_NAME VARCHAR2(255),
	ELEMENT_NUMBER NUMBER(19),
	PROJECT_ID VARCHAR2(32),
	BLOB_ID VARCHAR2(32),
	PARENT_ID VARCHAR2(32),
	PARENT_TYPE_ID NUMBER(5) DEFAULT 0 NOT NULL,
	AUTHOR_ID VARCHAR2(32),
	CREATION_DATE DATE DEFAULT SYSDATE,
	APPROVED_DATE DATE,
	REF_NUMBER VARCHAR2(50),
	AUTHOR_CHECKOUT VARCHAR2(1) DEFAULT 'Y' NOT NULL,
	PUBLISHED_DT TIMESTAMP,
	MINOR_REVISION NUMBER(5) DEFAULT 1 NOT NULL,
	MAJOR_REVISION NUMBER(5) DEFAULT 0 NOT NULL,
	MAX_REVISION NUMBER(5) DEFAULT 0 NOT NULL,
	MAX_REV_REACHED VARCHAR2(1) DEFAULT 'N' NOT NULL,
	ATTACHED_ID VARCHAR2(32),
	LAST_WF_TYPE VARCHAR2(110),
	LAST_WF_BY VARCHAR2(50),
	LAST_WF_DT TIMESTAMP,
	REC_USER VARCHAR2(32),
	REC_STATUS VARCHAR2(1) DEFAULT 'O' NOT NULL,
	REC_DATETIME TIMESTAMP DEFAULT SYSTIMESTAMP NOT NULL,
	RANK VARCHAR2(192),
	PARENT_RANK VARCHAR2(192),
	KEYWORDS VARCHAR2(255),
	LAST_CHECKIN TIMESTAMP,
	REVISION_TYPE NUMBER(10) DEFAULT 4768,
	REVISION_IMPACT NUMBER(10) DEFAULT 137,
	REVISION_HISTORY CLOB DEFAULT EMPTY_CLOB(),
	SCORECARD_ID VARCHAR2(32),
	SCORE NUMBER(5) DEFAULT 0,
	WEIGHT NUMBER(5) DEFAULT 1,
	CONVERTED_SCORE NUMBER(19) DEFAULT 0,
	CONVERTED_WEIGHT NUMBER(19) DEFAULT 1,
	ACTIVE VARCHAR2(1) DEFAULT '1' NOT NULL,
	LOCAL_FOLDER VARCHAR2(550),
	RTF_BITS NUMBER(5) DEFAULT 0,
	PRIORITY NUMBER(5) DEFAULT 500,
	SCOPE_RANK_ID NUMBER(5) DEFAULT 5427,
	STAGE_ID NUMBER(10) DEFAULT 4953,
	TEMP_FOLDER VARCHAR2(550),
	LOCAL_MACHINE VARCHAR2(550),
	DOCUMENT_SIZE NUMBER(10) DEFAULT 0,
	COMPRESSED_SIZE NUMBER(10) DEFAULT 0,
	PUBLISHED VARCHAR2(1) DEFAULT 'N' NOT NULL,
	ASSIGN_NAMES VARCHAR2(2048),
	SUMMARY VARCHAR2(1024),
	PREVIOUS_WKF_STEP VARCHAR2(150),
	PRIVATE VARCHAR2(1) DEFAULT 'N',
	VISIBLE_AT_PARENT VARCHAR2(1) DEFAULT 'Y',
	LINK_DOC VARCHAR2(1) DEFAULT 'N' NOT NULL,
	ATTACHEMENT VARCHAR2(512),
	BLOB_DATA BLOB DEFAULT EMPTY_BLOB()
)
TABLESPACE PMO_DATA_64K
LOB(BLOB_DATA ) STORE AS LOBB_HISTORY_CLIENT_DOCUMENTS(TABLESPACE PMO_LOB_64K)
LOB(REVISION_HISTORY ) STORE AS LOBC_HISTORY_CLIENT_DOCUMENTS(TABLESPACE PMO_LOB_64K);


--INSERT INTO HISTORY_CLIENT_DOCUMENTS_TMP SELECT * FROM HISTORY_CLIENT_DOCUMENTS;
INSERT INTO HISTORY_CLIENT_DOCUMENTS_TMP
	(HISTORY_ID,
	LEVEL_ID,
	TYPE_ID,
	MAX_RANK,
	CHILD_COUNT,
	DELETED_COUNT,
	ELEMENT_ID,
	ELEMENT_NAME,
	ELEMENT_NUMBER,
	PROJECT_ID,
	BLOB_ID,
	PARENT_ID,
	PARENT_TYPE_ID,
	AUTHOR_ID,
	CREATION_DATE,
	APPROVED_DATE,
	REF_NUMBER,
	AUTHOR_CHECKOUT,
	PUBLISHED_DT,
	MINOR_REVISION,
	MAJOR_REVISION,
	MAX_REVISION,
	MAX_REV_REACHED,
	ATTACHED_ID,
	LAST_WF_TYPE,
	LAST_WF_BY,
	LAST_WF_DT,
	REC_USER,
	REC_STATUS,
	REC_DATETIME,
	RANK,
	PARENT_RANK,
	KEYWORDS,
	LAST_CHECKIN,
	REVISION_TYPE,
	REVISION_IMPACT,
	REVISION_HISTORY,
	SCORECARD_ID,
	SCORE,
	WEIGHT,
	CONVERTED_SCORE,
	CONVERTED_WEIGHT,
	ACTIVE,
	LOCAL_FOLDER,
	RTF_BITS,
	PRIORITY,
	SCOPE_RANK_ID,
	STAGE_ID,
	TEMP_FOLDER,
	LOCAL_MACHINE,
	DOCUMENT_SIZE,
	COMPRESSED_SIZE,
	PUBLISHED,
	ASSIGN_NAMES,
	SUMMARY,
	PREVIOUS_WKF_STEP,
	PRIVATE,
	VISIBLE_AT_PARENT,
	LINK_DOC,
	ATTACHEMENT,
	BLOB_DATA)
SELECT 
	HISTORY_ID,
	LEVEL_ID,
	TYPE_ID,
	MAX_RANK,
	CHILD_COUNT,
	DELETED_COUNT,
	ELEMENT_ID,
	ELEMENT_NAME,
	ELEMENT_NUMBER,
	PROJECT_ID,
	BLOB_ID,
	PARENT_ID,
	PARENT_TYPE_ID,
	AUTHOR_ID,
	CREATION_DATE,
	APPROVED_DATE,
	REF_NUMBER,
	AUTHOR_CHECKOUT,
	PUBLISHED_DT,
	MINOR_REVISION,
	MAJOR_REVISION,
	MAX_REVISION,
	MAX_REV_REACHED,
	ATTACHED_ID,
	LAST_WF_TYPE,
	LAST_WF_BY,
	LAST_WF_DT,
	REC_USER,
	REC_STATUS,
	REC_DATETIME,
	RANK,
	PARENT_RANK,
	KEYWORDS,
	LAST_CHECKIN,
	REVISION_TYPE,
	REVISION_IMPACT,
	REVISION_HISTORY,
	SCORECARD_ID,
	SCORE,
	WEIGHT,
	CONVERTED_SCORE,
	CONVERTED_WEIGHT,
	ACTIVE,
	LOCAL_FOLDER,
	RTF_BITS,
	PRIORITY,
	SCOPE_RANK_ID,
	STAGE_ID,
	TEMP_FOLDER,
	LOCAL_MACHINE,
	DOCUMENT_SIZE,
	COMPRESSED_SIZE,
	PUBLISHED,
	ASSIGN_NAMES,
	SUMMARY,
	PREVIOUS_WKF_STEP,
	PRIVATE,
	VISIBLE_AT_PARENT,
	LINK_DOC,
	ATTACHEMENT,
	BLOB_DATA
FROM HISTORY_CLIENT_DOCUMENTS;

DROP INDEX HCLID_EID_MJIRV_CU;
DROP INDEX HCLID_HID_XX;
DROP INDEX HCLID_RK_XX;


DROP TABLE HISTORY_CLIENT_DOCUMENTS_OLD;
ALTER TABLE HISTORY_CLIENT_DOCUMENTS RENAME TO HISTORY_CLIENT_DOCUMENTS_OLD;
ALTER TABLE HISTORY_CLIENT_DOCUMENTS_TMP RENAME TO HISTORY_CLIENT_DOCUMENTS;


CREATE UNIQUE INDEX HCLID_EID_MJIRV_CU ON HISTORY_CLIENT_DOCUMENTS (ELEMENT_ID ASC,MAJOR_REVISION DESC,MINOR_REVISION DESC)  PCTFREE = 30 TABLESPACE PMO_IDX_64K;
CREATE  INDEX HCLID_HID_XX ON HISTORY_CLIENT_DOCUMENTS (HISTORY_ID ASC) TABLESPACE PMO_IDX_64K;
CREATE  INDEX HCLID_RK_XX ON HISTORY_CLIENT_DOCUMENTS (RANK ASC)  PCTFREE = 30 TABLESPACE PMO_IDX_64K;

DROP TABLE HISTORY_DOCUMENTS_TMP;
CREATE TABLE HISTORY_DOCUMENTS_TMP (
	HISTORY_ID VARCHAR2(32),
	LEVEL_ID NUMBER(10) NOT NULL,
	TYPE_ID NUMBER(10) DEFAULT 0 NOT NULL,
	MAX_RANK NUMBER(19) DEFAULT 0 NOT NULL,
	CHILD_COUNT NUMBER(10) DEFAULT 0 NOT NULL,
	DELETED_COUNT NUMBER(10) DEFAULT 0 NOT NULL,
	ELEMENT_ID VARCHAR2(32),
	ELEMENT_NAME VARCHAR2(255),
	ELEMENT_NUMBER NUMBER(19),
	PROJECT_ID VARCHAR2(32),
	BLOB_ID VARCHAR2(32),
	PARENT_ID VARCHAR2(32),
	PARENT_TYPE_ID NUMBER(5) DEFAULT 0 NOT NULL,
	AUTHOR_ID VARCHAR2(32),
	CREATION_DATE DATE DEFAULT SYSDATE,
	APPROVED_DATE DATE,
	REF_NUMBER VARCHAR2(50),
	AUTHOR_CHECKOUT VARCHAR2(1) DEFAULT 'Y' NOT NULL,
	PUBLISHED_DT TIMESTAMP,
	MINOR_REVISION NUMBER(5) DEFAULT 1 NOT NULL,
	MAJOR_REVISION NUMBER(5) DEFAULT 0 NOT NULL,
	MAX_REVISION NUMBER(5) DEFAULT 0 NOT NULL,
	MAX_REV_REACHED VARCHAR2(1) DEFAULT 'N' NOT NULL,
	ATTACHED_ID VARCHAR2(32),
	LAST_WF_TYPE VARCHAR2(110),
	LAST_WF_BY VARCHAR2(50),
	LAST_WF_DT TIMESTAMP,
	REC_USER VARCHAR2(32),
	REC_STATUS VARCHAR2(1) DEFAULT 'O' NOT NULL,
	REC_DATETIME TIMESTAMP DEFAULT SYSTIMESTAMP NOT NULL,
	RANK VARCHAR2(192),
	PARENT_RANK VARCHAR2(192),
	KEYWORDS VARCHAR2(255),
	LAST_CHECKIN TIMESTAMP,
	REVISION_TYPE NUMBER(10) DEFAULT 4768,
	REVISION_IMPACT NUMBER(10) DEFAULT 137,
	REVISION_HISTORY CLOB DEFAULT EMPTY_CLOB(),
	SCORECARD_ID VARCHAR2(32),
	SCORE NUMBER(5) DEFAULT 0,
	WEIGHT NUMBER(5) DEFAULT 1,
	CONVERTED_SCORE NUMBER(19) DEFAULT 0,
	CONVERTED_WEIGHT NUMBER(19) DEFAULT 1,
	ACTIVE VARCHAR2(1) DEFAULT '1' NOT NULL,
	LOCAL_FOLDER VARCHAR2(550),
	RTF_BITS NUMBER(5) DEFAULT 0,
	PRIORITY NUMBER(5) DEFAULT 500,
	SCOPE_RANK_ID NUMBER(5) DEFAULT 729,
	STAGE_ID NUMBER(10) DEFAULT 4953,
	TEMP_FOLDER VARCHAR2(550),
	LOCAL_MACHINE VARCHAR2(550),
	DOCUMENT_SIZE NUMBER(10) DEFAULT 0,
	COMPRESSED_SIZE NUMBER(10) DEFAULT 0,
	PUBLISHED VARCHAR2(1) DEFAULT 'N' NOT NULL,
	ASSIGN_NAMES VARCHAR2(2048),
	SUMMARY VARCHAR2(1024),
	PREVIOUS_WKF_STEP VARCHAR2(150),
	PRIVATE VARCHAR2(1) DEFAULT 'N',
	VISIBLE_AT_PARENT VARCHAR2(1) DEFAULT 'Y',
	ATTACHEMENT VARCHAR2(512),
	LINK_DOC VARCHAR2(1) DEFAULT 'N' NOT NULL,
	T_PARENT_ID VARCHAR2(32),
	T_RANK VARCHAR2(192),
	BLOB_DATA BLOB DEFAULT EMPTY_BLOB(),
	RUP_LINK VARCHAR2(1) DEFAULT '0' NOT NULL
)
TABLESPACE PMO_DATA_64K
LOB(BLOB_DATA ) STORE AS LOBB_HISTORY_DOCUMENTS(TABLESPACE PMO_LOB_64M)
LOB(REVISION_HISTORY ) STORE AS LOBC_HISTORY_DOCUMENTS(TABLESPACE PMO_LOB_64M);

--INSERT INTO HISTORY_DOCUMENTS_TMP SELECT * FROM HISTORY_DOCUMENTS;
INSERT INTO HISTORY_DOCUMENTS_TMP
	(HISTORY_ID,
	LEVEL_ID,
	TYPE_ID,
	MAX_RANK,
	CHILD_COUNT,
	DELETED_COUNT,
	ELEMENT_ID,
	ELEMENT_NAME,
	ELEMENT_NUMBER,
	PROJECT_ID,
	BLOB_ID,
	PARENT_ID,
	PARENT_TYPE_ID,
	AUTHOR_ID,
	CREATION_DATE,
	APPROVED_DATE,
	REF_NUMBER,
	AUTHOR_CHECKOUT,
	PUBLISHED_DT,
	MINOR_REVISION,
	MAJOR_REVISION,
	MAX_REVISION,
	MAX_REV_REACHED,
	ATTACHED_ID,
	LAST_WF_TYPE,
	LAST_WF_BY,
	LAST_WF_DT,
	REC_USER,
	REC_STATUS,
	REC_DATETIME,
	RANK,
	PARENT_RANK,
	KEYWORDS,
	LAST_CHECKIN,
	REVISION_TYPE,
	REVISION_IMPACT,
	REVISION_HISTORY,
	SCORECARD_ID,
	SCORE,
	WEIGHT,
	CONVERTED_SCORE,
	CONVERTED_WEIGHT,
	ACTIVE,
	LOCAL_FOLDER,
	RTF_BITS,
	PRIORITY,
	SCOPE_RANK_ID,
	STAGE_ID,
	TEMP_FOLDER,
	LOCAL_MACHINE,
	DOCUMENT_SIZE,
	COMPRESSED_SIZE,
	PUBLISHED,
	ASSIGN_NAMES,
	SUMMARY,
	PREVIOUS_WKF_STEP,
	PRIVATE,
	VISIBLE_AT_PARENT,
	ATTACHEMENT,
	LINK_DOC,
	T_PARENT_ID,
	T_RANK,
	BLOB_DATA,
	RUP_LINK)
SELECT
	HISTORY_ID,
	LEVEL_ID,
	TYPE_ID,
	MAX_RANK,
	CHILD_COUNT,
	DELETED_COUNT,
	ELEMENT_ID,
	ELEMENT_NAME,
	ELEMENT_NUMBER,
	PROJECT_ID,
	BLOB_ID,
	PARENT_ID,
	PARENT_TYPE_ID,
	AUTHOR_ID,
	CREATION_DATE,
	APPROVED_DATE,
	REF_NUMBER,
	AUTHOR_CHECKOUT,
	PUBLISHED_DT,
	MINOR_REVISION,
	MAJOR_REVISION,
	MAX_REVISION,
	MAX_REV_REACHED,
	ATTACHED_ID,
	LAST_WF_TYPE,
	LAST_WF_BY,
	LAST_WF_DT,
	REC_USER,
	REC_STATUS,
	REC_DATETIME,
	RANK,
	PARENT_RANK,
	KEYWORDS,
	LAST_CHECKIN,
	REVISION_TYPE,
	REVISION_IMPACT,
	REVISION_HISTORY,
	SCORECARD_ID,
	SCORE,
	WEIGHT,
	CONVERTED_SCORE,
	CONVERTED_WEIGHT,
	ACTIVE,
	LOCAL_FOLDER,
	RTF_BITS,
	PRIORITY,
	SCOPE_RANK_ID,
	STAGE_ID,
	TEMP_FOLDER,
	LOCAL_MACHINE,
	DOCUMENT_SIZE,
	COMPRESSED_SIZE,
	PUBLISHED,
	ASSIGN_NAMES,
	SUMMARY,
	PREVIOUS_WKF_STEP,
	PRIVATE,
	VISIBLE_AT_PARENT,
	ATTACHEMENT,
	LINK_DOC,
	T_PARENT_ID,
	T_RANK,
	BLOB_DATA,
	RUP_LINK
FROM HISTORY_DOCUMENTS;

DROP INDEX HSDOC_EID_MJIRV_CU;
DROP INDEX HSDOC_HID_XX;
DROP INDEX HSDOC_RK_XX;


DROP TABLE HISTORY_DOCUMENTS_OLD;
ALTER TABLE HISTORY_DOCUMENTS RENAME TO HISTORY_DOCUMENTS_OLD;
ALTER TABLE HISTORY_DOCUMENTS_TMP RENAME TO HISTORY_DOCUMENTS;


CREATE UNIQUE INDEX HSDOC_EID_MJIRV_CU ON HISTORY_DOCUMENTS (ELEMENT_ID ASC,MAJOR_REVISION DESC,MINOR_REVISION DESC)  PCTFREE = 30 TABLESPACE PMO_IDX_64K;
CREATE  INDEX HSDOC_HID_XX ON HISTORY_DOCUMENTS (HISTORY_ID ASC) TABLESPACE PMO_IDX_64K;
CREATE  INDEX HSDOC_RK_XX ON HISTORY_DOCUMENTS (RANK ASC)  PCTFREE = 30 TABLESPACE PMO_IDX_64K;

DROP TABLE HISTORY_POOL_DOCUMENTS_TMP;
CREATE TABLE HISTORY_POOL_DOCUMENTS_TMP (
	HISTORY_ID VARCHAR2(32),
	LEVEL_ID NUMBER(10) NOT NULL,
	TYPE_ID NUMBER(10) DEFAULT 0 NOT NULL,
	MAX_RANK NUMBER(19) DEFAULT 0 NOT NULL,
	CHILD_COUNT NUMBER(10) DEFAULT 0 NOT NULL,
	DELETED_COUNT NUMBER(10) DEFAULT 0 NOT NULL,
	ELEMENT_ID VARCHAR2(32),
	ELEMENT_NAME VARCHAR2(255),
	ELEMENT_NUMBER NUMBER(19),
	PROJECT_ID VARCHAR2(32),
	BLOB_ID VARCHAR2(32),
	PARENT_ID VARCHAR2(32),
	PARENT_TYPE_ID NUMBER(5) DEFAULT 0 NOT NULL,
	AUTHOR_ID VARCHAR2(32),
	CREATION_DATE DATE DEFAULT SYSDATE,
	APPROVED_DATE DATE,
	REF_NUMBER VARCHAR2(50),
	AUTHOR_CHECKOUT VARCHAR2(1) DEFAULT 'Y' NOT NULL,
	PUBLISHED_DT TIMESTAMP,
	MINOR_REVISION NUMBER(5) DEFAULT 1 NOT NULL,
	MAJOR_REVISION NUMBER(5) DEFAULT 0 NOT NULL,
	MAX_REVISION NUMBER(5) DEFAULT 0 NOT NULL,
	MAX_REV_REACHED VARCHAR2(1) DEFAULT 'N' NOT NULL,
	ATTACHED_ID VARCHAR2(32),
	LAST_WF_TYPE VARCHAR2(110),
	LAST_WF_BY VARCHAR2(50),
	LAST_WF_DT TIMESTAMP,
	REC_USER VARCHAR2(32),
	REC_STATUS VARCHAR2(1) DEFAULT 'O' NOT NULL,
	REC_DATETIME TIMESTAMP DEFAULT SYSTIMESTAMP NOT NULL,
	RANK VARCHAR2(192),
	PARENT_RANK VARCHAR2(192),
	KEYWORDS VARCHAR2(255),
	LAST_CHECKIN TIMESTAMP,
	REVISION_TYPE NUMBER(10) DEFAULT 4768,
	REVISION_IMPACT NUMBER(10) DEFAULT 137,
	REVISION_HISTORY CLOB DEFAULT EMPTY_CLOB(),
	SCORECARD_ID VARCHAR2(32),
	SCORE NUMBER(5) DEFAULT 0,
	WEIGHT NUMBER(5) DEFAULT 1,
	CONVERTED_SCORE NUMBER(19) DEFAULT 0,
	CONVERTED_WEIGHT NUMBER(19) DEFAULT 1,
	ACTIVE VARCHAR2(1) DEFAULT '1' NOT NULL,
	LOCAL_FOLDER VARCHAR2(550),
	RTF_BITS NUMBER(5) DEFAULT 0,
	PRIORITY NUMBER(5) DEFAULT 500,
	SCOPE_RANK_ID NUMBER(5) DEFAULT 5427,
	STAGE_ID NUMBER(10) DEFAULT 4953,
	TEMP_FOLDER VARCHAR2(550),
	LOCAL_MACHINE VARCHAR2(550),
	DOCUMENT_SIZE NUMBER(10) DEFAULT 0,
	COMPRESSED_SIZE NUMBER(10) DEFAULT 0,
	PUBLISHED VARCHAR2(1) DEFAULT 'N' NOT NULL,
	ASSIGN_NAMES VARCHAR2(2048),
	SUMMARY VARCHAR2(1024),
	PREVIOUS_WKF_STEP VARCHAR2(150),
	PRIVATE VARCHAR2(1) DEFAULT 'N',
	VISIBLE_AT_PARENT VARCHAR2(1) DEFAULT 'Y',
	LINK_DOC VARCHAR2(1) DEFAULT 'N' NOT NULL,
	ATTACHEMENT VARCHAR2(512),
	BLOB_DATA BLOB DEFAULT EMPTY_BLOB()
)
TABLESPACE PMO_DATA_64K
LOB(BLOB_DATA ) STORE AS LOBB_HISTORY_POOL_DOCUMENTS(TABLESPACE PMO_LOB_64K)
LOB(REVISION_HISTORY ) STORE AS LOBC_HISTORY_POOL_DOCUMENTS(TABLESPACE PMO_LOB_64K);


--INSERT INTO HISTORY_POOL_DOCUMENTS_TMP SELECT * FROM HISTORY_POOL_DOCUMENTS;
INSERT INTO HISTORY_POOL_DOCUMENTS_TMP
	(HISTORY_ID,
	LEVEL_ID,
	TYPE_ID,
	MAX_RANK,
	CHILD_COUNT,
	DELETED_COUNT,
	ELEMENT_ID,
	ELEMENT_NAME,
	ELEMENT_NUMBER,
	PROJECT_ID,
	BLOB_ID,
	PARENT_ID,
	PARENT_TYPE_ID,
	AUTHOR_ID,
	CREATION_DATE,
	APPROVED_DATE,
	REF_NUMBER,
	AUTHOR_CHECKOUT,
	PUBLISHED_DT,
	MINOR_REVISION,
	MAJOR_REVISION,
	MAX_REVISION,
	MAX_REV_REACHED,
	ATTACHED_ID,
	LAST_WF_TYPE,
	LAST_WF_BY,
	LAST_WF_DT,
	REC_USER,
	REC_STATUS,
	REC_DATETIME,
	RANK,
	PARENT_RANK,
	KEYWORDS,
	LAST_CHECKIN,
	REVISION_TYPE,
	REVISION_IMPACT,
	REVISION_HISTORY,
	SCORECARD_ID,
	SCORE,
	WEIGHT,
	CONVERTED_SCORE,
	CONVERTED_WEIGHT,
	ACTIVE,
	LOCAL_FOLDER,
	RTF_BITS,
	PRIORITY,
	SCOPE_RANK_ID,
	STAGE_ID,
	TEMP_FOLDER,
	LOCAL_MACHINE,
	DOCUMENT_SIZE,
	COMPRESSED_SIZE,
	PUBLISHED,
	ASSIGN_NAMES,
	SUMMARY,
	PREVIOUS_WKF_STEP,
	PRIVATE,
	VISIBLE_AT_PARENT,
	LINK_DOC,
	ATTACHEMENT,
	BLOB_DATA)
SELECT
	HISTORY_ID,
	LEVEL_ID,
	TYPE_ID,
	MAX_RANK,
	CHILD_COUNT,
	DELETED_COUNT,
	ELEMENT_ID,
	ELEMENT_NAME,
	ELEMENT_NUMBER,
	PROJECT_ID,
	BLOB_ID,
	PARENT_ID,
	PARENT_TYPE_ID,
	AUTHOR_ID,
	CREATION_DATE,
	APPROVED_DATE,
	REF_NUMBER,
	AUTHOR_CHECKOUT,
	PUBLISHED_DT,
	MINOR_REVISION,
	MAJOR_REVISION,
	MAX_REVISION,
	MAX_REV_REACHED,
	ATTACHED_ID,
	LAST_WF_TYPE,
	LAST_WF_BY,
	LAST_WF_DT,
	REC_USER,
	REC_STATUS,
	REC_DATETIME,
	RANK,
	PARENT_RANK,
	KEYWORDS,
	LAST_CHECKIN,
	REVISION_TYPE,
	REVISION_IMPACT,
	REVISION_HISTORY,
	SCORECARD_ID,
	SCORE,
	WEIGHT,
	CONVERTED_SCORE,
	CONVERTED_WEIGHT,
	ACTIVE,
	LOCAL_FOLDER,
	RTF_BITS,
	PRIORITY,
	SCOPE_RANK_ID,
	STAGE_ID,
	TEMP_FOLDER,
	LOCAL_MACHINE,
	DOCUMENT_SIZE,
	COMPRESSED_SIZE,
	PUBLISHED,
	ASSIGN_NAMES,
	SUMMARY,
	PREVIOUS_WKF_STEP,
	PRIVATE,
	VISIBLE_AT_PARENT,
	LINK_DOC,
	ATTACHEMENT,
	BLOB_DATA
FROM HISTORY_POOL_DOCUMENTS;

DROP INDEX HPOOLD_EID_RV_CU;
DROP INDEX HPOOLD_HID_XX;
DROP INDEX HPOOLD_RK_XX;


DROP TABLE HISTORY_POOL_DOCUMENTS_OLD;
ALTER TABLE HISTORY_POOL_DOCUMENTS RENAME TO HISTORY_POOL_DOCUMENTS_OLD;
ALTER TABLE HISTORY_POOL_DOCUMENTS_TMP RENAME TO HISTORY_POOL_DOCUMENTS;



CREATE UNIQUE INDEX HPOOLD_EID_RV_CU ON HISTORY_POOL_DOCUMENTS (ELEMENT_ID ASC,MAJOR_REVISION DESC,MINOR_REVISION DESC)  PCTFREE = 30 TABLESPACE PMO_IDX_64K;
CREATE  INDEX HPOOLD_HID_XX ON HISTORY_POOL_DOCUMENTS (HISTORY_ID ASC) TABLESPACE PMO_IDX_64K;
CREATE  INDEX HPOOLD_RK_XX ON HISTORY_POOL_DOCUMENTS (RANK ASC)  PCTFREE = 30 TABLESPACE PMO_IDX_64K;

DROP TABLE HISTORY_RESOURCE_DOCUMENTS_TMP;
CREATE TABLE HISTORY_RESOURCE_DOCUMENTS_TMP (
	HISTORY_ID VARCHAR2(32),
	LEVEL_ID NUMBER(10) NOT NULL,
	TYPE_ID NUMBER(10) DEFAULT 0 NOT NULL,
	MAX_RANK NUMBER(19) DEFAULT 0 NOT NULL,
	CHILD_COUNT NUMBER(10) DEFAULT 0 NOT NULL,
	DELETED_COUNT NUMBER(10) DEFAULT 0 NOT NULL,
	ELEMENT_ID VARCHAR2(32),
	ELEMENT_NAME VARCHAR2(255),
	ELEMENT_NUMBER NUMBER(19),
	PROJECT_ID VARCHAR2(32),
	BLOB_ID VARCHAR2(32),
	PARENT_ID VARCHAR2(32),
	PARENT_TYPE_ID NUMBER(5) DEFAULT 0 NOT NULL,
	AUTHOR_ID VARCHAR2(32),
	CREATION_DATE DATE DEFAULT SYSDATE,
	APPROVED_DATE DATE,
	REF_NUMBER VARCHAR2(50),
	AUTHOR_CHECKOUT VARCHAR2(1) DEFAULT 'Y' NOT NULL,
	PUBLISHED_DT TIMESTAMP,
	MINOR_REVISION NUMBER(5) DEFAULT 1 NOT NULL,
	MAJOR_REVISION NUMBER(5) DEFAULT 0 NOT NULL,
	MAX_REVISION NUMBER(5) DEFAULT 0 NOT NULL,
	MAX_REV_REACHED VARCHAR2(1) DEFAULT 'N' NOT NULL,
	ATTACHED_ID VARCHAR2(32),
	LAST_WF_TYPE VARCHAR2(110),
	LAST_WF_BY VARCHAR2(50),
	LAST_WF_DT TIMESTAMP,
	REC_USER VARCHAR2(32),
	REC_STATUS VARCHAR2(1) DEFAULT 'O' NOT NULL,
	REC_DATETIME TIMESTAMP DEFAULT SYSTIMESTAMP NOT NULL,
	RANK VARCHAR2(192),
	PARENT_RANK VARCHAR2(192),
	KEYWORDS VARCHAR2(255),
	LAST_CHECKIN TIMESTAMP,
	REVISION_TYPE NUMBER(10) DEFAULT 4768,
	REVISION_IMPACT NUMBER(10) DEFAULT 137,
	REVISION_HISTORY CLOB DEFAULT EMPTY_CLOB(),
	SCORECARD_ID VARCHAR2(32),
	SCORE NUMBER(5) DEFAULT 0,
	WEIGHT NUMBER(5) DEFAULT 1,
	CONVERTED_SCORE NUMBER(19) DEFAULT 0,
	CONVERTED_WEIGHT NUMBER(19) DEFAULT 1,
	ACTIVE VARCHAR2(1) DEFAULT '1' NOT NULL,
	LOCAL_FOLDER VARCHAR2(550),
	RTF_BITS NUMBER(5) DEFAULT 0,
	PRIORITY NUMBER(5) DEFAULT 500,
	SCOPE_RANK_ID NUMBER(5) DEFAULT 0,
	STAGE_ID NUMBER(10) DEFAULT 48524852,
	TEMP_FOLDER VARCHAR2(550),
	LOCAL_MACHINE VARCHAR2(550),
	DOCUMENT_SIZE NUMBER(10) DEFAULT 0,
	COMPRESSED_SIZE NUMBER(10) DEFAULT 0,
	PUBLISHED VARCHAR2(1) DEFAULT 'N' NOT NULL,
	ASSIGN_NAMES VARCHAR2(2048),
	SUMMARY VARCHAR2(1024),
	PREVIOUS_WKF_STEP VARCHAR2(150),
	PRIVATE VARCHAR2(1) DEFAULT 'N',
	VISIBLE_AT_PARENT VARCHAR2(1) DEFAULT 'Y',
	LINK_DOC VARCHAR2(1) DEFAULT 'N' NOT NULL,
	ATTACHEMENT VARCHAR2(512),
	BLOB_DATA BLOB DEFAULT EMPTY_BLOB()
)
TABLESPACE PMO_DATA_64K
LOB(BLOB_DATA ) STORE AS LOBB_HISTORY_RESOURCE_DOCUME(TABLESPACE PMO_LOB_64K)
LOB(REVISION_HISTORY ) STORE AS LOBC_HISTORY_RESOURCE_DOCUME(TABLESPACE PMO_LOB_64K);

--INSERT INTO HISTORY_RESOURCE_DOCUMENTS_TMP SELECT * FROM HISTORY_RESOURCE_DOCUMENTS;
INSERT INTO HISTORY_RESOURCE_DOCUMENTS_TMP
	(HISTORY_ID,
	LEVEL_ID,
	TYPE_ID,
	MAX_RANK,
	CHILD_COUNT,
	DELETED_COUNT,
	ELEMENT_ID,
	ELEMENT_NAME,
	ELEMENT_NUMBER,
	PROJECT_ID,
	BLOB_ID,
	PARENT_ID,
	PARENT_TYPE_ID,
	AUTHOR_ID,
	CREATION_DATE,
	APPROVED_DATE,
	REF_NUMBER,
	AUTHOR_CHECKOUT,
	PUBLISHED_DT,
	MINOR_REVISION,
	MAJOR_REVISION,
	MAX_REVISION,
	MAX_REV_REACHED,
	ATTACHED_ID,
	LAST_WF_TYPE,
	LAST_WF_BY,
	LAST_WF_DT,
	REC_USER,
	REC_STATUS,
	REC_DATETIME,
	RANK,
	PARENT_RANK,
	KEYWORDS,
	LAST_CHECKIN,
	REVISION_TYPE,
	REVISION_IMPACT,
	REVISION_HISTORY,
	SCORECARD_ID,
	SCORE,
	WEIGHT,
	CONVERTED_SCORE,
	CONVERTED_WEIGHT,
	ACTIVE,
	LOCAL_FOLDER,
	RTF_BITS,
	PRIORITY,
	SCOPE_RANK_ID,
	STAGE_ID,
	TEMP_FOLDER,
	LOCAL_MACHINE,
	DOCUMENT_SIZE,
	COMPRESSED_SIZE,
	PUBLISHED,
	ASSIGN_NAMES,
	SUMMARY,
	PREVIOUS_WKF_STEP,
	PRIVATE,
	VISIBLE_AT_PARENT,
	LINK_DOC,
	ATTACHEMENT,
	BLOB_DATA)
SELECT 
	HISTORY_ID,
	LEVEL_ID,
	TYPE_ID,
	MAX_RANK,
	CHILD_COUNT,
	DELETED_COUNT,
	ELEMENT_ID,
	ELEMENT_NAME,
	ELEMENT_NUMBER,
	PROJECT_ID,
	BLOB_ID,
	PARENT_ID,
	PARENT_TYPE_ID,
	AUTHOR_ID,
	CREATION_DATE,
	APPROVED_DATE,
	REF_NUMBER,
	AUTHOR_CHECKOUT,
	PUBLISHED_DT,
	MINOR_REVISION,
	MAJOR_REVISION,
	MAX_REVISION,
	MAX_REV_REACHED,
	ATTACHED_ID,
	LAST_WF_TYPE,
	LAST_WF_BY,
	LAST_WF_DT,
	REC_USER,
	REC_STATUS,
	REC_DATETIME,
	RANK,
	PARENT_RANK,
	KEYWORDS,
	LAST_CHECKIN,
	REVISION_TYPE,
	REVISION_IMPACT,
	REVISION_HISTORY,
	SCORECARD_ID,
	SCORE,
	WEIGHT,
	CONVERTED_SCORE,
	CONVERTED_WEIGHT,
	ACTIVE,
	LOCAL_FOLDER,
	RTF_BITS,
	PRIORITY,
	SCOPE_RANK_ID,
	STAGE_ID,
	TEMP_FOLDER,
	LOCAL_MACHINE,
	DOCUMENT_SIZE,
	COMPRESSED_SIZE,
	PUBLISHED,
	ASSIGN_NAMES,
	SUMMARY,
	PREVIOUS_WKF_STEP,
	PRIVATE,
	VISIBLE_AT_PARENT,
	LINK_DOC,
	ATTACHEMENT,
	BLOB_DATA
FROM HISTORY_RESOURCE_DOCUMENTS;


DROP INDEX HRD_EID_MJIRV_CU;
DROP INDEX HRD_HID_XX;
DROP INDEX HRD_NK_XA;

DROP TABLE HISTORY_RESOURCE_DOCUMENTS_OLD;
ALTER TABLE HISTORY_RESOURCE_DOCUMENTS RENAME TO HISTORY_RESOURCE_DOCUMENTS_OLD;
ALTER TABLE HISTORY_RESOURCE_DOCUMENTS_TMP RENAME TO HISTORY_RESOURCE_DOCUMENTS;


CREATE UNIQUE INDEX HRD_EID_MJIRV_CU ON HISTORY_RESOURCE_DOCUMENTS (ELEMENT_ID ASC,MAJOR_REVISION DESC,MINOR_REVISION DESC)  PCTFREE = 30 TABLESPACE PMO_IDX_64K;
CREATE  INDEX HRD_HID_XX ON HISTORY_RESOURCE_DOCUMENTS (HISTORY_ID ASC) TABLESPACE PMO_IDX_64K;
CREATE  INDEX HRD_NK_XA ON HISTORY_RESOURCE_DOCUMENTS (RANK ASC)  PCTFREE = 30 TABLESPACE PMO_IDX_64K;


DROP TABLE HISTORY_VENDORS_TMP;
CREATE TABLE HISTORY_VENDORS_TMP (
	HISTORY_ID VARCHAR2(32),
	LEVEL_ID NUMBER(10) NOT NULL,
	TYPE_ID NUMBER(10) DEFAULT 0 NOT NULL,
	MAX_RANK NUMBER(10) DEFAULT 0 NOT NULL,
	CHILD_COUNT NUMBER(10) DEFAULT 0 NOT NULL,
	DELETED_COUNT NUMBER(10) DEFAULT 0 NOT NULL,
	ELEMENT_ID VARCHAR2(32),
	ELEMENT_NAME VARCHAR2(50),
	PARENT_ID VARCHAR2(32),
	REC_USER VARCHAR2(32),
	REC_STATUS VARCHAR2(1) DEFAULT 'O' NOT NULL,
	REC_DATETIME TIMESTAMP DEFAULT SYSTIMESTAMP NOT NULL,
	LABEL VARCHAR2(50),
	DESCRIPTION VARCHAR2(4000),
	DEFAULT_FLAG VARCHAR2(1),
	RANK VARCHAR2(128) NOT NULL,
	DOMAIN_ID VARCHAR2(32),
	MANAGER_ID VARCHAR2(32),
	COMPANY_NAME VARCHAR2(50),
	ADDRESS VARCHAR2(255),
	PHONE VARCHAR2(25),
	FAX VARCHAR2(25),
	WEBSITE VARCHAR2(255),
	CONTACT_NAME VARCHAR2(50),
	OTHER_LOCATION VARCHAR2(255),
	YEAR_IN_BUSINESS NUMBER(10),
	CLIENT_MORE_100_EMPLOYEES NUMBER(10),
	CLIENT_MORE_1000_EMPLOYEES NUMBER(10),
	CLIENT_MORE_10000_EMPLOYEES NUMBER(10),
	NUMBER_EMPLOYEES NUMBER(10),
	ANNUAL_REVENUES NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	BILLING_ADDRESS VARCHAR2(255),
	BILLING_PHONE VARCHAR2(25),
	BILLING_FAX VARCHAR2(25),
	BILLING_EMAIL VARCHAR2(50),
	EQUAL_OPPORTUNITY VARCHAR2(1),
	MAJOR_REVISION NUMBER(5) DEFAULT 0 NOT NULL,
	MINOR_REVISION NUMBER(5) DEFAULT 1 NOT NULL,
	REVISION_IMPACT NUMBER(10) DEFAULT 137,
	REVISION_TYPE NUMBER(10) DEFAULT 920,
	REVISION_HISTORY CLOB DEFAULT EMPTY_CLOB(),
	PUBLIC_FLAG VARCHAR2(1) DEFAULT '0' NOT NULL,
	COMPANY_BACKGROUND VARCHAR2(3000),
	OWNERSHIP VARCHAR2(3000),
	SERVICES_OFFERED VARCHAR2(3000),
	SERVICES_SPECIALIZED VARCHAR2(3000),
	INDUSTRIES_SERVED VARCHAR2(3000),
	HIGHLIGHT VARCHAR2(3000),
	LOCATION_SERVED VARCHAR2(3000),
	DOC_COUNT NUMBER(10) DEFAULT 0
)
TABLESPACE PMO_DATA_64K
LOB(REVISION_HISTORY ) STORE AS LOBC_HISTORY_VENDORS(TABLESPACE PMO_LOB_64K);


--INSERT INTO HISTORY_VENDORS_TMP SELECT * FROM HISTORY_VENDORS;
INSERT INTO HISTORY_VENDORS_TMP
	(HISTORY_ID,
	LEVEL_ID,
	TYPE_ID,
	MAX_RANK,
	CHILD_COUNT,
	DELETED_COUNT,
	ELEMENT_ID,
	ELEMENT_NAME,
	PARENT_ID,
	REC_USER,
	REC_STATUS,
	REC_DATETIME,
	LABEL,
	DESCRIPTION,
	DEFAULT_FLAG,
	RANK,
	DOMAIN_ID,
	MANAGER_ID,
	COMPANY_NAME,
	ADDRESS,
	PHONE,
	FAX,
	WEBSITE,
	CONTACT_NAME,
	OTHER_LOCATION,
	YEAR_IN_BUSINESS,
	CLIENT_MORE_100_EMPLOYEES,
	CLIENT_MORE_1000_EMPLOYEES,
	CLIENT_MORE_10000_EMPLOYEES,
	NUMBER_EMPLOYEES,
	ANNUAL_REVENUES,
	BILLING_ADDRESS,
	BILLING_PHONE,
	BILLING_FAX,
	BILLING_EMAIL,
	EQUAL_OPPORTUNITY,
	MAJOR_REVISION,
	MINOR_REVISION,
	REVISION_IMPACT,
	REVISION_TYPE,
	REVISION_HISTORY,
	PUBLIC_FLAG,
	COMPANY_BACKGROUND,
	OWNERSHIP,
	SERVICES_OFFERED,
	SERVICES_SPECIALIZED,
	INDUSTRIES_SERVED,
	HIGHLIGHT,
	LOCATION_SERVED,
	DOC_COUNT)
SELECT
	HISTORY_ID,
	LEVEL_ID,
	TYPE_ID,
	MAX_RANK,
	CHILD_COUNT,
	DELETED_COUNT,
	ELEMENT_ID,
	ELEMENT_NAME,
	PARENT_ID,
	REC_USER,
	REC_STATUS,
	REC_DATETIME,
	LABEL,
	DESCRIPTION,
	DEFAULT_FLAG,
	RANK,
	DOMAIN_ID,
	MANAGER_ID,
	COMPANY_NAME,
	ADDRESS,
	PHONE,
	FAX,
	WEBSITE,
	CONTACT_NAME,
	OTHER_LOCATION,
	YEAR_IN_BUSINESS,
	CLIENT_MORE_100_EMPLOYEES,
	CLIENT_MORE_1000_EMPLOYEES,
	CLIENT_MORE_10000_EMPLOYEES,
	NUMBER_EMPLOYEES,
	ANNUAL_REVENUES,
	BILLING_ADDRESS,
	BILLING_PHONE,
	BILLING_FAX,
	BILLING_EMAIL,
	EQUAL_OPPORTUNITY,
	MAJOR_REVISION,
	MINOR_REVISION,
	REVISION_IMPACT,
	REVISION_TYPE,
	REVISION_HISTORY,
	PUBLIC_FLAG,
	COMPANY_BACKGROUND,
	OWNERSHIP,
	SERVICES_OFFERED,
	SERVICES_SPECIALIZED,
	INDUSTRIES_SERVED,
	HIGHLIGHT,
	LOCATION_SERVED,
	DOC_COUNT
FROM HISTORY_VENDORS;

DROP INDEX HSVNX_EID_RDT_CX;
DROP INDEX HSVNX_HID_XX;
DROP INDEX HSVNX_RK_XX;

DROP TABLE HISTORY_VENDORS_OLD;
ALTER TABLE HISTORY_VENDORS RENAME TO HISTORY_VENDORS_OLD;
ALTER TABLE HISTORY_VENDORS_TMP RENAME TO HISTORY_VENDORS;

CREATE  INDEX HSVNX_EID_RDT_CX ON HISTORY_VENDORS (ELEMENT_ID ASC,REC_DATETIME ASC)  PCTFREE = 30 TABLESPACE PMO_IDX_64K;
CREATE  INDEX HSVNX_HID_XX ON HISTORY_VENDORS (HISTORY_ID ASC) TABLESPACE PMO_IDX_64K;
CREATE  INDEX HSVNX_RK_XX ON HISTORY_VENDORS (RANK ASC)  PCTFREE = 30 TABLESPACE PMO_IDX_64K;



DROP TABLE HISTORY_VENDOR_DOCUMENTS_TMP;

CREATE TABLE HISTORY_VENDOR_DOCUMENTS_TMP (
	HISTORY_ID VARCHAR2(32),
	LEVEL_ID NUMBER(10) NOT NULL,
	TYPE_ID NUMBER(10) DEFAULT 0 NOT NULL,
	MAX_RANK NUMBER(19) DEFAULT 0 NOT NULL,
	CHILD_COUNT NUMBER(10) DEFAULT 0 NOT NULL,
	DELETED_COUNT NUMBER(10) DEFAULT 0 NOT NULL,
	ELEMENT_ID VARCHAR2(32),
	ELEMENT_NAME VARCHAR2(255),
	ELEMENT_NUMBER NUMBER(19),
	PROJECT_ID VARCHAR2(32),
	BLOB_ID VARCHAR2(32),
	PARENT_ID VARCHAR2(32),
	PARENT_TYPE_ID NUMBER(5) DEFAULT 0 NOT NULL,
	AUTHOR_ID VARCHAR2(32),
	CREATION_DATE DATE DEFAULT SYSDATE,
	APPROVED_DATE DATE,
	REF_NUMBER VARCHAR2(50),
	AUTHOR_CHECKOUT VARCHAR2(1) DEFAULT 'Y' NOT NULL,
	PUBLISHED_DT TIMESTAMP,
	MINOR_REVISION NUMBER(5) DEFAULT 1 NOT NULL,
	MAJOR_REVISION NUMBER(5) DEFAULT 0 NOT NULL,
	MAX_REVISION NUMBER(5) DEFAULT 0 NOT NULL,
	MAX_REV_REACHED VARCHAR2(1) DEFAULT 'N' NOT NULL,
	ATTACHED_ID VARCHAR2(32),
	LAST_WF_TYPE VARCHAR2(110),
	LAST_WF_BY VARCHAR2(50),
	LAST_WF_DT TIMESTAMP,
	REC_USER VARCHAR2(32),
	REC_STATUS VARCHAR2(1) DEFAULT 'O' NOT NULL,
	REC_DATETIME TIMESTAMP DEFAULT SYSTIMESTAMP NOT NULL,
	RANK VARCHAR2(192),
	PARENT_RANK VARCHAR2(192),
	KEYWORDS VARCHAR2(255),
	LAST_CHECKIN TIMESTAMP,
	REVISION_TYPE NUMBER(10) DEFAULT 4768,
	REVISION_IMPACT NUMBER(10) DEFAULT 137,
	REVISION_HISTORY CLOB DEFAULT EMPTY_CLOB(),
	SCORECARD_ID VARCHAR2(32),
	SCORE NUMBER(5) DEFAULT 0,
	WEIGHT NUMBER(5) DEFAULT 1,
	CONVERTED_SCORE NUMBER(19) DEFAULT 0,
	CONVERTED_WEIGHT NUMBER(19) DEFAULT 1,
	ACTIVE VARCHAR2(1) DEFAULT '1' NOT NULL,
	LOCAL_FOLDER VARCHAR2(550),
	RTF_BITS NUMBER(5) DEFAULT 0,
	PRIORITY NUMBER(5) DEFAULT 500,
	SCOPE_RANK_ID NUMBER(5) DEFAULT 5427,
	STAGE_ID NUMBER(10) DEFAULT 4953,
	TEMP_FOLDER VARCHAR2(550),
	LOCAL_MACHINE VARCHAR2(550),
	DOCUMENT_SIZE NUMBER(10) DEFAULT 0,
	COMPRESSED_SIZE NUMBER(10) DEFAULT 0,
	PUBLISHED VARCHAR2(1) DEFAULT 'N' NOT NULL,
	ASSIGN_NAMES VARCHAR2(2048),
	SUMMARY VARCHAR2(1024),
	PREVIOUS_WKF_STEP VARCHAR2(150),
	PRIVATE VARCHAR2(1) DEFAULT 'N',
	VISIBLE_AT_PARENT VARCHAR2(1) DEFAULT 'Y',
	LINK_DOC VARCHAR2(1) DEFAULT 'N' NOT NULL,
	ATTACHEMENT VARCHAR2(512),
	BLOB_DATA BLOB DEFAULT EMPTY_BLOB()
)
TABLESPACE PMO_DATA_64K
LOB(BLOB_DATA ) STORE AS LOBB_HISTORY_VENDOR_DOCUMENTS(TABLESPACE PMO_LOB_64K)
LOB(REVISION_HISTORY ) STORE AS LOBC_HISTORY_VENDOR_DOCUMENTS(TABLESPACE PMO_LOB_64K);


--INSERT INTO HISTORY_VENDOR_DOCUMENTS_TMP SELECT * FROM HISTORY_VENDOR_DOCUMENTS;
INSERT INTO HISTORY_VENDOR_DOCUMENTS_TMP
	(HISTORY_ID,
	LEVEL_ID,
	TYPE_ID,
	MAX_RANK,
	CHILD_COUNT,
	DELETED_COUNT,
	ELEMENT_ID,
	ELEMENT_NAME,
	ELEMENT_NUMBER,
	PROJECT_ID,
	BLOB_ID,
	PARENT_ID,
	PARENT_TYPE_ID,
	AUTHOR_ID,
	CREATION_DATE,
	APPROVED_DATE,
	REF_NUMBER,
	AUTHOR_CHECKOUT,
	PUBLISHED_DT,
	MINOR_REVISION,
	MAJOR_REVISION,
	MAX_REVISION,
	MAX_REV_REACHED,
	ATTACHED_ID,
	LAST_WF_TYPE,
	LAST_WF_BY,
	LAST_WF_DT,
	REC_USER,
	REC_STATUS,
	REC_DATETIME,
	RANK,
	PARENT_RANK,
	KEYWORDS,
	LAST_CHECKIN,
	REVISION_TYPE,
	REVISION_IMPACT,
	REVISION_HISTORY,
	SCORECARD_ID,
	SCORE,
	WEIGHT,
	CONVERTED_SCORE,
	CONVERTED_WEIGHT,
	ACTIVE,
	LOCAL_FOLDER,
	RTF_BITS,
	PRIORITY,
	SCOPE_RANK_ID,
	STAGE_ID,
	TEMP_FOLDER,
	LOCAL_MACHINE,
	DOCUMENT_SIZE,
	COMPRESSED_SIZE,
	PUBLISHED,
	ASSIGN_NAMES,
	SUMMARY,
	PREVIOUS_WKF_STEP,
	PRIVATE,
	VISIBLE_AT_PARENT,
	LINK_DOC,
	ATTACHEMENT,
	BLOB_DATA)
SELECT
	HISTORY_ID,
	LEVEL_ID,
	TYPE_ID,
	MAX_RANK,
	CHILD_COUNT,
	DELETED_COUNT,
	ELEMENT_ID,
	ELEMENT_NAME,
	ELEMENT_NUMBER,
	PROJECT_ID,
	BLOB_ID,
	PARENT_ID,
	PARENT_TYPE_ID,
	AUTHOR_ID,
	CREATION_DATE,
	APPROVED_DATE,
	REF_NUMBER,
	AUTHOR_CHECKOUT,
	PUBLISHED_DT,
	MINOR_REVISION,
	MAJOR_REVISION,
	MAX_REVISION,
	MAX_REV_REACHED,
	ATTACHED_ID,
	LAST_WF_TYPE,
	LAST_WF_BY,
	LAST_WF_DT,
	REC_USER,
	REC_STATUS,
	REC_DATETIME,
	RANK,
	PARENT_RANK,
	KEYWORDS,
	LAST_CHECKIN,
	REVISION_TYPE,
	REVISION_IMPACT,
	REVISION_HISTORY,
	SCORECARD_ID,
	SCORE,
	WEIGHT,
	CONVERTED_SCORE,
	CONVERTED_WEIGHT,
	ACTIVE,
	LOCAL_FOLDER,
	RTF_BITS,
	PRIORITY,
	SCOPE_RANK_ID,
	STAGE_ID,
	TEMP_FOLDER,
	LOCAL_MACHINE,
	DOCUMENT_SIZE,
	COMPRESSED_SIZE,
	PUBLISHED,
	ASSIGN_NAMES,
	SUMMARY,
	PREVIOUS_WKF_STEP,
	PRIVATE,
	VISIBLE_AT_PARENT,
	LINK_DOC,
	ATTACHEMENT,
	BLOB_DATA
FROM HISTORY_VENDOR_DOCUMENTS;

DROP INDEX HVEND_EID_MJIRV_CU;
DROP INDEX HVEND_HID_XX;
DROP INDEX HVEND_RK_XX;

DROP TABLE HISTORY_VENDOR_DOCUMENTS_OLD;
ALTER TABLE HISTORY_VENDOR_DOCUMENTS RENAME TO HISTORY_VENDOR_DOCUMENTS_OLD;
ALTER TABLE HISTORY_VENDOR_DOCUMENTS_TMP RENAME TO HISTORY_VENDOR_DOCUMENTS;

CREATE UNIQUE INDEX HVEND_EID_MJIRV_CU ON HISTORY_VENDOR_DOCUMENTS (ELEMENT_ID ASC,MAJOR_REVISION DESC,MINOR_REVISION DESC)  PCTFREE = 30 TABLESPACE PMO_IDX_64K;
CREATE  INDEX HVEND_HID_XX ON HISTORY_VENDOR_DOCUMENTS (HISTORY_ID ASC) TABLESPACE PMO_IDX_64K;
CREATE  INDEX HVEND_RK_XX ON HISTORY_VENDOR_DOCUMENTS (RANK ASC)  PCTFREE = 30 TABLESPACE PMO_IDX_64K;


DROP TABLE HISTORY_ASSETS_TMP;
CREATE TABLE HISTORY_ASSETS_TMP (
	HISTORY_ID VARCHAR2(32),
	RANK VARCHAR2(128) NOT NULL,
	LEVEL_ID NUMBER(10) NOT NULL,
	TYPE_ID NUMBER(10) DEFAULT 0 NOT NULL,
	MAX_RANK NUMBER(10) DEFAULT 0 NOT NULL,
	CHILD_COUNT NUMBER(10) DEFAULT 0 NOT NULL,
	DELETED_COUNT NUMBER(10) DEFAULT 0 NOT NULL,
	ELEMENT_ID VARCHAR2(32),
	ELEMENT_NAME VARCHAR2(50),
	PARENT_ID VARCHAR2(32),
	REC_USER VARCHAR2(32),
	REC_STATUS VARCHAR2(1) DEFAULT 'O' NOT NULL,
	REC_DATETIME TIMESTAMP DEFAULT SYSTIMESTAMP NOT NULL,
	DOC_COUNT NUMBER(10) DEFAULT 0 NOT NULL,
	MAJOR_REVISION NUMBER(5) DEFAULT 0 NOT NULL,
	MINOR_REVISION NUMBER(5) DEFAULT 1 NOT NULL,
	REVISION_IMPACT NUMBER(10) DEFAULT 5252,
	REVISION_TYPE NUMBER(10) DEFAULT 5352,
	REVISION_HISTORY CLOB DEFAULT 'CREATED',
	CATEGORY_ID NUMBER(10) DEFAULT 5152 NOT NULL,
	STATUS_ID NUMBER(10) DEFAULT 4971 NOT NULL,
	MAKE VARCHAR2(50),
	MODEL VARCHAR2(50),
	MODEL_NUMBER VARCHAR2(50),
	SERIAL_NUMBER VARCHAR2(50),
	BARCODE_NUMBER VARCHAR2(30),
	DATE_ACQUIRED DATE,
	DATE_SOLD DATE,
	PURCHASE_PRICE NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	CAPITAL_VALUE NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	TOTAL_DEPRECIATION NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	TOTAL_MAINTENANCE NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	DEPRECIATION_METHOD NUMBER(5) DEFAULT 1 NOT NULL,
	QUANTITY NUMBER(10),
	QUANTITY_USED NUMBER(10),
	DEPRECIABLE_LIFE NUMBER(10),
	SALVAGE_VALUE NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	CURRENT_VALUE NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	NEXT_SCHED_MAINT DATE,
	DESCRIPTION CLOB DEFAULT EMPTY_CLOB(),
	RTF_BITS NUMBER(5) DEFAULT 0,
	LICENCE_EXPIRY_DATE DATE,
	WARRANTY_EXPIRY_DATE DATE,
	CONTACTOR VARCHAR2(255),
	CONTACTOR_PHONE VARCHAR2(50),
	CONTACTOR_EMAIL VARCHAR2(255),
	DEPRECIATION_START DATE,
	DEPRECIATION_FINISH DATE,
	SCORECARD_COUNT NUMBER(10) DEFAULT 0,
	CONVERTED_SCORE NUMBER(19) DEFAULT 0,
	EXPENSE_ACTUAL_COST NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	EXPENSE_SCHED_COST NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	EXPENSE_COST_ETC NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	CAPITAL_ACTUAL_COST NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	CAPITAL_SCHED_COST NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	CAPITAL_COST_ETC NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	EXPENSE_ACTUAL_HOURS NUMBER(10) DEFAULT 0 NOT NULL,
	EXPENSE_SCHED_HOURS NUMBER(10) DEFAULT 0 NOT NULL,
	EXPENSE_HOURS_ETC NUMBER(10) DEFAULT 0 NOT NULL,
	CAPITAL_ACTUAL_HOURS NUMBER(10) DEFAULT 0 NOT NULL,
	CAPITAL_SCHED_HOURS NUMBER(10) DEFAULT 0 NOT NULL,
	CAPITAL_HOURS_ETC NUMBER(10) DEFAULT 0 NOT NULL,
	FINANCIAL_CATEGORY NUMBER(10) DEFAULT 0 NOT NULL,
	ACTIVITY_START DATE,
	ACTIVITY_FINISH DATE,
	SD NUMBER(10) DEFAULT 0 NOT NULL,
	FD NUMBER(10) DEFAULT 0 NOT NULL,
	CONVERTED_WEIGHT NUMBER(19) DEFAULT 1,
	TRACKED_FLAG VARCHAR2(1) DEFAULT 'N' NOT NULL,
	TOTAL_EST_MAINTENANCE NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	ESTIMATED_CROSS_CHARGE NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	ACTUAL_CROSS_CHARGE NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	CREATED_BY VARCHAR2(32),
	CREATED_DATETIME TIMESTAMP DEFAULT SYSTIMESTAMP NOT NULL
)
TABLESPACE PMO_DATA_64K
LOB(DESCRIPTION ) STORE AS LOBB_HISTORY_ASSETS(TABLESPACE PMO_LOB_64K)
LOB(REVISION_HISTORY ) STORE AS LOBC_HISTORY_ASSETS(TABLESPACE PMO_LOB_64K);


--INSERT INTO HISTORY_ASSETS_TMP SELECT * FROM HISTORY_ASSETS;
INSERT INTO HISTORY_ASSETS_TMP
	(HISTORY_ID,
	RANK,
	LEVEL_ID,
	TYPE_ID,
	MAX_RANK,
	CHILD_COUNT,
	DELETED_COUNT,
	ELEMENT_ID,
	ELEMENT_NAME,
	PARENT_ID,
	REC_USER,
	REC_STATUS,
	REC_DATETIME,
	DOC_COUNT,
	MAJOR_REVISION,
	MINOR_REVISION,
	REVISION_IMPACT,
	REVISION_TYPE,
	REVISION_HISTORY,
	CATEGORY_ID,
	STATUS_ID,
	MAKE,
	MODEL,
	MODEL_NUMBER,
	SERIAL_NUMBER,
	BARCODE_NUMBER,
	DATE_ACQUIRED,
	DATE_SOLD,
	PURCHASE_PRICE,
	CAPITAL_VALUE,
	TOTAL_DEPRECIATION,
	TOTAL_MAINTENANCE,
	DEPRECIATION_METHOD,
	QUANTITY,
	QUANTITY_USED,
	DEPRECIABLE_LIFE,
	SALVAGE_VALUE,
	CURRENT_VALUE,
	NEXT_SCHED_MAINT,
	DESCRIPTION,
	RTF_BITS,
	LICENCE_EXPIRY_DATE,
	WARRANTY_EXPIRY_DATE,
	CONTACTOR,
	CONTACTOR_PHONE,
	CONTACTOR_EMAIL,
	DEPRECIATION_START,
	DEPRECIATION_FINISH,
	SCORECARD_COUNT,
	CONVERTED_SCORE,
	EXPENSE_ACTUAL_COST,
	EXPENSE_SCHED_COST,
	EXPENSE_COST_ETC,
	CAPITAL_ACTUAL_COST,
	CAPITAL_SCHED_COST,
	CAPITAL_COST_ETC,
	EXPENSE_ACTUAL_HOURS,
	EXPENSE_SCHED_HOURS,
	EXPENSE_HOURS_ETC,
	CAPITAL_ACTUAL_HOURS,
	CAPITAL_SCHED_HOURS,
	CAPITAL_HOURS_ETC,
	FINANCIAL_CATEGORY,
	ACTIVITY_START,
	ACTIVITY_FINISH,
	SD,
	FD,
	CONVERTED_WEIGHT,
	TRACKED_FLAG,
	TOTAL_EST_MAINTENANCE,
	ESTIMATED_CROSS_CHARGE,
	ACTUAL_CROSS_CHARGE,
	CREATED_BY,
	CREATED_DATETIME)
SELECT
	HISTORY_ID,
	RANK,
	LEVEL_ID,
	TYPE_ID,
	MAX_RANK,
	CHILD_COUNT,
	DELETED_COUNT,
	ELEMENT_ID,
	ELEMENT_NAME,
	PARENT_ID,
	REC_USER,
	REC_STATUS,
	REC_DATETIME,
	DOC_COUNT,
	MAJOR_REVISION,
	MINOR_REVISION,
	REVISION_IMPACT,
	REVISION_TYPE,
	REVISION_HISTORY,
	CATEGORY_ID,
	STATUS_ID,
	MAKE,
	MODEL,
	MODEL_NUMBER,
	SERIAL_NUMBER,
	BARCODE_NUMBER,
	DATE_ACQUIRED,
	DATE_SOLD,
	PURCHASE_PRICE,
	CAPITAL_VALUE,
	TOTAL_DEPRECIATION,
	TOTAL_MAINTENANCE,
	DEPRECIATION_METHOD,
	QUANTITY,
	QUANTITY_USED,
	DEPRECIABLE_LIFE,
	SALVAGE_VALUE,
	CURRENT_VALUE,
	NEXT_SCHED_MAINT,
	DESCRIPTION,
	RTF_BITS,
	LICENCE_EXPIRY_DATE,
	WARRANTY_EXPIRY_DATE,
	CONTACTOR,
	CONTACTOR_PHONE,
	CONTACTOR_EMAIL,
	DEPRECIATION_START,
	DEPRECIATION_FINISH,
	SCORECARD_COUNT,
	CONVERTED_SCORE,
	EXPENSE_ACTUAL_COST,
	EXPENSE_SCHED_COST,
	EXPENSE_COST_ETC,
	CAPITAL_ACTUAL_COST,
	CAPITAL_SCHED_COST,
	CAPITAL_COST_ETC,
	EXPENSE_ACTUAL_HOURS,
	EXPENSE_SCHED_HOURS,
	EXPENSE_HOURS_ETC,
	CAPITAL_ACTUAL_HOURS,
	CAPITAL_SCHED_HOURS,
	CAPITAL_HOURS_ETC,
	FINANCIAL_CATEGORY,
	ACTIVITY_START,
	ACTIVITY_FINISH,
	SD,
	FD,
	CONVERTED_WEIGHT,
	TRACKED_FLAG,
	TOTAL_EST_MAINTENANCE,
	ESTIMATED_CROSS_CHARGE,
	ACTUAL_CROSS_CHARGE,
	CREATED_BY,
	CREATED_DATETIME
FROM HISTORY_ASSETS;

DROP INDEX HSASX_EID_RDT_CX;
DROP INDEX HSASX_HID_XX;
DROP INDEX HSASX_RK_XX;

DROP TABLE HISTORY_ASSETS_OLD;
ALTER TABLE HISTORY_ASSETS RENAME TO HISTORY_ASSETS_OLD;
ALTER TABLE HISTORY_ASSETS_TMP RENAME TO HISTORY_ASSETS;

CREATE  INDEX HSASX_EID_RDT_CX ON HISTORY_ASSETS (ELEMENT_ID ASC,REC_DATETIME ASC)  PCTFREE = 30 TABLESPACE PMO_IDX_64K;
CREATE  INDEX HSASX_HID_XX ON HISTORY_ASSETS (HISTORY_ID ASC) TABLESPACE PMO_IDX_64K;
CREATE  INDEX HSASX_RK_XX ON HISTORY_ASSETS (RANK ASC)  PCTFREE = 30 TABLESPACE PMO_IDX_64K;

DROP TABLE HISTORY_ASSIGNED_SCORECARDS_TP;
CREATE TABLE HISTORY_ASSIGNED_SCORECARDS_TP (
	HISTORY_ID VARCHAR2(32),
	LEVEL_ID NUMBER(10) NOT NULL,
	TYPE_ID NUMBER(10) DEFAULT 0 NOT NULL,
	MAX_RANK NUMBER(10) DEFAULT 0 NOT NULL,
	CHILD_COUNT NUMBER(10) DEFAULT 0 NOT NULL,
	DELETED_COUNT NUMBER(10) DEFAULT 0 NOT NULL,
	PROJECT_ID VARCHAR2(32),
	ELEMENT_ID VARCHAR2(32),
	ELEMENT_NAME VARCHAR2(255),
	PARENT_ID VARCHAR2(32),
	RANK VARCHAR2(128) NOT NULL,
	PARENT_RANK VARCHAR2(192),
	PARENT_TYPE_ID NUMBER(10) DEFAULT 0 NOT NULL,
	CREATED_BY VARCHAR2(32),
	REC_USER VARCHAR2(32),
	REC_STATUS VARCHAR2(1) DEFAULT 'O' NOT NULL,
	REC_DATETIME TIMESTAMP DEFAULT SYSTIMESTAMP NOT NULL,
	LAST_WF_TYPE VARCHAR2(110),
	LAST_WF_BY VARCHAR2(50),
	LAST_WF_DT TIMESTAMP,
	MAJOR_REVISION NUMBER(5) DEFAULT 0 NOT NULL,
	MINOR_REVISION NUMBER(5) DEFAULT 1 NOT NULL,
	REVISION_IMPACT NUMBER(10) DEFAULT 137,
	REVISION_TYPE NUMBER(10) DEFAULT 4874,
	REVISION_HISTORY CLOB DEFAULT 'CREATED',
	DESCRIPTION VARCHAR2(255),
	ORIGINAL_ID VARCHAR2(32),
	SCORE NUMBER(19) DEFAULT 0,
	WEIGHT NUMBER(19) DEFAULT 0,
	CONVERTED_SCORE NUMBER(19) DEFAULT 0,
	CONVERTED_WEIGHT NUMBER(19) DEFAULT 0,
	LAST_CHECKIN TIMESTAMP,
	CREATION_DATE DATE DEFAULT SYSDATE,
	PUBLISHED_DT TIMESTAMP,
	ACTIVE VARCHAR2(1) DEFAULT '1' NOT NULL,
	PUBLISHED VARCHAR2(1) DEFAULT 'N' NOT NULL,
	STAGE_ID NUMBER(10) DEFAULT 5531,
	PREVIOUS_WKF_STEP VARCHAR2(150),
	PRIVATE VARCHAR2(1) DEFAULT 'N',
	VISIBLE_AT_PARENT VARCHAR2(1) DEFAULT 'Y',
	ASSIGN_NAMES VARCHAR2(2048),
	SCOPE_SCORE NUMBER(19) DEFAULT 0,
	SCOPE_WEIGHT NUMBER(19) DEFAULT 0,
	SCHEDULE_SCORE NUMBER(19) DEFAULT 0,
	SCHEDULE_WEIGHT NUMBER(19) DEFAULT 0,
	QUALITY_SCORE NUMBER(19) DEFAULT 0,
	QUALITY_WEIGHT NUMBER(19) DEFAULT 0,
	COST_SCORE NUMBER(19) DEFAULT 0,
	COST_WEIGHT NUMBER(19) DEFAULT 0,
	BENEFIT_SCORE NUMBER(19) DEFAULT 0,
	BENEFIT_WEIGHT NUMBER(19) DEFAULT 0,
	ROLLUP_BITS NUMBER(10) DEFAULT 0,
	REPORT_FLAG NUMBER(5) DEFAULT 0
)
TABLESPACE PMO_DATA_64K
LOB(REVISION_HISTORY ) STORE AS LOBC_HISTORY_ASSIGNED_SCORECAR(TABLESPACE PMO_LOB_64K);


--INSERT INTO HISTORY_ASSIGNED_SCORECARDS_TP SELECT * FROM HISTORY_ASSIGNED_SCORECARDS;
INSERT INTO HISTORY_ASSIGNED_SCORECARDS_TP
	(HISTORY_ID,
	LEVEL_ID,
	TYPE_ID,
	MAX_RANK,
	CHILD_COUNT,
	DELETED_COUNT,
	PROJECT_ID,
	ELEMENT_ID,
	ELEMENT_NAME,
	PARENT_ID,
	RANK,
	PARENT_RANK,
	PARENT_TYPE_ID,
	CREATED_BY,
	REC_USER,
	REC_STATUS,
	REC_DATETIME,
	LAST_WF_TYPE,
	LAST_WF_BY,
	LAST_WF_DT,
	MAJOR_REVISION,
	MINOR_REVISION,
	REVISION_IMPACT,
	REVISION_TYPE,
	REVISION_HISTORY,
	DESCRIPTION,
	ORIGINAL_ID,
	SCORE,
	WEIGHT,
	CONVERTED_SCORE,
	CONVERTED_WEIGHT,
	LAST_CHECKIN,
	CREATION_DATE,
	PUBLISHED_DT,
	ACTIVE,
	PUBLISHED,
	STAGE_ID,
	PREVIOUS_WKF_STEP,
	PRIVATE,
	VISIBLE_AT_PARENT,
	ASSIGN_NAMES,
	SCOPE_SCORE,
	SCOPE_WEIGHT,
	SCHEDULE_SCORE,
	SCHEDULE_WEIGHT,
	QUALITY_SCORE,
	QUALITY_WEIGHT,
	COST_SCORE,
	COST_WEIGHT,
	BENEFIT_SCORE,
	BENEFIT_WEIGHT,
	ROLLUP_BITS,
	REPORT_FLAG)
SELECT
	HISTORY_ID,
	LEVEL_ID,
	TYPE_ID,
	MAX_RANK,
	CHILD_COUNT,
	DELETED_COUNT,
	PROJECT_ID,
	ELEMENT_ID,
	ELEMENT_NAME,
	PARENT_ID,
	RANK,
	PARENT_RANK,
	PARENT_TYPE_ID,
	CREATED_BY,
	REC_USER,
	REC_STATUS,
	REC_DATETIME,
	LAST_WF_TYPE,
	LAST_WF_BY,
	LAST_WF_DT,
	MAJOR_REVISION,
	MINOR_REVISION,
	REVISION_IMPACT,
	REVISION_TYPE,
	REVISION_HISTORY,
	DESCRIPTION,
	ORIGINAL_ID,
	SCORE,
	WEIGHT,
	CONVERTED_SCORE,
	CONVERTED_WEIGHT,
	LAST_CHECKIN,
	CREATION_DATE,
	PUBLISHED_DT,
	ACTIVE,
	PUBLISHED,
	STAGE_ID,
	PREVIOUS_WKF_STEP,
	PRIVATE,
	VISIBLE_AT_PARENT,
	ASSIGN_NAMES,
	SCOPE_SCORE,
	SCOPE_WEIGHT,
	SCHEDULE_SCORE,
	SCHEDULE_WEIGHT,
	QUALITY_SCORE,
	QUALITY_WEIGHT,
	COST_SCORE,
	COST_WEIGHT,
	BENEFIT_SCORE,
	BENEFIT_WEIGHT,
	ROLLUP_BITS,
	REPORT_FLAG
FROM HISTORY_ASSIGNED_SCORECARDS;


DROP INDEX HSC_EID_XX;
DROP INDEX HORYIGN_HID_XX;
DROP INDEX HIS_ASS_SCR_PROJ;

DROP TABLE HISTORY_ASSIGNED_SCORECARDS_OL;
ALTER TABLE HISTORY_ASSIGNED_SCORECARDS RENAME TO HISTORY_ASSIGNED_SCORECARDS_OL;
ALTER TABLE HISTORY_ASSIGNED_SCORECARDS_TP RENAME TO HISTORY_ASSIGNED_SCORECARDS;

CREATE  INDEX HSC_EID_XX ON HISTORY_ASSIGNED_SCORECARDS (ELEMENT_ID ASC,MAJOR_REVISION ASC,PUBLISHED_DT ASC)  PCTFREE = 30 TABLESPACE PMO_IDX_64K;
CREATE UNIQUE INDEX HORYIGN_HID_XX ON HISTORY_ASSIGNED_SCORECARDS (HISTORY_ID)  PCTFREE = 30 TABLESPACE PMO_IDX_64K;
CREATE  INDEX HIS_ASS_SCR_PROJ ON HISTORY_ASSIGNED_SCORECARDS (PROJECT_ID)  PCTFREE = 30 TABLESPACE PMO_IDX_64K;


DROP TABLE HISTORY_CRI_TMP;
CREATE TABLE HISTORY_CRI_TMP (
	HISTORY_ID VARCHAR2(32),
	RANK VARCHAR2(192),
	PARENT_RANK VARCHAR2(192),
	TYPE_ID NUMBER(10) DEFAULT 0 NOT NULL,
	LEVEL_ID NUMBER(10) DEFAULT 0 NOT NULL,
	PROJECT_ID VARCHAR2(32),
	PARENT_ID VARCHAR2(32),
	PARENT_TYPE_ID NUMBER(10) DEFAULT 0 NOT NULL,
	ELEMENT_ID VARCHAR2(32),
	MAX_RANK NUMBER(19) DEFAULT 0 NOT NULL,
	CHILD_COUNT NUMBER(10) DEFAULT 0 NOT NULL,
	DELETED_COUNT NUMBER(10) DEFAULT 0 NOT NULL,
	ELEMENT_NAME VARCHAR2(255),
	TRANSFERRED VARCHAR2(1),
	STAGE_ID NUMBER(10) DEFAULT 786,
	CREATED_BY VARCHAR2(32),
	CREATED_DATETIME TIMESTAMP,
	REFERENCE_NUMBER NUMBER(19),
	EXTERNAL_REFERENCE VARCHAR2(32),
	PRIORITY_ID NUMBER(5) DEFAULT 500,
	PROPOSED_BY VARCHAR2(32),
	PROPOSED_DATETIME TIMESTAMP,
	IMPACT_LEVEL_ID NUMBER(10) DEFAULT 0 NOT NULL,
	SD NUMBER(5) DEFAULT 11 NOT NULL,
	FD NUMBER(5) DEFAULT 12 NOT NULL,
	START_DATETIME TIMESTAMP,
	FINISH_DATETIME TIMESTAMP,
	PLANNED_START TIMESTAMP,
	PLANNED_FINISH TIMESTAMP,
	PLANNED_EFFORT NUMBER(19) DEFAULT 0 NOT NULL,
	PLANNED_DURATION NUMBER(10) DEFAULT 0,
	ESTIMATED_START TIMESTAMP,
	ESTIMATED_FINISH TIMESTAMP,
	MITIGATION_COST NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	SCOPE_RANK_ID NUMBER(5) DEFAULT 0,
	SCHEDULE_RANK_ID NUMBER(5) DEFAULT 0,
	COST_RANK_ID NUMBER(5) DEFAULT 0,
	QUALITY_RANK_ID NUMBER(5) DEFAULT 0,
	PROBABILITY_RANK_ID NUMBER(5) DEFAULT 0,
	PRECISION_RANK_ID NUMBER(5) DEFAULT 0,
	EXPOSURE_ID NUMBER(10),
	CONSEQUENSE_COST NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	PROBABILITY_COST NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	APPROVED_DATETIME TIMESTAMP,
	APPROVED_START TIMESTAMP,
	APPROVED_FINISH TIMESTAMP,
	APPROVED_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	CLOSED_BY VARCHAR2(32),
	CLOSED_DATETIME TIMESTAMP,
	PLANNING_UNIT VARCHAR2(1),
	PLANNING_TYPE NUMBER(10),
	ESTIMATION_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	CURRENT_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	FORECAST_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	ACTUAL_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	BASELINE1_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	BASELINE1_DATETIME TIMESTAMP,
	BASELINE2_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	BASELINE2_DATETIME TIMESTAMP,
	BASELINE3_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	BASELINE3_DATETIME TIMESTAMP,
	S_ESTIMATION_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	S_CURRENT_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	S_FORECAST_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	S_BASELINE1_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	S_BASELINE1_DATETIME TIMESTAMP,
	S_BASELINE2_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	S_BASELINE2_DATETIME TIMESTAMP,
	S_BASELINE3_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	S_BASELINE3_DATETIME TIMESTAMP,
	R_ESTIMATION_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	R_CURRENT_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	R_FORECAST_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	R_BASELINE1_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	R_BASELINE2_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	R_BASELINE3_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	LAST_WF_TYPE VARCHAR2(110),
	LAST_WF_BY VARCHAR2(32),
	LAST_WF_DATETIME TIMESTAMP,
	MAX_REV_REACHED VARCHAR2(1) DEFAULT 'N' NOT NULL,
	MAX_REVISION NUMBER(5) DEFAULT 0 NOT NULL,
	MAJOR_REVISION NUMBER(5) DEFAULT 0 NOT NULL,
	MINOR_REVISION NUMBER(5) DEFAULT 1 NOT NULL,
	REVISION_IMPACT NUMBER(10) DEFAULT 137 NOT NULL,
	REVISION_TYPE NUMBER(10) DEFAULT 4726 NOT NULL,
	REVISION_HISTORY CLOB DEFAULT 'CREATED',
	TOOLTIP_DESCRIPTION VARCHAR2(255) DEFAULT NULL,
	STATUS_ID NUMBER(10) DEFAULT 316,
	PUBLISHED VARCHAR2(1) DEFAULT 'N' NOT NULL,
	SHARED VARCHAR2(1) DEFAULT 'N' NOT NULL,
	IMPACT_RANK_ID NUMBER(5) DEFAULT 1,
	ASSIGN_NAMES VARCHAR2(2048),
	ASSIGN_COUNT NUMBER(5) DEFAULT 0,
	REC_USER VARCHAR2(32),
	RTF_BITS NUMBER(5) DEFAULT 0,
	LAST_CHECKIN TIMESTAMP,
	REC_STATUS VARCHAR2(1) DEFAULT 'O' NOT NULL,
	REC_DATETIME TIMESTAMP DEFAULT SYSTIMESTAMP,
	LAST_TRANSFER_DT TIMESTAMP,
	WBS_ID VARCHAR2(32),
	STAGE_LAST_DT TIMESTAMP DEFAULT SYSTIMESTAMP,
	SCORE NUMBER(5) DEFAULT 0,
	WEIGHT NUMBER(5) DEFAULT 1,
	CONVERTED_SCORE NUMBER(19) DEFAULT 0,
	CONVERTED_WEIGHT NUMBER(19) DEFAULT 1,
	SCORECARD_ID VARCHAR2(32),
	PUBLISHED_DT TIMESTAMP,
	PRIORITY NUMBER(5) DEFAULT 500,
	ETC NUMBER(19) DEFAULT 0 NOT NULL,
	MILESTONE_PERCENT NUMBER(5) DEFAULT 0,
	PERCENT_COMPLETE NUMBER(5) DEFAULT 0,
	REC_FLAGS NUMBER(10) DEFAULT 0 NOT NULL,
	ROLLUP_BITS NUMBER(10) DEFAULT 0 NOT NULL,
	WBS_ASSIGNED NUMBER(10) DEFAULT 0 NOT NULL,
	DURATION NUMBER(10) DEFAULT 0 NOT NULL,
	ACTUAL_START TIMESTAMP,
	ACTUAL_FINISH TIMESTAMP,
	ACTUAL_DURATION NUMBER(10) DEFAULT 0 NOT NULL,
	SCHED_START TIMESTAMP,
	SCHED_FINISH TIMESTAMP,
	SCHED_DURATION NUMBER(10) DEFAULT 0 NOT NULL,
	PROPOSED_START TIMESTAMP,
	PROPOSED_FINISH TIMESTAMP,
	PROPOSED_DURATION NUMBER(10) DEFAULT 0 NOT NULL,
	FORECAST_START TIMESTAMP,
	FORECAST_FINISH TIMESTAMP,
	FORECAST_DURATION NUMBER(10) DEFAULT 0 NOT NULL,
	BASELINE1_START TIMESTAMP,
	BASELINE1_FINISH TIMESTAMP,
	BASELINE1_DURATION NUMBER(10) DEFAULT 0 NOT NULL,
	BASELINE1_EFFORT NUMBER(10) DEFAULT 0 NOT NULL,
	UNRESOLVED_START TIMESTAMP,
	UNRESOLVED_FINISH TIMESTAMP,
	UNRESOLVED_DURATION NUMBER(10) DEFAULT 0 NOT NULL,
	CONSTRAINT_DT TIMESTAMP,
	CONSTRAINT_TYPE NUMBER(10) DEFAULT 0 NOT NULL,
	S_ACTUAL_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	R_ACTUAL_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	ESTIMATION_TOTAL NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	S_ESTIMATION_TOTAL NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	R_ESTIMATION_TOTAL NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	WORK_TODATE NUMBER(10) DEFAULT 0 NOT NULL,
	BASELINE_WORK_TODATE NUMBER(10) DEFAULT 0 NOT NULL,
	SCHED_EFFORT NUMBER(10) DEFAULT 0 NOT NULL,
	FORECAST_EFFORT NUMBER(10) DEFAULT 0 NOT NULL,
	PROPOSED_EFFORT NUMBER(10) DEFAULT 0 NOT NULL,
	VARIANCE NUMBER(10) DEFAULT 0 NOT NULL,
	ACTUAL_VARIANCE NUMBER(10) DEFAULT 0 NOT NULL,
	FORECAST_VARIANCE NUMBER(10) DEFAULT 0 NOT NULL,
	BASELINE1_VARIANCE NUMBER(10) DEFAULT 0 NOT NULL,
	CLIENT_ID VARCHAR2(32),
	CLIENT_NAME VARCHAR2(50),
	REASSIGN_COUNT NUMBER(5) DEFAULT 0,
	DUPLICATE_REF_ID VARCHAR2(50),
	OCCURED_DATETIME TIMESTAMP,
	DOC_COUNT NUMBER(10) DEFAULT 0,
	PROPOSED_BY_NAME VARCHAR2(100),
	CLOSED_BY_NAME VARCHAR2(100),
	ESTIMATED_DURATION NUMBER(10) DEFAULT 0,
	ESTIMATED_EFFORT NUMBER(19) DEFAULT 0,
	HIGH_ESTIMATED_START TIMESTAMP,
	HIGH_ESTIMATED_FINISH TIMESTAMP,
	HIGH_ESTIMATED_DURATION NUMBER(10) DEFAULT 0,
	HIGH_ESTIMATED_EFFORT NUMBER(19) DEFAULT 0,
	LOW_ESTIMATED_START TIMESTAMP,
	LOW_ESTIMATED_FINISH TIMESTAMP,
	LOW_ESTIMATED_DURATION NUMBER(10) DEFAULT 0,
	LOW_ESTIMATED_EFFORT NUMBER(19) DEFAULT 0,
	APPROVED_EFFORT NUMBER(19) DEFAULT 0,
	APPROVED_DURATION NUMBER(10) DEFAULT 0,
	ESTIMATED_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	R_ESTIMATED_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	S_ESTIMATED_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	HIGH_ESTIMATED_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	R_HIGH_ESTIMATED_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	S_HIGH_ESTIMATED_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	LOW_ESTIMATED_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	R_LOW_ESTIMATED_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	S_LOW_ESTIMATED_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	APPROVED_BY VARCHAR2(32),
	APPROVED_BY_NAME VARCHAR2(100),
	R_APPROVED_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	EXPECTED_REVENUE NUMBER(18,2) DEFAULT 0.00,
	EXPECTED_MARGIN NUMBER(18,2) DEFAULT 0.00,
	PLANNED_BUDGET NUMBER(18,2) DEFAULT 0.00,
	R_PLANNED_BUDGET NUMBER(18,2) DEFAULT 0.00,
	S_PLANNED_BUDGET NUMBER(18,2) DEFAULT 0.00,
	PROPOSED_BUDGET NUMBER(18,2) DEFAULT 0.00,
	R_PROPOSED_BUDGET NUMBER(18,2) DEFAULT 0.00,
	S_PROPOSED_BUDGET NUMBER(18,2) DEFAULT 0.00,
	EXPECTED_COST NUMBER(18,2) DEFAULT 0.00,
	S_APPROVED_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	SCORECARD_COUNT NUMBER(10) DEFAULT 0,
	BASELINE2_START TIMESTAMP,
	BASELINE2_FINISH TIMESTAMP,
	BASELINE2_DURATION NUMBER(10) DEFAULT 0 NOT NULL,
	BASELINE2_EFFORT NUMBER(10) DEFAULT 0 NOT NULL,
	CHANGE_TO_TASK NUMBER(5) DEFAULT 0,
	APPROVED_REVENUE NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	APPROVED_SAVING NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	TARGET_DATE DATE,
	ESTIMATED_REVENUE NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	ESTIMATED_SAVING NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	TOTAL_DURATION NUMBER(19) DEFAULT 0 NOT NULL,
	DUPLICATE_KEY NUMBER(10),
	PREVIOUS_WKF_STEP VARCHAR2(150),
	PRIVATE VARCHAR2(1) DEFAULT 'N',
	VISIBLE_AT_PARENT VARCHAR2(1) DEFAULT 'Y',
	TIMEPHASED_BITS NUMBER(10) DEFAULT 0 NOT NULL,
	APPROVED_IMPACT_LEVEL_ID NUMBER(10) DEFAULT 0,
	ESTIMATED_ACTUAL NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	ESTIMATED_ETC NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	R_ESTIMATED_ACTUAL NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	R_ESTIMATED_ETC NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	S_ESTIMATED_ACTUAL NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	S_ESTIMATED_ETC NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	ESTIMATED_HOURS NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	ESTIMATED_ACTUAL_HOURS NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	ESTIMATED_HOURS_ETC NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	R_ESTIMATED_HOURS NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	R_ESTIMATED_ACTUAL_HOURS NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	R_ESTIMATED_HOURS_ETC NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	EXPECTED_PAYBACK_PERIOD NUMBER(10) DEFAULT 0,
	EXPECTED_PAYBACK_MONTH NUMBER(10) DEFAULT 0,
	ASSET_ID VARCHAR2(32),
	ASSET_NAME VARCHAR2(50),
	FINANCIAL_CATEGORY NUMBER(10) DEFAULT 6501,
	ASSET_FLAG NUMBER(10) DEFAULT 0,
	DEFAULT_COL VARCHAR2(1) DEFAULT 'N' NOT NULL,
	TEMPLATED VARCHAR2(1) DEFAULT 'N' NOT NULL,
	T_PARENT_ID VARCHAR2(32),
	T_RANK VARCHAR2(192),
	ELEMENT_FLAG NUMBER(5) DEFAULT 0 NOT NULL
)
TABLESPACE PMO_DATA_64K
LOB(REVISION_HISTORY ) STORE AS LOBC_HISTORY_CRI(TABLESPACE PMO_LOB_64K);


--INSERT INTO HISTORY_CRI_TMP SELECT * FROM HISTORY_CRI;
INSERT INTO HISTORY_CRI_TMP
	(HISTORY_ID,
	RANK,
	PARENT_RANK,
	TYPE_ID,
	LEVEL_ID,
	PROJECT_ID,
	PARENT_ID,
	PARENT_TYPE_ID,
	ELEMENT_ID,
	MAX_RANK,
	CHILD_COUNT,
	DELETED_COUNT,
	ELEMENT_NAME,
	TRANSFERRED,
	STAGE_ID,
	CREATED_BY,
	CREATED_DATETIME,
	REFERENCE_NUMBER,
	EXTERNAL_REFERENCE,
	PRIORITY_ID,
	PROPOSED_BY,
	PROPOSED_DATETIME,
	IMPACT_LEVEL_ID,
	SD,
	FD,
	START_DATETIME,
	FINISH_DATETIME,
	PLANNED_START,
	PLANNED_FINISH,
	PLANNED_EFFORT,
	PLANNED_DURATION,
	ESTIMATED_START,
	ESTIMATED_FINISH,
	MITIGATION_COST,
	SCOPE_RANK_ID,
	SCHEDULE_RANK_ID,
	COST_RANK_ID,
	QUALITY_RANK_ID,
	PROBABILITY_RANK_ID,
	PRECISION_RANK_ID,
	EXPOSURE_ID,
	CONSEQUENSE_COST,
	PROBABILITY_COST,
	APPROVED_DATETIME,
	APPROVED_START,
	APPROVED_FINISH,
	APPROVED_BUDGET,
	CLOSED_BY,
	CLOSED_DATETIME,
	PLANNING_UNIT,
	PLANNING_TYPE,
	ESTIMATION_BUDGET,
	CURRENT_BUDGET,
	FORECAST_BUDGET,
	ACTUAL_BUDGET,
	BASELINE1_BUDGET,
	BASELINE1_DATETIME,
	BASELINE2_BUDGET,
	BASELINE2_DATETIME,
	BASELINE3_BUDGET,
	BASELINE3_DATETIME,
	S_ESTIMATION_BUDGET,
	S_CURRENT_BUDGET,
	S_FORECAST_BUDGET,
	S_BASELINE1_BUDGET,
	S_BASELINE1_DATETIME,
	S_BASELINE2_BUDGET,
	S_BASELINE2_DATETIME,
	S_BASELINE3_BUDGET,
	S_BASELINE3_DATETIME,
	R_ESTIMATION_BUDGET,
	R_CURRENT_BUDGET,
	R_FORECAST_BUDGET,
	R_BASELINE1_BUDGET,
	R_BASELINE2_BUDGET,
	R_BASELINE3_BUDGET,
	LAST_WF_TYPE,
	LAST_WF_BY,
	LAST_WF_DATETIME,
	MAX_REV_REACHED,
	MAX_REVISION,
	MAJOR_REVISION,
	MINOR_REVISION,
	REVISION_IMPACT,
	REVISION_TYPE,
	REVISION_HISTORY,
	TOOLTIP_DESCRIPTION,
	STATUS_ID,
	PUBLISHED,
	SHARED,
	IMPACT_RANK_ID,
	ASSIGN_NAMES,
	ASSIGN_COUNT,
	REC_USER,
	RTF_BITS,
	LAST_CHECKIN,
	REC_STATUS,
	REC_DATETIME,
	LAST_TRANSFER_DT,
	WBS_ID,
	STAGE_LAST_DT,
	SCORE,
	WEIGHT,
	CONVERTED_SCORE,
	CONVERTED_WEIGHT,
	SCORECARD_ID,
	PUBLISHED_DT,
	PRIORITY,
	ETC,
	MILESTONE_PERCENT,
	PERCENT_COMPLETE,
	REC_FLAGS,
	ROLLUP_BITS,
	WBS_ASSIGNED,
	DURATION,
	ACTUAL_START,
	ACTUAL_FINISH,
	ACTUAL_DURATION,
	SCHED_START,
	SCHED_FINISH,
	SCHED_DURATION,
	PROPOSED_START,
	PROPOSED_FINISH,
	PROPOSED_DURATION,
	FORECAST_START,
	FORECAST_FINISH,
	FORECAST_DURATION,
	BASELINE1_START,
	BASELINE1_FINISH,
	BASELINE1_DURATION,
	BASELINE1_EFFORT,
	UNRESOLVED_START,
	UNRESOLVED_FINISH,
	UNRESOLVED_DURATION,
	CONSTRAINT_DT,
	CONSTRAINT_TYPE,
	S_ACTUAL_BUDGET,
	R_ACTUAL_BUDGET,
	ESTIMATION_TOTAL,
	S_ESTIMATION_TOTAL,
	R_ESTIMATION_TOTAL,
	WORK_TODATE,
	BASELINE_WORK_TODATE,
	SCHED_EFFORT,
	FORECAST_EFFORT,
	PROPOSED_EFFORT,
	VARIANCE,
	ACTUAL_VARIANCE,
	FORECAST_VARIANCE,
	BASELINE1_VARIANCE,
	CLIENT_ID,
	CLIENT_NAME,
	REASSIGN_COUNT,
	DUPLICATE_REF_ID,
	OCCURED_DATETIME,
	DOC_COUNT,
	PROPOSED_BY_NAME,
	CLOSED_BY_NAME,
	ESTIMATED_DURATION,
	ESTIMATED_EFFORT,
	HIGH_ESTIMATED_START,
	HIGH_ESTIMATED_FINISH,
	HIGH_ESTIMATED_DURATION,
	HIGH_ESTIMATED_EFFORT,
	LOW_ESTIMATED_START,
	LOW_ESTIMATED_FINISH,
	LOW_ESTIMATED_DURATION,
	LOW_ESTIMATED_EFFORT,
	APPROVED_EFFORT,
	APPROVED_DURATION,
	ESTIMATED_BUDGET,
	R_ESTIMATED_BUDGET,
	S_ESTIMATED_BUDGET,
	HIGH_ESTIMATED_BUDGET,
	R_HIGH_ESTIMATED_BUDGET,
	S_HIGH_ESTIMATED_BUDGET,
	LOW_ESTIMATED_BUDGET,
	R_LOW_ESTIMATED_BUDGET,
	S_LOW_ESTIMATED_BUDGET,
	APPROVED_BY,
	APPROVED_BY_NAME,
	R_APPROVED_BUDGET,
	EXPECTED_REVENUE,
	EXPECTED_MARGIN,
	PLANNED_BUDGET,
	R_PLANNED_BUDGET,
	S_PLANNED_BUDGET,
	PROPOSED_BUDGET ,
	R_PROPOSED_BUDGET,
	S_PROPOSED_BUDGET,
	EXPECTED_COST,
	S_APPROVED_BUDGET,
	SCORECARD_COUNT,
	BASELINE2_START,
	BASELINE2_FINISH,
	BASELINE2_DURATION,
	BASELINE2_EFFORT,
	CHANGE_TO_TASK,
	APPROVED_REVENUE,
	APPROVED_SAVING,
	TARGET_DATE,
	ESTIMATED_REVENUE,
	ESTIMATED_SAVING,
	TOTAL_DURATION,
	DUPLICATE_KEY,
	PREVIOUS_WKF_STEP,
	PRIVATE,
	VISIBLE_AT_PARENT,
	TIMEPHASED_BITS,
	APPROVED_IMPACT_LEVEL_ID,
	ESTIMATED_ACTUAL,
	ESTIMATED_ETC,
	R_ESTIMATED_ACTUAL,
	R_ESTIMATED_ETC,
	S_ESTIMATED_ACTUAL,
	S_ESTIMATED_ETC,
	ESTIMATED_HOURS,
	ESTIMATED_ACTUAL_HOURS,
	ESTIMATED_HOURS_ETC,
	R_ESTIMATED_HOURS,
	R_ESTIMATED_ACTUAL_HOURS,
	R_ESTIMATED_HOURS_ETC,
	EXPECTED_PAYBACK_PERIOD,
	EXPECTED_PAYBACK_MONTH,
	ASSET_ID ,
	ASSET_NAME ,
	FINANCIAL_CATEGORY,
	ASSET_FLAG,
	DEFAULT_COL,
	TEMPLATED,
	T_PARENT_ID,
	T_RANK,
	ELEMENT_FLAG)
SELECT
	HISTORY_ID,
	RANK,
	PARENT_RANK,
	TYPE_ID,
	LEVEL_ID,
	PROJECT_ID,
	PARENT_ID,
	PARENT_TYPE_ID,
	ELEMENT_ID,
	MAX_RANK,
	CHILD_COUNT,
	DELETED_COUNT,
	ELEMENT_NAME,
	TRANSFERRED,
	STAGE_ID,
	CREATED_BY,
	CREATED_DATETIME,
	REFERENCE_NUMBER,
	EXTERNAL_REFERENCE,
	PRIORITY_ID,
	PROPOSED_BY,
	PROPOSED_DATETIME,
	IMPACT_LEVEL_ID,
	SD,
	FD,
	START_DATETIME,
	FINISH_DATETIME,
	PLANNED_START,
	PLANNED_FINISH,
	PLANNED_EFFORT,
	PLANNED_DURATION,
	ESTIMATED_START,
	ESTIMATED_FINISH,
	MITIGATION_COST,
	SCOPE_RANK_ID,
	SCHEDULE_RANK_ID,
	COST_RANK_ID,
	QUALITY_RANK_ID,
	PROBABILITY_RANK_ID,
	PRECISION_RANK_ID,
	EXPOSURE_ID,
	CONSEQUENSE_COST,
	PROBABILITY_COST,
	APPROVED_DATETIME,
	APPROVED_START,
	APPROVED_FINISH,
	APPROVED_BUDGET,
	CLOSED_BY,
	CLOSED_DATETIME,
	PLANNING_UNIT,
	PLANNING_TYPE,
	ESTIMATION_BUDGET,
	CURRENT_BUDGET,
	FORECAST_BUDGET,
	ACTUAL_BUDGET,
	BASELINE1_BUDGET,
	BASELINE1_DATETIME,
	BASELINE2_BUDGET,
	BASELINE2_DATETIME,
	BASELINE3_BUDGET,
	BASELINE3_DATETIME,
	S_ESTIMATION_BUDGET,
	S_CURRENT_BUDGET,
	S_FORECAST_BUDGET,
	S_BASELINE1_BUDGET,
	S_BASELINE1_DATETIME,
	S_BASELINE2_BUDGET,
	S_BASELINE2_DATETIME,
	S_BASELINE3_BUDGET,
	S_BASELINE3_DATETIME,
	R_ESTIMATION_BUDGET,
	R_CURRENT_BUDGET,
	R_FORECAST_BUDGET,
	R_BASELINE1_BUDGET,
	R_BASELINE2_BUDGET,
	R_BASELINE3_BUDGET,
	LAST_WF_TYPE,
	LAST_WF_BY,
	LAST_WF_DATETIME,
	MAX_REV_REACHED,
	MAX_REVISION,
	MAJOR_REVISION,
	MINOR_REVISION,
	REVISION_IMPACT,
	REVISION_TYPE,
	REVISION_HISTORY,
	TOOLTIP_DESCRIPTION,
	STATUS_ID,
	PUBLISHED,
	SHARED,
	IMPACT_RANK_ID,
	ASSIGN_NAMES,
	ASSIGN_COUNT,
	REC_USER,
	RTF_BITS,
	LAST_CHECKIN,
	REC_STATUS,
	REC_DATETIME,
	LAST_TRANSFER_DT,
	WBS_ID,
	STAGE_LAST_DT,
	SCORE,
	WEIGHT,
	CONVERTED_SCORE,
	CONVERTED_WEIGHT,
	SCORECARD_ID,
	PUBLISHED_DT,
	PRIORITY,
	ETC,
	MILESTONE_PERCENT,
	PERCENT_COMPLETE,
	REC_FLAGS,
	ROLLUP_BITS,
	WBS_ASSIGNED,
	DURATION,
	ACTUAL_START,
	ACTUAL_FINISH,
	ACTUAL_DURATION,
	SCHED_START,
	SCHED_FINISH,
	SCHED_DURATION,
	PROPOSED_START,
	PROPOSED_FINISH,
	PROPOSED_DURATION,
	FORECAST_START,
	FORECAST_FINISH,
	FORECAST_DURATION,
	BASELINE1_START,
	BASELINE1_FINISH,
	BASELINE1_DURATION,
	BASELINE1_EFFORT,
	UNRESOLVED_START,
	UNRESOLVED_FINISH,
	UNRESOLVED_DURATION,
	CONSTRAINT_DT,
	CONSTRAINT_TYPE,
	S_ACTUAL_BUDGET,
	R_ACTUAL_BUDGET,
	ESTIMATION_TOTAL,
	S_ESTIMATION_TOTAL,
	R_ESTIMATION_TOTAL,
	WORK_TODATE,
	BASELINE_WORK_TODATE,
	SCHED_EFFORT,
	FORECAST_EFFORT,
	PROPOSED_EFFORT,
	VARIANCE,
	ACTUAL_VARIANCE,
	FORECAST_VARIANCE,
	BASELINE1_VARIANCE,
	CLIENT_ID,
	CLIENT_NAME,
	REASSIGN_COUNT,
	DUPLICATE_REF_ID,
	OCCURED_DATETIME,
	DOC_COUNT,
	PROPOSED_BY_NAME,
	CLOSED_BY_NAME,
	ESTIMATED_DURATION,
	ESTIMATED_EFFORT,
	HIGH_ESTIMATED_START,
	HIGH_ESTIMATED_FINISH,
	HIGH_ESTIMATED_DURATION,
	HIGH_ESTIMATED_EFFORT,
	LOW_ESTIMATED_START,
	LOW_ESTIMATED_FINISH,
	LOW_ESTIMATED_DURATION,
	LOW_ESTIMATED_EFFORT,
	APPROVED_EFFORT,
	APPROVED_DURATION,
	ESTIMATED_BUDGET,
	R_ESTIMATED_BUDGET,
	S_ESTIMATED_BUDGET,
	HIGH_ESTIMATED_BUDGET,
	R_HIGH_ESTIMATED_BUDGET,
	S_HIGH_ESTIMATED_BUDGET,
	LOW_ESTIMATED_BUDGET,
	R_LOW_ESTIMATED_BUDGET,
	S_LOW_ESTIMATED_BUDGET,
	APPROVED_BY,
	APPROVED_BY_NAME,
	R_APPROVED_BUDGET,
	EXPECTED_REVENUE,
	EXPECTED_MARGIN,
	PLANNED_BUDGET,
	R_PLANNED_BUDGET,
	S_PLANNED_BUDGET,
	PROPOSED_BUDGET ,
	R_PROPOSED_BUDGET,
	S_PROPOSED_BUDGET,
	EXPECTED_COST,
	S_APPROVED_BUDGET,
	SCORECARD_COUNT,
	BASELINE2_START,
	BASELINE2_FINISH,
	BASELINE2_DURATION,
	BASELINE2_EFFORT,
	CHANGE_TO_TASK,
	APPROVED_REVENUE,
	APPROVED_SAVING,
	TARGET_DATE,
	ESTIMATED_REVENUE,
	ESTIMATED_SAVING,
	TOTAL_DURATION,
	DUPLICATE_KEY,
	PREVIOUS_WKF_STEP,
	PRIVATE,
	VISIBLE_AT_PARENT,
	TIMEPHASED_BITS,
	APPROVED_IMPACT_LEVEL_ID,
	ESTIMATED_ACTUAL,
	ESTIMATED_ETC,
	R_ESTIMATED_ACTUAL,
	R_ESTIMATED_ETC,
	S_ESTIMATED_ACTUAL,
	S_ESTIMATED_ETC,
	ESTIMATED_HOURS,
	ESTIMATED_ACTUAL_HOURS,
	ESTIMATED_HOURS_ETC,
	R_ESTIMATED_HOURS,
	R_ESTIMATED_ACTUAL_HOURS,
	R_ESTIMATED_HOURS_ETC,
	EXPECTED_PAYBACK_PERIOD,
	EXPECTED_PAYBACK_MONTH,
	ASSET_ID ,
	ASSET_NAME ,
	FINANCIAL_CATEGORY,
	ASSET_FLAG,
	DEFAULT_COL,
	TEMPLATED,
	T_PARENT_ID,
	T_RANK,
	ELEMENT_FLAG
FROM HISTORY_CRI;

DROP INDEX HSCRI_EID_RDT_CX;
DROP INDEX HSCRI_HID_XX;
DROP INDEX HSCRI_RK_XX;

DROP TABLE HISTORY_CRI_OLD;
ALTER TABLE HISTORY_CRI RENAME TO HISTORY_CRI_OLD;
ALTER TABLE HISTORY_CRI_TMP RENAME TO HISTORY_CRI;

CREATE  INDEX HSCRI_EID_RDT_CX ON HISTORY_CRI (ELEMENT_ID ASC,REC_DATETIME ASC)  PCTFREE = 30 TABLESPACE PMO_IDX_64K;
CREATE  INDEX HSCRI_HID_XX ON HISTORY_CRI (HISTORY_ID ASC) TABLESPACE PMO_IDX_64K;
CREATE  INDEX HSCRI_RK_XX ON HISTORY_CRI (RANK ASC)  PCTFREE = 30 TABLESPACE PMO_IDX_64K;


DROP TABLE HISTORY_RESOURCES_TMP;
CREATE TABLE HISTORY_RESOURCES_TMP (
	HISTORY_ID VARCHAR2(32),
	RESOURCE_ID VARCHAR2(32) DEFAULT ' ' NOT NULL,
	FULL_NAME VARCHAR2(100),
	FIRST_NAME VARCHAR2(35),
	MIDDLE_NAME VARCHAR2(35),
	LAST_NAME VARCHAR2(35),
	E_MAIL_ADDRESS VARCHAR2(255),
	LOGON_NAME VARCHAR2(100),
	LOGON_PASSWORD RAW(128),
	KEY_HISTORY RAW(255),
	LOGON_REMINDER VARCHAR2(64),
	CLEARANCE_LEVEL_1 NUMBER(10) DEFAULT 1275905024 NOT NULL,
	CLEARANCE_LEVEL_2 NUMBER(10) DEFAULT 1280101580 NOT NULL,
	CLEARANCE_LEVEL_3 NUMBER(10) DEFAULT 4 NOT NULL,
	CLEARANCE_LEVEL_4 NUMBER(10) DEFAULT 0 NOT NULL,
	CLEARANCE_LEVEL_5 NUMBER(10) DEFAULT 0 NOT NULL,
	MULTIPLE_LOGINS VARCHAR2(1),
	PASSWORD_EXPIRES DATE,
	WEBSITE VARCHAR2(100),
	PRIMARY_ROLE VARCHAR2(32),
	TITLE VARCHAR2(50),
	ADDRESS1 VARCHAR2(50),
	ADDRESS2 VARCHAR2(50),
	ZIP_AREA_CODE VARCHAR2(16),
	CITIZENSHIP NUMBER(10),
	CALENDAR_ID VARCHAR2(32),
	ACTIVE VARCHAR2(1),
	EFFECTIVE_DATE DATE,
	DISCONTINUE_DATE DATE,
	STATUS1_ID NUMBER(10) DEFAULT 309,
	STATUS2_ID NUMBER(10) DEFAULT 316,
	CREATED_DATE TIMESTAMP DEFAULT SYSTIMESTAMP NOT NULL,
	CREATED_BY VARCHAR2(32),
	CHARGE_CODE VARCHAR2(32),
	MAXDAYHRS NUMBER(5),
	MINDAYHRS NUMBER(5),
	PERCENT_TO_ASSIGN NUMBER(6,2),
	RATE_ID VARCHAR2(32),
	HOME_OFFICE VARCHAR2(50),
	WORK_LOCATION NUMBER(10) DEFAULT 1,
	WORK_PHONE VARCHAR2(50),
	ALTERNATE_PHONE VARCHAR2(50),
	FAX_NUMBER VARCHAR2(21),
	CELL_NUMBER VARCHAR2(21),
	PAGER_NUMBER VARCHAR2(32),
	ICQ_MESSAGING VARCHAR2(16),
	NOTES_MAIL_ID VARCHAR2(100),
	NOTES_ID VARCHAR2(100),
	ASSIGN_STATUS VARCHAR2(32),
	EXPERIENCE_ID NUMBER(10) DEFAULT 2771,
	ALIAS VARCHAR2(80),
	LAST_USED DATE,
	EXEC_LEVEL VARCHAR2(50),
	VERIFIED_1 VARCHAR2(32),
	VERIFIED_2 VARCHAR2(32),
	WILLING_RELOC VARCHAR2(1) DEFAULT '0',
	RELOC_DURATION VARCHAR2(16),
	WORK_RELOC_1 VARCHAR2(32),
	WORK_RELOC_2 VARCHAR2(32),
	WORK_RELOC_3 VARCHAR2(32),
	WILLING_TRAVEL VARCHAR2(1) DEFAULT '0',
	TRAVEL_DURATION VARCHAR2(16),
	TRAVEL_DEST_1 VARCHAR2(32),
	TRAVEL_DEST_2 VARCHAR2(32),
	TRAVEL_DEST_3 VARCHAR2(32),
	PASPORT_VALID VARCHAR2(1) DEFAULT '0',
	PASPORT_EXPIRATION DATE,
	COUNTRY_VISA_1 VARCHAR2(32),
	VISA_EXPIRES_1 DATE,
	COUNTRY_VISA_2 VARCHAR2(32),
	VISA_EXPIRES_2 DATE,
	COUNTRY_VISA_3 VARCHAR2(32),
	VISA_EXPIRES_3 DATE,
	CURRENCY_ID NUMBER(10) DEFAULT 0,
	REC_STATUS VARCHAR2(1) DEFAULT 'O' NOT NULL,
	REC_USER VARCHAR2(32),
	REC_DATETIME TIMESTAMP DEFAULT SYSTIMESTAMP,
	MAJOR_REVISION NUMBER(5) DEFAULT 0 NOT NULL,
	MINOR_REVISION NUMBER(5) DEFAULT 1 NOT NULL,
	REVISION_IMPACT NUMBER(10) DEFAULT 137,
	REVISION_TYPE NUMBER(10) DEFAULT 4747,
	REVISION_HISTORY CLOB DEFAULT 'CREATED',
	LAST_LOGIN TIMESTAMP,
	LANGUAGE_ISO_CODE VARCHAR2(2) DEFAULT 'US',
	FS_CODE VARCHAR2(50),
	FS_LABOR_CODE VARCHAR2(50) DEFAULT 'PMOFFICE',
	EXPERIENCE_TXT VARCHAR2(512),
	ACHIVEMENTS VARCHAR2(512),
	PASSIONS VARCHAR2(512),
	SUMMARY_SKILLS VARCHAR2(512),
	MISCELLANEOUS VARCHAR2(512),
	MAX_PASSWORD_FAILURE NUMBER(5) DEFAULT 0 NOT NULL,
	NICK_NAME VARCHAR2(100),
	PORTAL_PAGE VARCHAR2(2048),
	DASHBOARD VARCHAR2(2048),
	OVERWRITEFILE VARCHAR2(1) DEFAULT 'Y',
	CONVERTED_SCORE NUMBER(19) DEFAULT 0,
	CONVERTED_WEIGHT NUMBER(19) DEFAULT 1,
	EXECUTIVE_SECURITY CHAR(32),
	MY_PORTAL_URL_1 VARCHAR2(512),
	MY_PORTAL_URL_2 VARCHAR2(512),
	MY_PORTAL_URL_3 VARCHAR2(512),
	MY_PORTAL_URL_4 VARCHAR2(512),
	MY_PORTAL_URL_5 VARCHAR2(512),
	USER_GROUP_ID VARCHAR2(32) DEFAULT 'DEFAULT_SECURITY_ROLE' NOT NULL,
	COUNTRY_CODE VARCHAR2(10),
	COMPANY_CODE VARCHAR2(10),
	EMPLOYEE_CODE VARCHAR2(10),
	CUSTOM_01 VARCHAR2(50),
	CUSTOM_02 VARCHAR2(50),
	CUSTOM_03 VARCHAR2(50),
	CUSTOM_04 VARCHAR2(50),
	CUSTOM_05 VARCHAR2(50),
	DIVISION_CODE VARCHAR2(10),
	DEPARTMENT_CODE VARCHAR2(10),
	ASSIGNED_PLUGINS NUMBER(19) DEFAULT 0 NOT NULL,
	EXTERNAL_ID VARCHAR2(50),
	RES_BLOB BLOB DEFAULT EMPTY_BLOB()
)
TABLESPACE PMO_DATA_64K
LOB(RES_BLOB ) STORE AS LOBB_HISTORY_RESOURCES(TABLESPACE PMO_LOB_64K)
LOB(REVISION_HISTORY ) STORE AS LOBCR_HISTORY_RESOURCES(TABLESPACE PMO_LOB_64K);


--INSERT INTO HISTORY_RESOURCES_TMP SELECT * FROM HISTORY_RESOURCES;

INSERT INTO HISTORY_RESOURCES_TMP (
	HISTORY_ID,
	RESOURCE_ID,
	FULL_NAME,
	FIRST_NAME,
	MIDDLE_NAME,
	LAST_NAME,
	E_MAIL_ADDRESS,
	LOGON_NAME,
	LOGON_PASSWORD,
	KEY_HISTORY,
	LOGON_REMINDER,
	CLEARANCE_LEVEL_1,
	CLEARANCE_LEVEL_2,
	CLEARANCE_LEVEL_3,
	CLEARANCE_LEVEL_4,
	CLEARANCE_LEVEL_5,
	MULTIPLE_LOGINS,
	PASSWORD_EXPIRES,
	WEBSITE,
	PRIMARY_ROLE,
	TITLE,
	ADDRESS1,
	ADDRESS2,
	ZIP_AREA_CODE,
	CITIZENSHIP,
	CALENDAR_ID,
	ACTIVE,
	EFFECTIVE_DATE,
	DISCONTINUE_DATE,
	STATUS1_ID,
	STATUS2_ID,
	CREATED_DATE,
	CREATED_BY,
	CHARGE_CODE,
	MAXDAYHRS,
	MINDAYHRS,
	PERCENT_TO_ASSIGN,
	RATE_ID,
	HOME_OFFICE,
	WORK_LOCATION,
	WORK_PHONE,
	ALTERNATE_PHONE,
	FAX_NUMBER,
	CELL_NUMBER,
	PAGER_NUMBER,
	ICQ_MESSAGING,
	NOTES_MAIL_ID,
	NOTES_ID,
	ASSIGN_STATUS,
	EXPERIENCE_ID,
	ALIAS,
	LAST_USED,
	EXEC_LEVEL,
	VERIFIED_1,
	VERIFIED_2,
	WILLING_RELOC,
	RELOC_DURATION,
	WORK_RELOC_1,
	WORK_RELOC_2,
	WORK_RELOC_3,
	WILLING_TRAVEL,
	TRAVEL_DURATION,
	TRAVEL_DEST_1,
	TRAVEL_DEST_2,
	TRAVEL_DEST_3,
	PASPORT_VALID,
	PASPORT_EXPIRATION,
	COUNTRY_VISA_1,
	VISA_EXPIRES_1,
	COUNTRY_VISA_2,
	VISA_EXPIRES_2,
	COUNTRY_VISA_3,
	VISA_EXPIRES_3,
	CURRENCY_ID,
	REC_STATUS,
	REC_USER,
	REC_DATETIME,
	MAJOR_REVISION,
	MINOR_REVISION,
	REVISION_IMPACT,
	REVISION_TYPE,
	REVISION_HISTORY,
	LAST_LOGIN,
	LANGUAGE_ISO_CODE,
	FS_CODE,
	FS_LABOR_CODE,
	EXPERIENCE_TXT,
	ACHIVEMENTS,
	PASSIONS,
	SUMMARY_SKILLS,
	MISCELLANEOUS,
	MAX_PASSWORD_FAILURE,
	NICK_NAME,
	PORTAL_PAGE,
	DASHBOARD,
	OVERWRITEFILE,
	CONVERTED_SCORE,
	CONVERTED_WEIGHT,
	EXECUTIVE_SECURITY,
	MY_PORTAL_URL_1,
	MY_PORTAL_URL_2,
	MY_PORTAL_URL_3,
	MY_PORTAL_URL_4,
	MY_PORTAL_URL_5,
	USER_GROUP_ID,
	COUNTRY_CODE,
	COMPANY_CODE,
	EMPLOYEE_CODE,
	CUSTOM_01,
	CUSTOM_02,
	CUSTOM_03,
	CUSTOM_04,
	CUSTOM_05,
	DIVISION_CODE,
	DEPARTMENT_CODE,
	ASSIGNED_PLUGINS,
	EXTERNAL_ID,
	RES_BLOB
)
SELECT 
	HISTORY_ID,
	RESOURCE_ID,
	FULL_NAME,
	FIRST_NAME,
	MIDDLE_NAME,
	LAST_NAME,
	E_MAIL_ADDRESS,
	LOGON_NAME,
	LOGON_PASSWORD,
	KEY_HISTORY,
	LOGON_REMINDER,
	CLEARANCE_LEVEL_1,
	CLEARANCE_LEVEL_2,
	CLEARANCE_LEVEL_3,
	CLEARANCE_LEVEL_4,
	CLEARANCE_LEVEL_5,
	MULTIPLE_LOGINS,
	PASSWORD_EXPIRES,
	WEBSITE,
	PRIMARY_ROLE,
	TITLE,
	ADDRESS1,
	ADDRESS2,
	ZIP_AREA_CODE,
	CITIZENSHIP,
	CALENDAR_ID,
	ACTIVE,
	EFFECTIVE_DATE,
	DISCONTINUE_DATE,
	STATUS1_ID,
	STATUS2_ID,
	CREATED_DATE,
	CREATED_BY,
	CHARGE_CODE,
	MAXDAYHRS,
	MINDAYHRS,
	PERCENT_TO_ASSIGN,
	RATE_ID,
	HOME_OFFICE,
	WORK_LOCATION,
	WORK_PHONE,
	ALTERNATE_PHONE,
	FAX_NUMBER,
	CELL_NUMBER,
	PAGER_NUMBER,
	ICQ_MESSAGING,
	NOTES_MAIL_ID,
	NOTES_ID,
	ASSIGN_STATUS,
	EXPERIENCE_ID,
	ALIAS,
	LAST_USED,
	EXEC_LEVEL,
	VERIFIED_1,
	VERIFIED_2,
	WILLING_RELOC,
	RELOC_DURATION,
	WORK_RELOC_1,
	WORK_RELOC_2,
	WORK_RELOC_3,
	WILLING_TRAVEL,
	TRAVEL_DURATION,
	TRAVEL_DEST_1,
	TRAVEL_DEST_2,
	TRAVEL_DEST_3,
	PASPORT_VALID,
	PASPORT_EXPIRATION,
	COUNTRY_VISA_1,
	VISA_EXPIRES_1,
	COUNTRY_VISA_2,
	VISA_EXPIRES_2,
	COUNTRY_VISA_3,
	VISA_EXPIRES_3,
	CURRENCY_ID,
	REC_STATUS,
	REC_USER,
	REC_DATETIME,
	MAJOR_REVISION,
	MINOR_REVISION,
	REVISION_IMPACT,
	REVISION_TYPE,
	REVISION_HISTORY,
	LAST_LOGIN,
	LANGUAGE_ISO_CODE,
	FS_CODE,
	FS_LABOR_CODE,
	EXPERIENCE_TXT,
	ACHIVEMENTS,
	PASSIONS,
	SUMMARY_SKILLS,
	MISCELLANEOUS,
	MAX_PASSWORD_FAILURE,
	NICK_NAME,
	PORTAL_PAGE,
	DASHBOARD,
	OVERWRITEFILE,
	CONVERTED_SCORE,
	CONVERTED_WEIGHT,
	EXECUTIVE_SECURITY,
	MY_PORTAL_URL_1,
	MY_PORTAL_URL_2,
	MY_PORTAL_URL_3,
	MY_PORTAL_URL_4,
	MY_PORTAL_URL_5,
	USER_GROUP_ID,
	COUNTRY_CODE,
	COMPANY_CODE,
	EMPLOYEE_CODE,
	CUSTOM_01,
	CUSTOM_02,
	CUSTOM_03,
	CUSTOM_04,
	CUSTOM_05,
	DIVISION_CODE,
	DEPARTMENT_CODE,
	ASSIGNED_PLUGINS,
	EXTERNAL_ID,
	RES_BLOB
FROM HISTORY_RESOURCES;

DROP INDEX HSRSC_HID_XX;
DROP INDEX HSRSC_RID_RDT_XX;

DROP TABLE HISTORY_RESOURCES_OLD;
ALTER TABLE HISTORY_RESOURCES RENAME TO HISTORY_RESOURCES_OLD;
ALTER TABLE HISTORY_RESOURCES_TMP RENAME TO HISTORY_RESOURCES;

CREATE  INDEX HSRSC_HID_XX ON HISTORY_RESOURCES (HISTORY_ID ASC) TABLESPACE PMO_IDX_64K;
CREATE  INDEX HSRSC_RID_RDT_XX ON HISTORY_RESOURCES (RESOURCE_ID ASC,REC_DATETIME DESC) TABLESPACE PMO_IDX_64K;

DROP TABLE HISTORY_WBS_TMP;
CREATE TABLE HISTORY_WBS_TMP (
	HISTORY_ID VARCHAR2(32),
	RANK VARCHAR2(192) NOT NULL,
	WBS_CODE VARCHAR2(255),
	PROJECT_ID VARCHAR2(32),
	PARENT_ID VARCHAR2(32),
	ELEMENT_ID VARCHAR2(32),
	TYPE_ID NUMBER(10) DEFAULT 0 NOT NULL,
	LEVEL_ID NUMBER(10) DEFAULT 0 NOT NULL,
	MAX_RANK NUMBER(10) DEFAULT 0 NOT NULL,
	CHILD_COUNT NUMBER(10) DEFAULT 0 NOT NULL,
	DELETED_COUNT NUMBER(10) DEFAULT 0 NOT NULL,
	ELEMENT_NAME VARCHAR2(255),
	REF_CODE VARCHAR2(50),
	PRIORITY NUMBER(5) DEFAULT 500,
	PUBLISHED VARCHAR2(1) DEFAULT '0' NOT NULL,
	PUBLISHED_BY VARCHAR2(32),
	T_PARENT_ID VARCHAR2(32),
	T_RANK VARCHAR2(192),
	CONSTRAINT_TYPE NUMBER(10) DEFAULT 0,
	CONSTRAINT_DT TIMESTAMP,
	CURRENCY_ID NUMBER(10) DEFAULT 0,
	CALENDAR_ID VARCHAR2(32),
	MINUTE_PER_DAY NUMBER(5) DEFAULT 480,
	MINUTE_PER_WEEK NUMBER(5) DEFAULT 2400,
	METHOD NUMBER(10) DEFAULT 0,
	BUFFER_PERCENT NUMBER(5) DEFAULT 0 NOT NULL,
	START_FINISH_FLAG VARCHAR2(1) DEFAULT '0',
	START_FINISH_DATE DATE,
	SD NUMBER(5) DEFAULT 11 NOT NULL,
	FD NUMBER(5) DEFAULT 12 NOT NULL,
	START_DT TIMESTAMP,
	FINISH_DT TIMESTAMP,
	BASELINE1_START TIMESTAMP,
	BASELINE1_FINISH TIMESTAMP,
	BASELINE2_START TIMESTAMP,
	BASELINE2_FINISH TIMESTAMP,
	BASELINE3_START TIMESTAMP,
	BASELINE3_FINISH TIMESTAMP,
	PLANNED_START TIMESTAMP,
	PLANNED_FINISH TIMESTAMP,
	PROPOSED_START TIMESTAMP,
	PROPOSED_FINISH TIMESTAMP,
	SCHED_START TIMESTAMP,
	SCHED_FINISH TIMESTAMP,
	FORECAST_START TIMESTAMP,
	FORECAST_FINISH TIMESTAMP,
	ACTUAL_START TIMESTAMP,
	ACTUAL_FINISH TIMESTAMP,
	UNRESOLVED_DURATION NUMBER(10) DEFAULT 0,
	DURATION NUMBER(10) DEFAULT 0,
	PLANNED_DURATION NUMBER(10) DEFAULT 0,
	PROPOSED_DURATION NUMBER(10) DEFAULT 0,
	SCHED_DURATION NUMBER(10) DEFAULT 0,
	FORECAST_DURATION NUMBER(10) DEFAULT 0,
	ACTUAL_DURATION NUMBER(10) DEFAULT 0,
	BASELINE1_DURATION NUMBER(10) DEFAULT 0,
	BASELINE2_DURATION NUMBER(10) DEFAULT 0,
	BASELINE3_DURATION NUMBER(10) DEFAULT 0,
	VARIANCE NUMBER(10) DEFAULT 0,
	FORECAST_VARIANCE NUMBER(10) DEFAULT 0,
	ACTUAL_VARIANCE NUMBER(10) DEFAULT 0,
	BASELINE1_VARIANCE NUMBER(10) DEFAULT 0,
	PLANNED_EFFORT NUMBER(19) DEFAULT 0 NOT NULL,
	PROPOSED_EFFORT NUMBER(19) DEFAULT 0 NOT NULL,
	SCHED_EFFORT NUMBER(19) DEFAULT 0 NOT NULL,
	FORECAST_EFFORT NUMBER(19) DEFAULT 0 NOT NULL,
	ACTUAL_EFFORT NUMBER(19) DEFAULT 0 NOT NULL,
	BASELINE1_EFFORT NUMBER(19) DEFAULT 0 NOT NULL,
	BASELINE2_EFFORT NUMBER(19) DEFAULT 0 NOT NULL,
	BASELINE3_EFFORT NUMBER(19) DEFAULT 0 NOT NULL,
	WORK_TODATE NUMBER(19) DEFAULT 0 NOT NULL,
	ETC NUMBER(19) DEFAULT 0 NOT NULL,
	CREATED_BY VARCHAR2(32),
	CREATED_DT TIMESTAMP DEFAULT SYSTIMESTAMP NOT NULL,
	PROBABILITY NUMBER(10) DEFAULT 100,
	STAGE_ID NUMBER(10) DEFAULT 740,
	MILESTONE_PERCENT NUMBER(5) DEFAULT 0 NOT NULL,
	REC_USER VARCHAR2(32),
	REC_STATUS VARCHAR2(1) DEFAULT 'O' NOT NULL,
	REC_DATETIME TIMESTAMP DEFAULT SYSTIMESTAMP NOT NULL,
	LAST_WF_TYPE VARCHAR2(110),
	LAST_WF_BY VARCHAR2(50),
	LAST_WF_DT TIMESTAMP,
	MAJOR_REVISION NUMBER(5) DEFAULT 0 NOT NULL,
	MINOR_REVISION NUMBER(5) DEFAULT 1 NOT NULL,
	REVISION_IMPACT NUMBER(10) DEFAULT 137,
	REVISION_TYPE NUMBER(10) DEFAULT 920,
	REVISION_HISTORY CLOB DEFAULT 'CREATED',
	CLOSED_BY VARCHAR2(32),
	TOOLTIP_DESCR VARCHAR2(255) DEFAULT NULL,
	TOTAL_SLACK NUMBER(10),
	FREE_SLACK NUMBER(10),
	CRITICAL VARCHAR2(1),
	ESTIMATION_TOTAL NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	ESTIMATION_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	CURRENT_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	FORECAST_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	ACTUAL_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	BASELINE1_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	BASELINE2_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	BASELINE3_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	R_ESTIMATION_TOTAL NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	R_ESTIMATION_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	R_CURRENT_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	R_FORECAST_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	R_ACTUAL_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	R_BASELINE1_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	R_BASELINE2_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	R_BASELINE3_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	S_ESTIMATION_TOTAL NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	S_ESTIMATION_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	S_CURRENT_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	S_FORECAST_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	S_ACTUAL_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	S_BASELINE1_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	S_BASELINE2_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	S_BASELINE3_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	DEPENDENCIES CLOB DEFAULT EMPTY_CLOB(),
	ROLLUP_FLAG VARCHAR2(1) DEFAULT '0' NOT NULL,
	EV_FLAG VARCHAR2(1) DEFAULT '0' NOT NULL,
	CRI_COUNT NUMBER(10) DEFAULT 0,
	DOC_COUNT NUMBER(10) DEFAULT 0,
	MSP_ID NUMBER(10) DEFAULT 0 NOT NULL,
	BASELINE_WORK_TODATE NUMBER(19) DEFAULT 0 NOT NULL,
	ASSIGN_COUNT NUMBER(5) DEFAULT 0 NOT NULL,
	ASSIGN_NAMES VARCHAR2(2048),
	RTF_BITS NUMBER(10) DEFAULT 0,
	LAST_CHECKIN TIMESTAMP,
	BAC NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	EAC NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	BCWS NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	BCWP NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	ACWP NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	TRANSFER_FLAG VARCHAR2(1),
	EFFORT_DRIVEN NUMBER(5) DEFAULT 1 NOT NULL,
	BUBBLE_COLOR NUMBER(5) DEFAULT 0 NOT NULL,
	BUBBLE_PUBLISHED_DT TIMESTAMP,
	A_CRI_COUNT NUMBER(5) DEFAULT 0,
	TASK_TYPE NUMBER(5) DEFAULT 10 NOT NULL,
	FS_CODE VARCHAR2(50),
	FS_STATE NUMBER(5) DEFAULT 0 NOT NULL,
	FS_LABOR_CODE VARCHAR2(50),
	EV_ETC NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	REC_FLAGS NUMBER(10) DEFAULT 0 NOT NULL,
	ROLLUP_BITS NUMBER(10) DEFAULT 0 NOT NULL,
	UNRESOLVED_START TIMESTAMP,
	UNRESOLVED_FINISH TIMESTAMP,
	PLANNED_BUDGET NUMBER(18,2) DEFAULT 0.00,
	R_PLANNED_BUDGET NUMBER(18,2) DEFAULT 0.00,
	S_PLANNED_BUDGET NUMBER(18,2) DEFAULT 0.00,
	PROPOSED_BUDGET NUMBER(18,2) DEFAULT 0.00,
	R_PROPOSED_BUDGET NUMBER(18,2) DEFAULT 0.00,
	S_PROPOSED_BUDGET NUMBER(18,2) DEFAULT 0.00,
	EARLY_START TIMESTAMP,
	LATE_START TIMESTAMP,
	EARLY_FINISH TIMESTAMP,
	LATE_FINISH TIMESTAMP,
	LEVEL_INDEX NUMBER(10) DEFAULT 0,
	CALC_PRIORITY NUMBER(5) DEFAULT 500,
	LEVEL_CONFLICT VARCHAR2(4000),
	LEVEL_START TIMESTAMP,
	LEVEL_FINISH TIMESTAMP,
	LEVEL_DURATION NUMBER(10) DEFAULT 0,
	SCORECARD_COUNT NUMBER(10) DEFAULT 0,
	FINISH_START_DATE DATE,
	TOTAL_DURATION NUMBER(19) DEFAULT 0 NOT NULL,
	PREVIOUS_WKF_STEP VARCHAR2(150),
	DEPEND_FLAG VARCHAR2(1) DEFAULT '0' NOT NULL,
	START_FINISH_DURATION NUMBER(10) DEFAULT 0,
	CONVERTED_SCORE NUMBER(19) DEFAULT 0,
	CONVERTED_WEIGHT NUMBER(19) DEFAULT 1,
	TIMEPHASED_BITS NUMBER(10) DEFAULT 0 NOT NULL,
	ESTIMATED_BASELINE1_START DATE,
	ESTIMATED_BASELINE1_FINISH DATE,
	ESTIMATED_BASELINE2_START DATE,
	ESTIMATED_BASELINE2_FINISH DATE,
	ESTIMATED_BASELINE3_START DATE,
	ESTIMATED_BASELINE3_FINISH DATE,
	ESTIMATED_BASELINE1_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	ESTIMATED_BASELINE2_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	ESTIMATED_BASELINE3_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	R_ESTIMATED_BASELINE1_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	R_ESTIMATED_BASELINE2_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	R_ESTIMATED_BASELINE3_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	S_ESTIMATED_BASELINE1_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	S_ESTIMATED_BASELINE2_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	S_ESTIMATED_BASELINE3_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	ESTIMATED_ACTUAL NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	ESTIMATED_ETC NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	R_ESTIMATED_ACTUAL NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	R_ESTIMATED_ETC NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	S_ESTIMATED_ACTUAL NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	S_ESTIMATED_ETC NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	ESTIMATED_HOURS NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	ESTIMATED_ACTUAL_HOURS NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	ESTIMATED_HOURS_ETC NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	R_ESTIMATED_HOURS NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	R_ESTIMATED_ACTUAL_HOURS NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	R_ESTIMATED_HOURS_ETC NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	ESTIMATED_HOURS_BASELINE1 NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	ESTIMATED_HOURS_BASELINE2 NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	ESTIMATED_HOURS_BASELINE3 NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	R_ESTIMATED_HOURS_BASELINE1 NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	R_ESTIMATED_HOURS_BASELINE2 NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	R_ESTIMATED_HOURS_BASELINE3 NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	BASELINE1_EST_DT TIMESTAMP,
	BASELINE2_EST_DT TIMESTAMP,
	BASELINE3_EST_DT TIMESTAMP,
	BASELINE1_SCH_DT TIMESTAMP,
	BASELINE2_SCH_DT TIMESTAMP,
	BASELINE3_SCH_DT TIMESTAMP,
	CUSTOM_INT_1 NUMBER(10) DEFAULT 0,
	SUBPROJECT_COUNT NUMBER(10) DEFAULT 0,
	ESTIMATED_BASELINE1_DURATION NUMBER(10) DEFAULT 0 NOT NULL,
	ESTIMATED_BASELINE2_DURATION NUMBER(10) DEFAULT 0 NOT NULL,
	ESTIMATED_BASELINE3_DURATION NUMBER(10) DEFAULT 0 NOT NULL,
	TIMECODE_1_ID VARCHAR2(32),
	TIMECODE_2_ID VARCHAR2(32),
	RISK_EXPOSURE NUMBER(10) DEFAULT 0 NOT NULL,
	CONSEQUENSE_COST NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	EAC_FORECAST NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	EV_ETC_FORECAST NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	LEVEL_STATE NUMBER(10) DEFAULT 0,
	LEVEL_CONSTRAINT_TYPE NUMBER(10) DEFAULT 0,
	LEVEL_CONSTRAINT_DT VARCHAR2(26),
	WORK_PERCENT NUMBER(5) DEFAULT 0,
	MP_STATUS_DT TIMESTAMP,
	REFERENCE_NUMBER NUMBER(19),
	ASSET_ID VARCHAR2(32),
	ASSET_NAME VARCHAR2(50),
	FINANCIAL_CATEGORY NUMBER(10) DEFAULT 6501,
	POOL_ID VARCHAR2(32),
	ASSET_FLAG NUMBER(10) DEFAULT 0,
	BASELINE3_START_VARIANCE NUMBER(10) DEFAULT 0,
	BASELINE3_FINISH_VARIANCE NUMBER(10) DEFAULT 0,
	ELEMENT_FLAG NUMBER(5) DEFAULT 0 NOT NULL,
	BASELINE_FLAG NUMBER(5) DEFAULT 0,
	CHARGED_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	R_CHARGED_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	S_CHARGED_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	LEDGER_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	R_LEDGER_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	S_LEDGER_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	ESTIMATED_CHARGED NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	R_ESTIMATED_CHARGED NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	S_ESTIMATED_CHARGED NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	ESTIMATED_LEDGER NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	R_ESTIMATED_LEDGER NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	S_ESTIMATED_LEDGER NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	BCWS_FORECAST NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	BCWP_FORECAST NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	ACWP_FORECAST NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	TIME_VARIANCE NUMBER(10) DEFAULT 0 NOT NULL,
	EXTERNAL_ID VARCHAR2(50)
)
TABLESPACE PMO_DATA_64K
LOB(DEPENDENCIES ) STORE AS LOBC_HISTORY_WBS(TABLESPACE PMO_LOB_64K)
LOB(REVISION_HISTORY ) STORE AS LOBCR_HISTORY_WBS(TABLESPACE PMO_LOB_64K);

--INSERT INTO HISTORY_WBS_TMP SELECT * FROM HISTORY_WBS;
INSERT INTO HISTORY_WBS_TMP
	(HISTORY_ID,
	RANK,
	WBS_CODE,
	PROJECT_ID,
	PARENT_ID,
	ELEMENT_ID,
	TYPE_ID,
	LEVEL_ID,
	MAX_RANK,
	CHILD_COUNT,
	DELETED_COUNT,
	ELEMENT_NAME,
	REF_CODE,
	PRIORITY,
	PUBLISHED,
	PUBLISHED_BY,
	T_PARENT_ID,
	T_RANK,
	CONSTRAINT_TYPE,
	CONSTRAINT_DT,
	CURRENCY_ID,
	CALENDAR_ID,
	MINUTE_PER_DAY,
	MINUTE_PER_WEEK,
	METHOD,
	BUFFER_PERCENT,
	START_FINISH_FLAG,
	START_FINISH_DATE,
	SD,
	FD,
	START_DT,
	FINISH_DT,
	BASELINE1_START,
	BASELINE1_FINISH,
	BASELINE2_START,
	BASELINE2_FINISH,
	BASELINE3_START,
	BASELINE3_FINISH,
	PLANNED_START,
	PLANNED_FINISH,
	PROPOSED_START,
	PROPOSED_FINISH,
	SCHED_START,
	SCHED_FINISH,
	FORECAST_START,
	FORECAST_FINISH,
	ACTUAL_START,
	ACTUAL_FINISH,
	UNRESOLVED_DURATION,
	DURATION,
	PLANNED_DURATION,
	PROPOSED_DURATION,
	SCHED_DURATION,
	FORECAST_DURATION,
	ACTUAL_DURATION,
	BASELINE1_DURATION,
	BASELINE2_DURATION,
	BASELINE3_DURATION,
	VARIANCE,
	FORECAST_VARIANCE,
	ACTUAL_VARIANCE,
	BASELINE1_VARIANCE,
	PLANNED_EFFORT,
	PROPOSED_EFFORT,
	SCHED_EFFORT,
	FORECAST_EFFORT,
	ACTUAL_EFFORT,
	BASELINE1_EFFORT,
	BASELINE2_EFFORT,
	BASELINE3_EFFORT,
	WORK_TODATE,
	ETC,
	CREATED_BY,
	CREATED_DT,
	PROBABILITY,
	STAGE_ID,
	MILESTONE_PERCENT,
	REC_USER,
	REC_STATUS,
	REC_DATETIME,
	LAST_WF_TYPE,
	LAST_WF_BY,
	LAST_WF_DT,
	MAJOR_REVISION,
	MINOR_REVISION,
	REVISION_IMPACT,
	REVISION_TYPE,
	REVISION_HISTORY,
	CLOSED_BY,
	TOOLTIP_DESCR,
	TOTAL_SLACK,
	FREE_SLACK,
	CRITICAL,
	ESTIMATION_TOTAL,
	ESTIMATION_BUDGET,
	CURRENT_BUDGET,
	FORECAST_BUDGET,
	ACTUAL_BUDGET,
	BASELINE1_BUDGET,
	BASELINE2_BUDGET,
	BASELINE3_BUDGET,
	R_ESTIMATION_TOTAL,
	R_ESTIMATION_BUDGET,
	R_CURRENT_BUDGET,
	R_FORECAST_BUDGET,
	R_ACTUAL_BUDGET,
	R_BASELINE1_BUDGET,
	R_BASELINE2_BUDGET,
	R_BASELINE3_BUDGET,
	S_ESTIMATION_TOTAL,
	S_ESTIMATION_BUDGET,
	S_CURRENT_BUDGET,
	S_FORECAST_BUDGET,
	S_ACTUAL_BUDGET,
	S_BASELINE1_BUDGET,
	S_BASELINE2_BUDGET,
	S_BASELINE3_BUDGET,
	DEPENDENCIES,
	ROLLUP_FLAG,
	EV_FLAG,
	CRI_COUNT,
	DOC_COUNT,
	MSP_ID,
	BASELINE_WORK_TODATE,
	ASSIGN_COUNT,
	ASSIGN_NAMES,
	RTF_BITS,
	LAST_CHECKIN,
	BAC,
	EAC,
	BCWS,
	BCWP,
	ACWP,
	TRANSFER_FLAG,
	EFFORT_DRIVEN,
	BUBBLE_COLOR,
	BUBBLE_PUBLISHED_DT,
	A_CRI_COUNT,
	TASK_TYPE,
	FS_CODE,
	FS_STATE,
	FS_LABOR_CODE,
	EV_ETC,
	REC_FLAGS,
	ROLLUP_BITS,
	UNRESOLVED_START,
	UNRESOLVED_FINISH,
	PLANNED_BUDGET,
	R_PLANNED_BUDGET,
	S_PLANNED_BUDGET,
	PROPOSED_BUDGET,
	R_PROPOSED_BUDGET,
	S_PROPOSED_BUDGET,
	EARLY_START,
	LATE_START,
	EARLY_FINISH,
	LATE_FINISH,
	LEVEL_INDEX,
	CALC_PRIORITY,
	LEVEL_CONFLICT,
	LEVEL_START,
	LEVEL_FINISH,
	LEVEL_DURATION,
	SCORECARD_COUNT,
	FINISH_START_DATE,
	TOTAL_DURATION,
	PREVIOUS_WKF_STEP,
	DEPEND_FLAG,
	START_FINISH_DURATION,
	CONVERTED_SCORE,
	CONVERTED_WEIGHT,
	TIMEPHASED_BITS,
	ESTIMATED_BASELINE1_START,
	ESTIMATED_BASELINE1_FINISH,
	ESTIMATED_BASELINE2_START,
	ESTIMATED_BASELINE2_FINISH,
	ESTIMATED_BASELINE3_START,
	ESTIMATED_BASELINE3_FINISH,
	ESTIMATED_BASELINE1_BUDGET,
	ESTIMATED_BASELINE2_BUDGET,
	ESTIMATED_BASELINE3_BUDGET,
	R_ESTIMATED_BASELINE1_BUDGET,
	R_ESTIMATED_BASELINE2_BUDGET,
	R_ESTIMATED_BASELINE3_BUDGET,
	S_ESTIMATED_BASELINE1_BUDGET,
	S_ESTIMATED_BASELINE2_BUDGET,
	S_ESTIMATED_BASELINE3_BUDGET,
	ESTIMATED_ACTUAL,
	ESTIMATED_ETC,
	R_ESTIMATED_ACTUAL,
	R_ESTIMATED_ETC,
	S_ESTIMATED_ACTUAL,
	S_ESTIMATED_ETC,
	ESTIMATED_HOURS,
	ESTIMATED_ACTUAL_HOURS,
	ESTIMATED_HOURS_ETC,
	R_ESTIMATED_HOURS,
	R_ESTIMATED_ACTUAL_HOURS,
	R_ESTIMATED_HOURS_ETC,
	ESTIMATED_HOURS_BASELINE1,
	ESTIMATED_HOURS_BASELINE2,
	ESTIMATED_HOURS_BASELINE3,
	R_ESTIMATED_HOURS_BASELINE1,
	R_ESTIMATED_HOURS_BASELINE2,
	R_ESTIMATED_HOURS_BASELINE3,
	BASELINE1_EST_DT,
	BASELINE2_EST_DT,
	BASELINE3_EST_DT,
	BASELINE1_SCH_DT,
	BASELINE2_SCH_DT,
	BASELINE3_SCH_DT,
	CUSTOM_INT_1,
	SUBPROJECT_COUNT,
	ESTIMATED_BASELINE1_DURATION,
	ESTIMATED_BASELINE2_DURATION,
	ESTIMATED_BASELINE3_DURATION,
	TIMECODE_1_ID,
	TIMECODE_2_ID,
	RISK_EXPOSURE,
	CONSEQUENSE_COST,
	EAC_FORECAST,
	EV_ETC_FORECAST,
	LEVEL_STATE,
	LEVEL_CONSTRAINT_TYPE,
	LEVEL_CONSTRAINT_DT,
	WORK_PERCENT,
	MP_STATUS_DT,
	REFERENCE_NUMBER,
	ASSET_ID,
	ASSET_NAME,
	FINANCIAL_CATEGORY,
	POOL_ID,
	ASSET_FLAG,
	BASELINE3_START_VARIANCE,
	BASELINE3_FINISH_VARIANCE,
	ELEMENT_FLAG,
	BASELINE_FLAG,
	CHARGED_BUDGET,
	R_CHARGED_BUDGET,
	S_CHARGED_BUDGET,
	LEDGER_BUDGET,
	R_LEDGER_BUDGET,
	S_LEDGER_BUDGET,
	ESTIMATED_CHARGED,
	R_ESTIMATED_CHARGED,
	S_ESTIMATED_CHARGED,
	ESTIMATED_LEDGER,
	R_ESTIMATED_LEDGER,
	S_ESTIMATED_LEDGER,
	BCWS_FORECAST,
	BCWP_FORECAST,
	ACWP_FORECAST,
	TIME_VARIANCE,
	EXTERNAL_ID)
SELECT
	HISTORY_ID,
	RANK,
	WBS_CODE,
	PROJECT_ID,
	PARENT_ID,
	ELEMENT_ID,
	TYPE_ID,
	LEVEL_ID,
	MAX_RANK,
	CHILD_COUNT,
	DELETED_COUNT,
	ELEMENT_NAME,
	REF_CODE,
	PRIORITY,
	PUBLISHED,
	PUBLISHED_BY,
	T_PARENT_ID,
	T_RANK,
	CONSTRAINT_TYPE,
	CONSTRAINT_DT,
	CURRENCY_ID,
	CALENDAR_ID,
	MINUTE_PER_DAY,
	MINUTE_PER_WEEK,
	METHOD,
	BUFFER_PERCENT,
	START_FINISH_FLAG,
	START_FINISH_DATE,
	SD,
	FD,
	START_DT,
	FINISH_DT,
	BASELINE1_START,
	BASELINE1_FINISH,
	BASELINE2_START,
	BASELINE2_FINISH,
	BASELINE3_START,
	BASELINE3_FINISH,
	PLANNED_START,
	PLANNED_FINISH,
	PROPOSED_START,
	PROPOSED_FINISH,
	SCHED_START,
	SCHED_FINISH,
	FORECAST_START,
	FORECAST_FINISH,
	ACTUAL_START,
	ACTUAL_FINISH,
	UNRESOLVED_DURATION,
	DURATION,
	PLANNED_DURATION,
	PROPOSED_DURATION,
	SCHED_DURATION,
	FORECAST_DURATION,
	ACTUAL_DURATION,
	BASELINE1_DURATION,
	BASELINE2_DURATION,
	BASELINE3_DURATION,
	VARIANCE,
	FORECAST_VARIANCE,
	ACTUAL_VARIANCE,
	BASELINE1_VARIANCE,
	PLANNED_EFFORT,
	PROPOSED_EFFORT,
	SCHED_EFFORT,
	FORECAST_EFFORT,
	ACTUAL_EFFORT,
	BASELINE1_EFFORT,
	BASELINE2_EFFORT,
	BASELINE3_EFFORT,
	WORK_TODATE,
	ETC,
	CREATED_BY,
	CREATED_DT,
	PROBABILITY,
	STAGE_ID,
	MILESTONE_PERCENT,
	REC_USER,
	REC_STATUS,
	REC_DATETIME,
	LAST_WF_TYPE,
	LAST_WF_BY,
	LAST_WF_DT,
	MAJOR_REVISION,
	MINOR_REVISION,
	REVISION_IMPACT,
	REVISION_TYPE,
	REVISION_HISTORY,
	CLOSED_BY,
	TOOLTIP_DESCR,
	TOTAL_SLACK,
	FREE_SLACK,
	CRITICAL,
	ESTIMATION_TOTAL,
	ESTIMATION_BUDGET,
	CURRENT_BUDGET,
	FORECAST_BUDGET,
	ACTUAL_BUDGET,
	BASELINE1_BUDGET,
	BASELINE2_BUDGET,
	BASELINE3_BUDGET,
	R_ESTIMATION_TOTAL,
	R_ESTIMATION_BUDGET,
	R_CURRENT_BUDGET,
	R_FORECAST_BUDGET,
	R_ACTUAL_BUDGET,
	R_BASELINE1_BUDGET,
	R_BASELINE2_BUDGET,
	R_BASELINE3_BUDGET,
	S_ESTIMATION_TOTAL,
	S_ESTIMATION_BUDGET,
	S_CURRENT_BUDGET,
	S_FORECAST_BUDGET,
	S_ACTUAL_BUDGET,
	S_BASELINE1_BUDGET,
	S_BASELINE2_BUDGET,
	S_BASELINE3_BUDGET,
	DEPENDENCIES,
	ROLLUP_FLAG,
	EV_FLAG,
	CRI_COUNT,
	DOC_COUNT,
	MSP_ID,
	BASELINE_WORK_TODATE,
	ASSIGN_COUNT,
	ASSIGN_NAMES,
	RTF_BITS,
	LAST_CHECKIN,
	BAC,
	EAC,
	BCWS,
	BCWP,
	ACWP,
	TRANSFER_FLAG,
	EFFORT_DRIVEN,
	BUBBLE_COLOR,
	BUBBLE_PUBLISHED_DT,
	A_CRI_COUNT,
	TASK_TYPE,
	FS_CODE,
	FS_STATE,
	FS_LABOR_CODE,
	EV_ETC,
	REC_FLAGS,
	ROLLUP_BITS,
	UNRESOLVED_START,
	UNRESOLVED_FINISH,
	PLANNED_BUDGET,
	R_PLANNED_BUDGET,
	S_PLANNED_BUDGET,
	PROPOSED_BUDGET,
	R_PROPOSED_BUDGET,
	S_PROPOSED_BUDGET,
	EARLY_START,
	LATE_START,
	EARLY_FINISH,
	LATE_FINISH,
	LEVEL_INDEX,
	CALC_PRIORITY,
	LEVEL_CONFLICT,
	LEVEL_START,
	LEVEL_FINISH,
	LEVEL_DURATION,
	SCORECARD_COUNT,
	FINISH_START_DATE,
	TOTAL_DURATION,
	PREVIOUS_WKF_STEP,
	DEPEND_FLAG,
	START_FINISH_DURATION,
	CONVERTED_SCORE,
	CONVERTED_WEIGHT,
	TIMEPHASED_BITS,
	ESTIMATED_BASELINE1_START,
	ESTIMATED_BASELINE1_FINISH,
	ESTIMATED_BASELINE2_START,
	ESTIMATED_BASELINE2_FINISH,
	ESTIMATED_BASELINE3_START,
	ESTIMATED_BASELINE3_FINISH,
	ESTIMATED_BASELINE1_BUDGET,
	ESTIMATED_BASELINE2_BUDGET,
	ESTIMATED_BASELINE3_BUDGET,
	R_ESTIMATED_BASELINE1_BUDGET,
	R_ESTIMATED_BASELINE2_BUDGET,
	R_ESTIMATED_BASELINE3_BUDGET,
	S_ESTIMATED_BASELINE1_BUDGET,
	S_ESTIMATED_BASELINE2_BUDGET,
	S_ESTIMATED_BASELINE3_BUDGET,
	ESTIMATED_ACTUAL,
	ESTIMATED_ETC,
	R_ESTIMATED_ACTUAL,
	R_ESTIMATED_ETC,
	S_ESTIMATED_ACTUAL,
	S_ESTIMATED_ETC,
	ESTIMATED_HOURS,
	ESTIMATED_ACTUAL_HOURS,
	ESTIMATED_HOURS_ETC,
	R_ESTIMATED_HOURS,
	R_ESTIMATED_ACTUAL_HOURS,
	R_ESTIMATED_HOURS_ETC,
	ESTIMATED_HOURS_BASELINE1,
	ESTIMATED_HOURS_BASELINE2,
	ESTIMATED_HOURS_BASELINE3,
	R_ESTIMATED_HOURS_BASELINE1,
	R_ESTIMATED_HOURS_BASELINE2,
	R_ESTIMATED_HOURS_BASELINE3,
	BASELINE1_EST_DT,
	BASELINE2_EST_DT,
	BASELINE3_EST_DT,
	BASELINE1_SCH_DT,
	BASELINE2_SCH_DT,
	BASELINE3_SCH_DT,
	CUSTOM_INT_1,
	SUBPROJECT_COUNT,
	ESTIMATED_BASELINE1_DURATION,
	ESTIMATED_BASELINE2_DURATION,
	ESTIMATED_BASELINE3_DURATION,
	TIMECODE_1_ID,
	TIMECODE_2_ID,
	RISK_EXPOSURE,
	CONSEQUENSE_COST,
	EAC_FORECAST,
	EV_ETC_FORECAST,
	LEVEL_STATE,
	LEVEL_CONSTRAINT_TYPE,
	LEVEL_CONSTRAINT_DT,
	WORK_PERCENT,
	MP_STATUS_DT,
	REFERENCE_NUMBER,
	ASSET_ID,
	ASSET_NAME,
	FINANCIAL_CATEGORY,
	POOL_ID,
	ASSET_FLAG,
	BASELINE3_START_VARIANCE,
	BASELINE3_FINISH_VARIANCE,
	ELEMENT_FLAG,
	BASELINE_FLAG,
	CHARGED_BUDGET,
	R_CHARGED_BUDGET,
	S_CHARGED_BUDGET,
	LEDGER_BUDGET,
	R_LEDGER_BUDGET,
	S_LEDGER_BUDGET,
	ESTIMATED_CHARGED,
	R_ESTIMATED_CHARGED,
	S_ESTIMATED_CHARGED,
	ESTIMATED_LEDGER,
	R_ESTIMATED_LEDGER,
	S_ESTIMATED_LEDGER,
	BCWS_FORECAST,
	BCWP_FORECAST,
	ACWP_FORECAST,
	TIME_VARIANCE,
	EXTERNAL_ID
FROM HISTORY_WBS;

DROP INDEX HSWBS_EID_RDT_CX;
DROP INDEX HSWBS_HID_XX;
DROP INDEX HSWBS_RK_XX;

DROP TABLE HISTORY_WBS_OLD;
ALTER TABLE HISTORY_WBS RENAME TO HISTORY_WBS_OLD;
ALTER TABLE HISTORY_WBS_TMP RENAME TO HISTORY_WBS;

CREATE  INDEX HSWBS_EID_RDT_CX ON HISTORY_WBS (ELEMENT_ID ASC,REC_DATETIME ASC)  PCTFREE = 30 TABLESPACE PMO_IDX_64K;
CREATE  INDEX HSWBS_HID_XX ON HISTORY_WBS (HISTORY_ID ASC) TABLESPACE PMO_IDX_64K;
CREATE  INDEX HSWBS_RK_XX ON HISTORY_WBS (RANK ASC)  PCTFREE = 30 TABLESPACE PMO_IDX_64K;


DROP TABLE RESOURCES_TMP;
CREATE TABLE RESOURCES_TMP (
	RESOURCE_ID VARCHAR2(32) DEFAULT ' ' NOT NULL,
	FULL_NAME VARCHAR2(100),
	FIRST_NAME VARCHAR2(35),
	MIDDLE_NAME VARCHAR2(35),
	LAST_NAME VARCHAR2(35),
	E_MAIL_ADDRESS VARCHAR2(255),
	LOGON_NAME VARCHAR2(100),
	LOGON_PASSWORD RAW(128),
	KEY_HISTORY RAW(255),
	LOGON_REMINDER VARCHAR2(64),
	CLEARANCE_LEVEL_1 NUMBER(10) DEFAULT 1275905024 NOT NULL,
	CLEARANCE_LEVEL_2 NUMBER(10) DEFAULT 1280101580 NOT NULL,
	CLEARANCE_LEVEL_3 NUMBER(10) DEFAULT 4 NOT NULL,
	CLEARANCE_LEVEL_4 NUMBER(10) DEFAULT 0 NOT NULL,
	CLEARANCE_LEVEL_5 NUMBER(10) DEFAULT 0 NOT NULL,
	MULTIPLE_LOGINS VARCHAR2(1),
	PASSWORD_EXPIRES DATE,
	WEBSITE VARCHAR2(100),
	PRIMARY_ROLE VARCHAR2(32),
	TITLE VARCHAR2(50),
	ADDRESS1 VARCHAR2(50),
	ADDRESS2 VARCHAR2(50),
	ZIP_AREA_CODE VARCHAR2(16),
	CITIZENSHIP NUMBER(10),
	CALENDAR_ID VARCHAR2(32),
	ACTIVE VARCHAR2(1),
	EFFECTIVE_DATE DATE,
	DISCONTINUE_DATE DATE,
	STATUS1_ID NUMBER(10) DEFAULT 309,
	STATUS2_ID NUMBER(10) DEFAULT 316,
	CREATED_DATE TIMESTAMP DEFAULT SYSTIMESTAMP NOT NULL,
	CREATED_BY VARCHAR2(32),
	CHARGE_CODE VARCHAR2(32),
	MAXDAYHRS NUMBER(5),
	MINDAYHRS NUMBER(5),
	PERCENT_TO_ASSIGN NUMBER(6,2),
	RATE_ID VARCHAR2(32),
	HOME_OFFICE VARCHAR2(50),
	WORK_LOCATION NUMBER(10) DEFAULT 1,
	WORK_PHONE VARCHAR2(50),
	ALTERNATE_PHONE VARCHAR2(50),
	FAX_NUMBER VARCHAR2(21),
	CELL_NUMBER VARCHAR2(21),
	PAGER_NUMBER VARCHAR2(32),
	ICQ_MESSAGING VARCHAR2(16),
	NOTES_MAIL_ID VARCHAR2(100),
	NOTES_ID VARCHAR2(100),
	ASSIGN_STATUS VARCHAR2(32),
	EXPERIENCE_ID NUMBER(10) DEFAULT 2771,
	ALIAS VARCHAR2(80),
	LAST_USED DATE,
	EXEC_LEVEL VARCHAR2(50),
	VERIFIED_1 VARCHAR2(32),
	VERIFIED_2 VARCHAR2(32),
	WILLING_RELOC VARCHAR2(1) DEFAULT '0',
	RELOC_DURATION VARCHAR2(16),
	WORK_RELOC_1 VARCHAR2(32),
	WORK_RELOC_2 VARCHAR2(32),
	WORK_RELOC_3 VARCHAR2(32),
	WILLING_TRAVEL VARCHAR2(1) DEFAULT '0',
	TRAVEL_DURATION VARCHAR2(16),
	TRAVEL_DEST_1 VARCHAR2(32),
	TRAVEL_DEST_2 VARCHAR2(32),
	TRAVEL_DEST_3 VARCHAR2(32),
	PASPORT_VALID VARCHAR2(1) DEFAULT '0',
	PASPORT_EXPIRATION DATE,
	COUNTRY_VISA_1 VARCHAR2(32),
	VISA_EXPIRES_1 DATE,
	COUNTRY_VISA_2 VARCHAR2(32),
	VISA_EXPIRES_2 DATE,
	COUNTRY_VISA_3 VARCHAR2(32),
	VISA_EXPIRES_3 DATE,
	CURRENCY_ID NUMBER(10) DEFAULT 0,
	REC_STATUS VARCHAR2(1) DEFAULT 'O' NOT NULL,
	REC_USER VARCHAR2(32),
	REC_DATETIME TIMESTAMP DEFAULT SYSTIMESTAMP,
	MAJOR_REVISION NUMBER(5) DEFAULT 0 NOT NULL,
	MINOR_REVISION NUMBER(5) DEFAULT 1 NOT NULL,
	REVISION_IMPACT NUMBER(10) DEFAULT 137,
	REVISION_TYPE NUMBER(10) DEFAULT 4747,
	REVISION_HISTORY CLOB DEFAULT 'CREATED',
	LAST_LOGIN TIMESTAMP,
	LANGUAGE_ISO_CODE VARCHAR2(2) DEFAULT 'US',
	FS_CODE VARCHAR2(50),
	FS_LABOR_CODE VARCHAR2(50) DEFAULT 'PMOFFICE',
	EXPERIENCE_TXT VARCHAR2(512),
	ACHIVEMENTS VARCHAR2(512),
	PASSIONS VARCHAR2(512),
	SUMMARY_SKILLS VARCHAR2(512),
	MISCELLANEOUS VARCHAR2(512),
	MAX_PASSWORD_FAILURE NUMBER(5) DEFAULT 0 NOT NULL,
	NICK_NAME VARCHAR2(100),
	PORTAL_PAGE VARCHAR2(2048),
	DASHBOARD VARCHAR2(2048),
	OVERWRITEFILE VARCHAR2(1) DEFAULT 'Y',
	CONVERTED_SCORE NUMBER(19) DEFAULT 0,
	CONVERTED_WEIGHT NUMBER(19) DEFAULT 1,
	EXECUTIVE_SECURITY CHAR(32),
	MY_PORTAL_URL_1 VARCHAR2(512),
	MY_PORTAL_URL_2 VARCHAR2(512),
	MY_PORTAL_URL_3 VARCHAR2(512),
	MY_PORTAL_URL_4 VARCHAR2(512),
	MY_PORTAL_URL_5 VARCHAR2(512),
	USER_GROUP_ID VARCHAR2(32) DEFAULT 'DEFAULT_SECURITY_ROLE' NOT NULL,
	COUNTRY_CODE VARCHAR2(10),
	COMPANY_CODE VARCHAR2(10),
	EMPLOYEE_CODE VARCHAR2(10),
	CUSTOM_01 VARCHAR2(50),
	CUSTOM_02 VARCHAR2(50),
	CUSTOM_03 VARCHAR2(50),
	CUSTOM_04 VARCHAR2(50),
	CUSTOM_05 VARCHAR2(50),
	DIVISION_CODE VARCHAR2(10),
	DEPARTMENT_CODE VARCHAR2(10),
	ASSIGNED_PLUGINS NUMBER(19) DEFAULT 0 NOT NULL,
	EXTERNAL_ID VARCHAR2(50),
	RES_BLOB BLOB DEFAULT EMPTY_BLOB()
)
TABLESPACE PMO_DATA_64K
LOB(RES_BLOB ) STORE AS LOBB_RESOURCES(TABLESPACE PMO_LOB_64K)
LOB(REVISION_HISTORY ) STORE AS LOBC_RESOURCES(TABLESPACE PMO_LOB_64K);


--INSERT INTO RESOURCES_TMP SELECT * FROM RESOURCES;

INSERT INTO RESOURCES_TMP (
	RESOURCE_ID,
	FULL_NAME,
	FIRST_NAME,
	MIDDLE_NAME,
	LAST_NAME,
	E_MAIL_ADDRESS,
	LOGON_NAME,
	LOGON_PASSWORD,
	KEY_HISTORY,
	LOGON_REMINDER,
	CLEARANCE_LEVEL_1,
	CLEARANCE_LEVEL_2,
	CLEARANCE_LEVEL_3,
	CLEARANCE_LEVEL_4,
	CLEARANCE_LEVEL_5,
	MULTIPLE_LOGINS,
	PASSWORD_EXPIRES,
	WEBSITE,
	PRIMARY_ROLE,
	TITLE,
	ADDRESS1,
	ADDRESS2,
	ZIP_AREA_CODE,
	CITIZENSHIP,
	CALENDAR_ID,
	ACTIVE,
	EFFECTIVE_DATE,
	DISCONTINUE_DATE,
	STATUS1_ID,
	STATUS2_ID,
	CREATED_DATE,
	CREATED_BY,
	CHARGE_CODE,
	MAXDAYHRS,
	MINDAYHRS,
	PERCENT_TO_ASSIGN,
	RATE_ID,
	HOME_OFFICE,
	WORK_LOCATION,
	WORK_PHONE,
	ALTERNATE_PHONE,
	FAX_NUMBER,
	CELL_NUMBER,
	PAGER_NUMBER,
	ICQ_MESSAGING,
	NOTES_MAIL_ID,
	NOTES_ID,
	ASSIGN_STATUS,
	EXPERIENCE_ID,
	ALIAS,
	LAST_USED,
	EXEC_LEVEL,
	VERIFIED_1,
	VERIFIED_2,
	WILLING_RELOC,
	RELOC_DURATION,
	WORK_RELOC_1,
	WORK_RELOC_2,
	WORK_RELOC_3,
	WILLING_TRAVEL,
	TRAVEL_DURATION,
	TRAVEL_DEST_1,
	TRAVEL_DEST_2,
	TRAVEL_DEST_3,
	PASPORT_VALID,
	PASPORT_EXPIRATION,
	COUNTRY_VISA_1,
	VISA_EXPIRES_1,
	COUNTRY_VISA_2,
	VISA_EXPIRES_2,
	COUNTRY_VISA_3,
	VISA_EXPIRES_3,
	CURRENCY_ID,
	REC_STATUS,
	REC_USER,
	REC_DATETIME,
	MAJOR_REVISION,
	MINOR_REVISION,
	REVISION_IMPACT,
	REVISION_TYPE,
	REVISION_HISTORY,
	LAST_LOGIN,
	LANGUAGE_ISO_CODE,
	FS_CODE,
	FS_LABOR_CODE,
	EXPERIENCE_TXT,
	ACHIVEMENTS,
	PASSIONS,
	SUMMARY_SKILLS,
	MISCELLANEOUS,
	MAX_PASSWORD_FAILURE,
	NICK_NAME,
	PORTAL_PAGE,
	DASHBOARD,
	OVERWRITEFILE,
	CONVERTED_SCORE,
	CONVERTED_WEIGHT,
	EXECUTIVE_SECURITY,
	MY_PORTAL_URL_1,
	MY_PORTAL_URL_2,
	MY_PORTAL_URL_3,
	MY_PORTAL_URL_4,
	MY_PORTAL_URL_5,
	USER_GROUP_ID ,
	COUNTRY_CODE,
	COMPANY_CODE,
	EMPLOYEE_CODE,
	CUSTOM_01,
	CUSTOM_02,
	CUSTOM_03,
	CUSTOM_04,
	CUSTOM_05,
	DIVISION_CODE,
	DEPARTMENT_CODE,
	ASSIGNED_PLUGINS,
	EXTERNAL_ID,
	RES_BLOB
)
SELECT
	RESOURCE_ID,
	FULL_NAME,
	FIRST_NAME,
	MIDDLE_NAME,
	LAST_NAME,
	E_MAIL_ADDRESS,
	LOGON_NAME,
	LOGON_PASSWORD,
	KEY_HISTORY,
	LOGON_REMINDER,
	CLEARANCE_LEVEL_1,
	CLEARANCE_LEVEL_2,
	CLEARANCE_LEVEL_3,
	CLEARANCE_LEVEL_4,
	CLEARANCE_LEVEL_5,
	MULTIPLE_LOGINS,
	PASSWORD_EXPIRES,
	WEBSITE,
	PRIMARY_ROLE,
	TITLE,
	ADDRESS1,
	ADDRESS2,
	ZIP_AREA_CODE,
	CITIZENSHIP,
	CALENDAR_ID,
	ACTIVE,
	EFFECTIVE_DATE,
	DISCONTINUE_DATE,
	STATUS1_ID,
	STATUS2_ID,
	CREATED_DATE,
	CREATED_BY,
	CHARGE_CODE,
	MAXDAYHRS,
	MINDAYHRS,
	PERCENT_TO_ASSIGN,
	RATE_ID,
	HOME_OFFICE,
	WORK_LOCATION,
	WORK_PHONE,
	ALTERNATE_PHONE,
	FAX_NUMBER,
	CELL_NUMBER,
	PAGER_NUMBER,
	ICQ_MESSAGING,
	NOTES_MAIL_ID,
	NOTES_ID,
	ASSIGN_STATUS,
	EXPERIENCE_ID,
	ALIAS,
	LAST_USED,
	EXEC_LEVEL,
	VERIFIED_1,
	VERIFIED_2,
	WILLING_RELOC,
	RELOC_DURATION,
	WORK_RELOC_1,
	WORK_RELOC_2,
	WORK_RELOC_3,
	WILLING_TRAVEL,
	TRAVEL_DURATION,
	TRAVEL_DEST_1,
	TRAVEL_DEST_2,
	TRAVEL_DEST_3,
	PASPORT_VALID,
	PASPORT_EXPIRATION,
	COUNTRY_VISA_1,
	VISA_EXPIRES_1,
	COUNTRY_VISA_2,
	VISA_EXPIRES_2,
	COUNTRY_VISA_3,
	VISA_EXPIRES_3,
	CURRENCY_ID,
	REC_STATUS,
	REC_USER,
	REC_DATETIME,
	MAJOR_REVISION,
	MINOR_REVISION,
	REVISION_IMPACT,
	REVISION_TYPE,
	REVISION_HISTORY,
	LAST_LOGIN,
	LANGUAGE_ISO_CODE,
	FS_CODE,
	FS_LABOR_CODE,
	EXPERIENCE_TXT,
	ACHIVEMENTS,
	PASSIONS,
	SUMMARY_SKILLS,
	MISCELLANEOUS,
	MAX_PASSWORD_FAILURE,
	NICK_NAME,
	PORTAL_PAGE,
	DASHBOARD,
	OVERWRITEFILE,
	CONVERTED_SCORE,
	CONVERTED_WEIGHT,
	EXECUTIVE_SECURITY,
	MY_PORTAL_URL_1,
	MY_PORTAL_URL_2,
	MY_PORTAL_URL_3,
	MY_PORTAL_URL_4,
	MY_PORTAL_URL_5,
	USER_GROUP_ID ,
	COUNTRY_CODE,
	COMPANY_CODE,
	EMPLOYEE_CODE,
	CUSTOM_01,
	CUSTOM_02,
	CUSTOM_03,
	CUSTOM_04,
	CUSTOM_05,
	DIVISION_CODE,
	DEPARTMENT_CODE,
	ASSIGNED_PLUGINS,
	EXTERNAL_ID,
	RES_BLOB
FROM RESOURCES;


DROP INDEX RSRCS_FD_XX;
DROP INDEX RSRCS_LGN_PSW_XX;
DROP INDEX RSRCS_RID_XU;

DROP TABLE RESOURCES_OLD;
ALTER TABLE RESOURCES RENAME TO RESOURCES_OLD;
ALTER TABLE RESOURCES_TMP RENAME TO RESOURCES;

CREATE  INDEX RSRCS_FD_XX ON RESOURCES (FS_CODE ASC) TABLESPACE PMO_IDX_64K;
CREATE  INDEX RSRCS_LGN_PSW_XX ON RESOURCES (LOGON_NAME ASC,LOGON_PASSWORD ASC)  PCTFREE = 30 TABLESPACE PMO_IDX_64K;
CREATE UNIQUE INDEX RSRCS_RID_XU ON RESOURCES (RESOURCE_ID ASC)  PCTFREE = 30 TABLESPACE PMO_IDX_64K;


DROP TABLE TMT_ASSETS_TMP;
CREATE TABLE TMT_ASSETS_TMP (
	RANK VARCHAR2(128) NOT NULL,
	LEVEL_ID NUMBER(10) NOT NULL,
	TYPE_ID NUMBER(10) DEFAULT 0 NOT NULL,
	MAX_RANK NUMBER(10) DEFAULT 0 NOT NULL,
	CHILD_COUNT NUMBER(10) DEFAULT 0 NOT NULL,
	DELETED_COUNT NUMBER(10) DEFAULT 0 NOT NULL,
	ELEMENT_ID VARCHAR2(32),
	ELEMENT_NAME VARCHAR2(50),
	PARENT_ID VARCHAR2(32),
	REC_USER VARCHAR2(32),
	REC_STATUS VARCHAR2(1) DEFAULT 'O' NOT NULL,
	REC_DATETIME TIMESTAMP DEFAULT SYSTIMESTAMP NOT NULL,
	DOC_COUNT NUMBER(10) DEFAULT 0 NOT NULL,
	MAJOR_REVISION NUMBER(5) DEFAULT 0 NOT NULL,
	MINOR_REVISION NUMBER(5) DEFAULT 1 NOT NULL,
	REVISION_IMPACT NUMBER(10) DEFAULT 5252,
	REVISION_TYPE NUMBER(10) DEFAULT 5352,
	REVISION_HISTORY CLOB DEFAULT 'CREATED',
	CATEGORY_ID NUMBER(10) DEFAULT 5152 NOT NULL,
	STATUS_ID NUMBER(10) DEFAULT 4971 NOT NULL,
	MAKE VARCHAR2(50),
	MODEL VARCHAR2(50),
	MODEL_NUMBER VARCHAR2(50),
	SERIAL_NUMBER VARCHAR2(50),
	BARCODE_NUMBER VARCHAR2(30),
	DATE_ACQUIRED DATE,
	DATE_SOLD DATE,
	PURCHASE_PRICE NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	CAPITAL_VALUE NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	TOTAL_DEPRECIATION NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	TOTAL_MAINTENANCE NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	DEPRECIATION_METHOD NUMBER(5) DEFAULT 1 NOT NULL,
	QUANTITY NUMBER(10) DEFAULT 0 NOT NULL,
	QUANTITY_USED NUMBER(10) DEFAULT 0 NOT NULL,
	DEPRECIABLE_LIFE NUMBER(10) DEFAULT 0 NOT NULL,
	SALVAGE_VALUE NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	CURRENT_VALUE NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	NEXT_SCHED_MAINT DATE,
	DESCRIPTION CLOB DEFAULT EMPTY_CLOB(),
	RTF_BITS NUMBER(5) DEFAULT 0,
	LICENCE_EXPIRY_DATE DATE,
	WARRANTY_EXPIRY_DATE DATE,
	CONTACTOR VARCHAR2(255),
	CONTACTOR_PHONE VARCHAR2(50),
	CONTACTOR_EMAIL VARCHAR2(255),
	DEPRECIATION_START DATE,
	DEPRECIATION_FINISH DATE,
	SCORECARD_COUNT NUMBER(10) DEFAULT 0,
	CONVERTED_SCORE NUMBER(19) DEFAULT 0,
	EXPENSE_ACTUAL_COST NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	EXPENSE_SCHED_COST NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	EXPENSE_COST_ETC NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	CAPITAL_ACTUAL_COST NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	CAPITAL_SCHED_COST NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	CAPITAL_COST_ETC NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	EXPENSE_ACTUAL_HOURS NUMBER(10) DEFAULT 0 NOT NULL,
	EXPENSE_SCHED_HOURS NUMBER(10) DEFAULT 0 NOT NULL,
	EXPENSE_HOURS_ETC NUMBER(10) DEFAULT 0 NOT NULL,
	CAPITAL_ACTUAL_HOURS NUMBER(10) DEFAULT 0 NOT NULL,
	CAPITAL_SCHED_HOURS NUMBER(10) DEFAULT 0 NOT NULL,
	CAPITAL_HOURS_ETC NUMBER(10) DEFAULT 0 NOT NULL,
	FINANCIAL_CATEGORY NUMBER(10) DEFAULT 0 NOT NULL,
	ACTIVITY_START DATE,
	ACTIVITY_FINISH DATE,
	SD NUMBER(10) DEFAULT 0 NOT NULL,
	FD NUMBER(10) DEFAULT 0 NOT NULL,
	CONVERTED_WEIGHT NUMBER(19) DEFAULT 1,
	TRACKED_FLAG VARCHAR2(1) DEFAULT 'N' NOT NULL,
	TOTAL_EST_MAINTENANCE NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	ESTIMATED_CROSS_CHARGE NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	ACTUAL_CROSS_CHARGE NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	CREATED_BY VARCHAR2(32),
	CREATED_DATETIME TIMESTAMP DEFAULT SYSTIMESTAMP NOT NULL
)
TABLESPACE PMO_DATA_64K
LOB(DESCRIPTION ) STORE AS LOBC_TMT_ASSETS(TABLESPACE PMO_LOB_64K)
LOB(REVISION_HISTORY ) STORE AS LOBCR_TMT_ASSETS(TABLESPACE PMO_LOB_64K);


--INSERT INTO TMT_ASSETS_TMP SELECT * FROM TMT_ASSETS;
INSERT INTO TMT_ASSETS_TMP
	(RANK,
	LEVEL_ID,
	TYPE_ID,
	MAX_RANK,
	CHILD_COUNT,
	DELETED_COUNT,
	ELEMENT_ID,
	ELEMENT_NAME,
	PARENT_ID,
	REC_USER,
	REC_STATUS,
	REC_DATETIME,
	DOC_COUNT,
	MAJOR_REVISION,
	MINOR_REVISION,
	REVISION_IMPACT,
	REVISION_TYPE,
	REVISION_HISTORY,
	CATEGORY_ID,
	STATUS_ID,
	MAKE,
	MODEL,
	MODEL_NUMBER,
	SERIAL_NUMBER,
	BARCODE_NUMBER,
	DATE_ACQUIRED,
	DATE_SOLD,
	PURCHASE_PRICE,
	CAPITAL_VALUE,
	TOTAL_DEPRECIATION,
	TOTAL_MAINTENANCE,
	DEPRECIATION_METHOD,
	QUANTITY,
	QUANTITY_USED,
	DEPRECIABLE_LIFE,
	SALVAGE_VALUE,
	CURRENT_VALUE,
	NEXT_SCHED_MAINT,
	DESCRIPTION,
	RTF_BITS,
	LICENCE_EXPIRY_DATE,
	WARRANTY_EXPIRY_DATE,
	CONTACTOR,
	CONTACTOR_PHONE,
	CONTACTOR_EMAIL,
	DEPRECIATION_START,
	DEPRECIATION_FINISH,
	SCORECARD_COUNT,
	CONVERTED_SCORE,
	EXPENSE_ACTUAL_COST,
	EXPENSE_SCHED_COST,
	EXPENSE_COST_ETC,
	CAPITAL_ACTUAL_COST,
	CAPITAL_SCHED_COST,
	CAPITAL_COST_ETC,
	EXPENSE_ACTUAL_HOURS,
	EXPENSE_SCHED_HOURS,
	EXPENSE_HOURS_ETC,
	CAPITAL_ACTUAL_HOURS,
	CAPITAL_SCHED_HOURS,
	CAPITAL_HOURS_ETC,
	FINANCIAL_CATEGORY,
	ACTIVITY_START,
	ACTIVITY_FINISH,
	SD,
	FD,
	CONVERTED_WEIGHT,
	TRACKED_FLAG,
	TOTAL_EST_MAINTENANCE,
	ESTIMATED_CROSS_CHARGE,
	ACTUAL_CROSS_CHARGE,
	CREATED_BY,
	CREATED_DATETIME)
SELECT
	RANK,
	LEVEL_ID,
	TYPE_ID,
	MAX_RANK,
	CHILD_COUNT,
	DELETED_COUNT,
	ELEMENT_ID,
	ELEMENT_NAME,
	PARENT_ID,
	REC_USER,
	REC_STATUS,
	REC_DATETIME,
	DOC_COUNT,
	MAJOR_REVISION,
	MINOR_REVISION,
	REVISION_IMPACT,
	REVISION_TYPE,
	REVISION_HISTORY,
	CATEGORY_ID,
	STATUS_ID,
	MAKE,
	MODEL,
	MODEL_NUMBER,
	SERIAL_NUMBER,
	BARCODE_NUMBER,
	DATE_ACQUIRED,
	DATE_SOLD,
	PURCHASE_PRICE,
	CAPITAL_VALUE,
	TOTAL_DEPRECIATION,
	TOTAL_MAINTENANCE,
	DEPRECIATION_METHOD,
	QUANTITY,
	QUANTITY_USED,
	DEPRECIABLE_LIFE,
	SALVAGE_VALUE,
	CURRENT_VALUE,
	NEXT_SCHED_MAINT,
	DESCRIPTION,
	RTF_BITS,
	LICENCE_EXPIRY_DATE,
	WARRANTY_EXPIRY_DATE,
	CONTACTOR,
	CONTACTOR_PHONE,
	CONTACTOR_EMAIL,
	DEPRECIATION_START,
	DEPRECIATION_FINISH,
	SCORECARD_COUNT,
	CONVERTED_SCORE,
	EXPENSE_ACTUAL_COST,
	EXPENSE_SCHED_COST,
	EXPENSE_COST_ETC,
	CAPITAL_ACTUAL_COST,
	CAPITAL_SCHED_COST,
	CAPITAL_COST_ETC,
	EXPENSE_ACTUAL_HOURS,
	EXPENSE_SCHED_HOURS,
	EXPENSE_HOURS_ETC,
	CAPITAL_ACTUAL_HOURS,
	CAPITAL_SCHED_HOURS,
	CAPITAL_HOURS_ETC,
	FINANCIAL_CATEGORY,
	ACTIVITY_START,
	ACTIVITY_FINISH,
	SD,
	FD,
	CONVERTED_WEIGHT,
	TRACKED_FLAG,
	TOTAL_EST_MAINTENANCE,
	ESTIMATED_CROSS_CHARGE,
	ACTUAL_CROSS_CHARGE,
	CREATED_BY,
	CREATED_DATETIME
FROM TMT_ASSETS;

DROP INDEX TASSET_ENID_XU;
DROP INDEX TASSET_RK_CU;
DROP INDEX TASS_NID_XX;

DROP TABLE TMT_ASSETS_OLD;
ALTER TABLE TMT_ASSETS RENAME TO TMT_ASSETS_OLD;
ALTER TABLE TMT_ASSETS_TMP RENAME TO TMT_ASSETS;

CREATE UNIQUE INDEX TASSET_ENID_XU ON TMT_ASSETS (ELEMENT_ID ASC,PARENT_ID ASC) TABLESPACE PMO_IDX_64K;
CREATE UNIQUE INDEX TASSET_RK_CU ON TMT_ASSETS (RANK ASC)  PCTFREE = 30 TABLESPACE PMO_IDX_64K;
CREATE  INDEX TASS_NID_XX ON TMT_ASSETS (PARENT_ID)  PCTFREE = 30 TABLESPACE PMO_IDX_64K;

DROP TABLE TMT_ASSET_DOCUMENTS_TMP;
CREATE TABLE TMT_ASSET_DOCUMENTS_TMP (
	LEVEL_ID NUMBER(10) NOT NULL,
	TYPE_ID NUMBER(10) DEFAULT 0 NOT NULL,
	MAX_RANK NUMBER(19) DEFAULT 0 NOT NULL,
	CHILD_COUNT NUMBER(10) DEFAULT 0 NOT NULL,
	DELETED_COUNT NUMBER(10) DEFAULT 0 NOT NULL,
	ELEMENT_ID VARCHAR2(32),
	ELEMENT_NAME VARCHAR2(255),
	ELEMENT_NUMBER NUMBER(19),
	PROJECT_ID VARCHAR2(32),
	BLOB_ID VARCHAR2(32),
	PARENT_ID VARCHAR2(32),
	PARENT_TYPE_ID NUMBER(5) DEFAULT 0 NOT NULL,
	AUTHOR_ID VARCHAR2(32),
	CREATION_DATE DATE DEFAULT SYSDATE,
	APPROVED_DATE DATE,
	REF_NUMBER VARCHAR2(50),
	AUTHOR_CHECKOUT VARCHAR2(1) DEFAULT 'Y' NOT NULL,
	PUBLISHED_DT TIMESTAMP,
	MINOR_REVISION NUMBER(5) DEFAULT 1 NOT NULL,
	MAJOR_REVISION NUMBER(5) DEFAULT 0 NOT NULL,
	MAX_REVISION NUMBER(5) DEFAULT 0 NOT NULL,
	MAX_REV_REACHED VARCHAR2(1) DEFAULT 'N' NOT NULL,
	ATTACHED_ID VARCHAR2(32),
	LAST_WF_TYPE VARCHAR2(110),
	LAST_WF_BY VARCHAR2(50),
	LAST_WF_DT TIMESTAMP,
	REC_USER VARCHAR2(32),
	REC_STATUS VARCHAR2(1) DEFAULT 'O' NOT NULL,
	REC_DATETIME TIMESTAMP DEFAULT SYSTIMESTAMP NOT NULL,
	RANK VARCHAR2(192),
	PARENT_RANK VARCHAR2(192),
	KEYWORDS VARCHAR2(255),
	LAST_CHECKIN TIMESTAMP,
	REVISION_TYPE NUMBER(10) DEFAULT 4768,
	REVISION_IMPACT NUMBER(10) DEFAULT 137,
	REVISION_HISTORY CLOB DEFAULT 'CREATED',
	SCORECARD_ID VARCHAR2(32),
	SCORE NUMBER(5) DEFAULT 0,
	WEIGHT NUMBER(5) DEFAULT 1,
	CONVERTED_SCORE NUMBER(19) DEFAULT 0,
	CONVERTED_WEIGHT NUMBER(19) DEFAULT 1,
	ACTIVE VARCHAR2(1) DEFAULT '1' NOT NULL,
	LOCAL_FOLDER VARCHAR2(550),
	RTF_BITS NUMBER(5) DEFAULT 0,
	PRIORITY NUMBER(5) DEFAULT 500,
	SCOPE_RANK_ID NUMBER(5) DEFAULT 5427,
	STAGE_ID NUMBER(10) DEFAULT 4953,
	TEMP_FOLDER VARCHAR2(550),
	LOCAL_MACHINE VARCHAR2(550),
	DOCUMENT_SIZE NUMBER(10) DEFAULT 0,
	COMPRESSED_SIZE NUMBER(10) DEFAULT 0,
	PUBLISHED VARCHAR2(1) DEFAULT 'N' NOT NULL,
	ASSIGN_NAMES VARCHAR2(2048),
	SUMMARY VARCHAR2(1024),
	PREVIOUS_WKF_STEP VARCHAR2(150),
	PRIVATE VARCHAR2(1) DEFAULT 'N',
	VISIBLE_AT_PARENT VARCHAR2(1) DEFAULT 'Y',
	LINK_DOC VARCHAR2(1) DEFAULT 'N' NOT NULL
)
TABLESPACE PMO_DATA_64K
LOB(REVISION_HISTORY ) STORE AS LOBC_TMT_ASSET_DOCUMENTS(TABLESPACE PMO_LOB_64K);

--INSERT INTO TMT_ASSET_DOCUMENTS_TMP SELECT * FROM TMT_ASSET_DOCUMENTS;
INSERT INTO TMT_ASSET_DOCUMENTS_TMP
	(LEVEL_ID,
	TYPE_ID,
	MAX_RANK,
	CHILD_COUNT,
	DELETED_COUNT,
	ELEMENT_ID,
	ELEMENT_NAME,
	ELEMENT_NUMBER,
	PROJECT_ID,
	BLOB_ID,
	PARENT_ID,
	PARENT_TYPE_ID,
	AUTHOR_ID,
	CREATION_DATE,
	APPROVED_DATE,
	REF_NUMBER,
	AUTHOR_CHECKOUT,
	PUBLISHED_DT,
	MINOR_REVISION,
	MAJOR_REVISION,
	MAX_REVISION,
	MAX_REV_REACHED,
	ATTACHED_ID,
	LAST_WF_TYPE,
	LAST_WF_BY,
	LAST_WF_DT,
	REC_USER,
	REC_STATUS,
	REC_DATETIME,
	RANK,
	PARENT_RANK,
	KEYWORDS,
	LAST_CHECKIN,
	REVISION_TYPE,
	REVISION_IMPACT,
	REVISION_HISTORY,
	SCORECARD_ID,
	SCORE,
	WEIGHT,
	CONVERTED_SCORE,
	CONVERTED_WEIGHT,
	ACTIVE,
	LOCAL_FOLDER,
	RTF_BITS,
	PRIORITY,
	SCOPE_RANK_ID,
	STAGE_ID,
	TEMP_FOLDER,
	LOCAL_MACHINE,
	DOCUMENT_SIZE,
	COMPRESSED_SIZE,
	PUBLISHED,
	ASSIGN_NAMES,
	SUMMARY,
	PREVIOUS_WKF_STEP,
	PRIVATE,
	VISIBLE_AT_PARENT,
	LINK_DOC)
SELECT
	LEVEL_ID,
	TYPE_ID,
	MAX_RANK,
	CHILD_COUNT,
	DELETED_COUNT,
	ELEMENT_ID,
	ELEMENT_NAME,
	ELEMENT_NUMBER,
	PROJECT_ID,
	BLOB_ID,
	PARENT_ID,
	PARENT_TYPE_ID,
	AUTHOR_ID,
	CREATION_DATE,
	APPROVED_DATE,
	REF_NUMBER,
	AUTHOR_CHECKOUT,
	PUBLISHED_DT,
	MINOR_REVISION,
	MAJOR_REVISION,
	MAX_REVISION,
	MAX_REV_REACHED,
	ATTACHED_ID,
	LAST_WF_TYPE,
	LAST_WF_BY,
	LAST_WF_DT,
	REC_USER,
	REC_STATUS,
	REC_DATETIME,
	RANK,
	PARENT_RANK,
	KEYWORDS,
	LAST_CHECKIN,
	REVISION_TYPE,
	REVISION_IMPACT,
	REVISION_HISTORY,
	SCORECARD_ID,
	SCORE,
	WEIGHT,
	CONVERTED_SCORE,
	CONVERTED_WEIGHT,
	ACTIVE,
	LOCAL_FOLDER,
	RTF_BITS,
	PRIORITY,
	SCOPE_RANK_ID,
	STAGE_ID,
	TEMP_FOLDER,
	LOCAL_MACHINE,
	DOCUMENT_SIZE,
	COMPRESSED_SIZE,
	PUBLISHED,
	ASSIGN_NAMES,
	SUMMARY,
	PREVIOUS_WKF_STEP,
	PRIVATE,
	VISIBLE_AT_PARENT,
	LINK_DOC
FROM TMT_ASSET_DOCUMENTS;

DROP INDEX ASSDOC_ENID_XU;
DROP INDEX ASSDOC_PJNWBID_XX;
DROP INDEX ASSDOC_PRK_RK_CX;
DROP INDEX ASSDOC_RK_XU;
DROP INDEX TASSOCU_NID_XX;

DROP TABLE TMT_ASSET_DOCUMENTS_OLD;
ALTER TABLE TMT_ASSET_DOCUMENTS RENAME TO TMT_ASSET_DOCUMENTS_OLD;
ALTER TABLE TMT_ASSET_DOCUMENTS_TMP RENAME TO TMT_ASSET_DOCUMENTS;

CREATE UNIQUE INDEX ASSDOC_ENID_XU ON TMT_ASSET_DOCUMENTS (ELEMENT_ID ASC,PARENT_ID ASC)  TABLESPACE PMO_IDX_64K;
CREATE  INDEX ASSDOC_PJNWBID_XX ON TMT_ASSET_DOCUMENTS (PROJECT_ID ASC,PARENT_ID ASC)  PCTFREE = 30  TABLESPACE PMO_IDX_64K;
CREATE  INDEX ASSDOC_PRK_RK_CX ON TMT_ASSET_DOCUMENTS (PARENT_RANK ASC,RANK ASC)  PCTFREE = 30  TABLESPACE PMO_IDX_64K;
CREATE UNIQUE INDEX ASSDOC_RK_XU ON TMT_ASSET_DOCUMENTS (RANK ASC)  PCTFREE = 30  TABLESPACE PMO_IDX_64K;
CREATE  INDEX TASSOCU_NID_XX ON TMT_ASSET_DOCUMENTS (PARENT_ID)  PCTFREE = 30  TABLESPACE PMO_IDX_64K;

DROP TABLE TMT_ASSIGNED_SCORECARDS_TMP;
CREATE TABLE TMT_ASSIGNED_SCORECARDS_TMP (
	LEVEL_ID NUMBER(10) NOT NULL,
	TYPE_ID NUMBER(10) DEFAULT 0 NOT NULL,
	MAX_RANK NUMBER(10) DEFAULT 0 NOT NULL,
	CHILD_COUNT NUMBER(10) DEFAULT 0 NOT NULL,
	DELETED_COUNT NUMBER(10) DEFAULT 0 NOT NULL,
	PROJECT_ID VARCHAR2(32),
	ELEMENT_ID VARCHAR2(32),
	ELEMENT_NAME VARCHAR2(255),
	PARENT_ID VARCHAR2(32),
	RANK VARCHAR2(128) NOT NULL,
	PARENT_RANK VARCHAR2(192),
	PARENT_TYPE_ID NUMBER(10) DEFAULT 0 NOT NULL,
	CREATED_BY VARCHAR2(32),
	REC_USER VARCHAR2(32),
	REC_STATUS VARCHAR2(1) DEFAULT 'O' NOT NULL,
	REC_DATETIME TIMESTAMP DEFAULT SYSTIMESTAMP NOT NULL,
	LAST_WF_TYPE VARCHAR2(110),
	LAST_WF_BY VARCHAR2(50),
	LAST_WF_DT TIMESTAMP,
	MAJOR_REVISION NUMBER(5) DEFAULT 0 NOT NULL,
	MINOR_REVISION NUMBER(5) DEFAULT 1 NOT NULL,
	REVISION_IMPACT NUMBER(10) DEFAULT 137,
	REVISION_TYPE NUMBER(10) DEFAULT 4874,
	REVISION_HISTORY CLOB DEFAULT 'CREATED',
	DESCRIPTION VARCHAR2(255),
	ORIGINAL_ID VARCHAR2(32),
	SCORE NUMBER(19) DEFAULT 0,
	WEIGHT NUMBER(19) DEFAULT 0,
	CONVERTED_SCORE NUMBER(19) DEFAULT 0,
	CONVERTED_WEIGHT NUMBER(19) DEFAULT 0,
	LAST_CHECKIN TIMESTAMP,
	CREATION_DATE DATE DEFAULT SYSDATE,
	PUBLISHED_DT TIMESTAMP,
	ACTIVE VARCHAR2(1) DEFAULT '1' NOT NULL,
	PUBLISHED VARCHAR2(1) DEFAULT 'N' NOT NULL,
	STAGE_ID NUMBER(10) DEFAULT 5531,
	PREVIOUS_WKF_STEP VARCHAR2(150),
	PRIVATE VARCHAR2(1) DEFAULT 'N',
	VISIBLE_AT_PARENT VARCHAR2(1) DEFAULT 'Y',
	ASSIGN_NAMES VARCHAR2(2048),
	SCOPE_SCORE NUMBER(19) DEFAULT 0,
	SCOPE_WEIGHT NUMBER(19) DEFAULT 0,
	SCHEDULE_SCORE NUMBER(19) DEFAULT 0,
	SCHEDULE_WEIGHT NUMBER(19) DEFAULT 0,
	QUALITY_SCORE NUMBER(19) DEFAULT 0,
	QUALITY_WEIGHT NUMBER(19) DEFAULT 0,
	COST_SCORE NUMBER(19) DEFAULT 0,
	COST_WEIGHT NUMBER(19) DEFAULT 0,
	BENEFIT_SCORE NUMBER(19) DEFAULT 0,
	BENEFIT_WEIGHT NUMBER(19) DEFAULT 0,
	ROLLUP_BITS NUMBER(10) DEFAULT 0,
	REPORT_FLAG NUMBER(5) DEFAULT 0
) TABLESPACE PMO_DATA_64K
LOB(REVISION_HISTORY ) STORE AS LOBC_TMT_ASSIGNED_SCORECARDS(TABLESPACE PMO_LOB_64K);

--INSERT INTO TMT_ASSIGNED_SCORECARDS_TMP SELECT * FROM TMT_ASSIGNED_SCORECARDS;
INSERT INTO TMT_ASSIGNED_SCORECARDS_TMP
	(LEVEL_ID,
	TYPE_ID,
	MAX_RANK,
	CHILD_COUNT,
	DELETED_COUNT,
	PROJECT_ID,
	ELEMENT_ID,
	ELEMENT_NAME,
	PARENT_ID,
	RANK,
	PARENT_RANK,
	PARENT_TYPE_ID,
	CREATED_BY,
	REC_USER,
	REC_STATUS,
	REC_DATETIME,
	LAST_WF_TYPE,
	LAST_WF_BY,
	LAST_WF_DT,
	MAJOR_REVISION,
	MINOR_REVISION,
	REVISION_IMPACT,
	REVISION_TYPE,
	REVISION_HISTORY,
	DESCRIPTION,
	ORIGINAL_ID,
	SCORE,
	WEIGHT,
	CONVERTED_SCORE,
	CONVERTED_WEIGHT,
	LAST_CHECKIN,
	CREATION_DATE,
	PUBLISHED_DT,
	ACTIVE,
	PUBLISHED,
	STAGE_ID,
	PREVIOUS_WKF_STEP,
	PRIVATE,
	VISIBLE_AT_PARENT,
	ASSIGN_NAMES,
	SCOPE_SCORE,
	SCOPE_WEIGHT,
	SCHEDULE_SCORE,
	SCHEDULE_WEIGHT,
	QUALITY_SCORE,
	QUALITY_WEIGHT,
	COST_SCORE,
	COST_WEIGHT,
	BENEFIT_SCORE,
	BENEFIT_WEIGHT,
	ROLLUP_BITS,
	REPORT_FLAG)
SELECT
	LEVEL_ID,
	TYPE_ID,
	MAX_RANK,
	CHILD_COUNT,
	DELETED_COUNT,
	PROJECT_ID,
	ELEMENT_ID,
	ELEMENT_NAME,
	PARENT_ID,
	RANK,
	PARENT_RANK,
	PARENT_TYPE_ID,
	CREATED_BY,
	REC_USER,
	REC_STATUS,
	REC_DATETIME,
	LAST_WF_TYPE,
	LAST_WF_BY,
	LAST_WF_DT,
	MAJOR_REVISION,
	MINOR_REVISION,
	REVISION_IMPACT,
	REVISION_TYPE,
	REVISION_HISTORY,
	DESCRIPTION,
	ORIGINAL_ID,
	SCORE,
	WEIGHT,
	CONVERTED_SCORE,
	CONVERTED_WEIGHT,
	LAST_CHECKIN,
	CREATION_DATE,
	PUBLISHED_DT,
	ACTIVE,
	PUBLISHED,
	STAGE_ID,
	PREVIOUS_WKF_STEP,
	PRIVATE,
	VISIBLE_AT_PARENT,
	ASSIGN_NAMES,
	SCOPE_SCORE,
	SCOPE_WEIGHT,
	SCHEDULE_SCORE,
	SCHEDULE_WEIGHT,
	QUALITY_SCORE,
	QUALITY_WEIGHT,
	COST_SCORE,
	COST_WEIGHT,
	BENEFIT_SCORE,
	BENEFIT_WEIGHT,
	ROLLUP_BITS,
	REPORT_FLAG
FROM TMT_ASSIGNED_SCORECARDS;

DROP INDEX IDX_ASC1;
DROP INDEX IDX_ASC2;
DROP INDEX IDX_ASC3;
DROP INDEX IDX_ASC4;
DROP INDEX IDX_ASC0;
DROP INDEX ASS_SCR_PROJ_XXX;

DROP TABLE TMT_ASSIGNED_SCORECARDS_OLD;
ALTER TABLE TMT_ASSIGNED_SCORECARDS RENAME TO TMT_ASSIGNED_SCORECARDS_OLD;
ALTER TABLE TMT_ASSIGNED_SCORECARDS_TMP RENAME TO TMT_ASSIGNED_SCORECARDS;

CREATE UNIQUE INDEX IDX_ASC1 ON TMT_ASSIGNED_SCORECARDS (ELEMENT_ID ASC)  PCTFREE = 30 TABLESPACE PMO_IDX_64K;
CREATE  INDEX IDX_ASC2 ON TMT_ASSIGNED_SCORECARDS (PARENT_ID,LEVEL_ID)  PCTFREE = 30 TABLESPACE PMO_IDX_64K;
CREATE  INDEX IDX_ASC3 ON TMT_ASSIGNED_SCORECARDS (PARENT_RANK ASC)  PCTFREE = 30 TABLESPACE PMO_IDX_64K;
CREATE  INDEX IDX_ASC4 ON TMT_ASSIGNED_SCORECARDS (PROJECT_ID ASC,PARENT_RANK ASC) TABLESPACE PMO_IDX_64K;
CREATE UNIQUE INDEX IDX_ASC0 ON TMT_ASSIGNED_SCORECARDS (RANK ASC)  PCTFREE = 30 TABLESPACE PMO_IDX_64K;
CREATE  INDEX ASS_SCR_PROJ_XXX ON TMT_ASSIGNED_SCORECARDS (PROJECT_ID)  PCTFREE = 30 TABLESPACE PMO_IDX_64K;

DROP TABLE TMT_CLIENTS_TMP;
CREATE TABLE TMT_CLIENTS_TMP (
	LEVEL_ID NUMBER(10) NOT NULL,
	TYPE_ID NUMBER(10) DEFAULT 0 NOT NULL,
	MAX_RANK NUMBER(10) DEFAULT 0 NOT NULL,
	CHILD_COUNT NUMBER(10) DEFAULT 0 NOT NULL,
	DELETED_COUNT NUMBER(10) DEFAULT 0 NOT NULL,
	ELEMENT_ID VARCHAR2(32),
	ELEMENT_NAME VARCHAR2(255),
	PARENT_ID VARCHAR2(32),
	REC_USER VARCHAR2(32),
	REC_STATUS VARCHAR2(1) DEFAULT 'O' NOT NULL,
	REC_DATETIME TIMESTAMP DEFAULT SYSTIMESTAMP NOT NULL,
	LABEL VARCHAR2(50),
	DESCRIPTION VARCHAR2(4000),
	DEFAULT_FLAG VARCHAR2(1),
	RANK VARCHAR2(128) NOT NULL,
	DOMAIN_ID VARCHAR2(32),
	MANAGER_ID VARCHAR2(32),
	COMPANY_NAME VARCHAR2(50),
	ADDRESS VARCHAR2(255),
	PHONE VARCHAR2(25),
	FAX VARCHAR2(25),
	WEBSITE VARCHAR2(255),
	CONTACT_NAME VARCHAR2(50),
	OTHER_LOCATION VARCHAR2(255),
	YEAR_IN_BUSINESS NUMBER(10),
	CLIENT_MORE_100_EMPLOYEES NUMBER(10),
	CLIENT_MORE_1000_EMPLOYEES NUMBER(10),
	CLIENT_MORE_10000_EMPLOYEES NUMBER(10),
	NUMBER_EMPLOYEES NUMBER(10),
	ANNUAL_REVENUES NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	BILLING_ADDRESS VARCHAR2(255),
	BILLING_PHONE VARCHAR2(25),
	BILLING_FAX VARCHAR2(25),
	BILLING_EMAIL VARCHAR2(50),
	EQUAL_OPPORTUNITY VARCHAR2(1),
	MAJOR_REVISION NUMBER(5) DEFAULT 0 NOT NULL,
	MINOR_REVISION NUMBER(5) DEFAULT 1 NOT NULL,
	REVISION_IMPACT NUMBER(10) DEFAULT 137,
	REVISION_TYPE NUMBER(10) DEFAULT 920,
	REVISION_HISTORY CLOB DEFAULT 'CREATED',
	PUBLIC_FLAG VARCHAR2(1) DEFAULT '0' NOT NULL,
	COMPANY_BACKGROUND VARCHAR2(3000),
	OWNERSHIP VARCHAR2(3000),
	SERVICES_OFFERED VARCHAR2(3000),
	SERVICES_SPECIALIZED VARCHAR2(3000),
	INDUSTRIES_SERVED VARCHAR2(3000),
	HIGHLIGHT VARCHAR2(3000),
	LOCATION_SERVED VARCHAR2(3000),
	LOCAL VARCHAR2(1) DEFAULT 'N' NOT NULL,
	RTF_BITS NUMBER(5) DEFAULT 0,
	DOC_COUNT NUMBER(10) DEFAULT 0,
	CURRENCY_ID NUMBER(10) DEFAULT 0 NOT NULL,
	STAGE_ID NUMBER(10),
	EXTERNAL_IDENTIFIER VARCHAR2(32)
)
TABLESPACE PMO_DATA_64K
LOB(REVISION_HISTORY ) STORE AS LOBC_TMT_CLIENTS(TABLESPACE PMO_LOB_64K);


--INSERT INTO TMT_CLIENTS_TMP SELECT * FROM TMT_CLIENTS;
INSERT INTO TMT_CLIENTS_TMP
	(LEVEL_ID,
	TYPE_ID,
	MAX_RANK,
	CHILD_COUNT,
	DELETED_COUNT,
	ELEMENT_ID,
	ELEMENT_NAME,
	PARENT_ID,
	REC_USER,
	REC_STATUS,
	REC_DATETIME,
	LABEL,
	DESCRIPTION,
	DEFAULT_FLAG,
	RANK,
	DOMAIN_ID,
	MANAGER_ID,
	COMPANY_NAME,
	ADDRESS,
	PHONE,
	FAX,
	WEBSITE,
	CONTACT_NAME,
	OTHER_LOCATION,
	YEAR_IN_BUSINESS,
	CLIENT_MORE_100_EMPLOYEES,
	CLIENT_MORE_1000_EMPLOYEES,
	CLIENT_MORE_10000_EMPLOYEES,
	NUMBER_EMPLOYEES,
	ANNUAL_REVENUES,
	BILLING_ADDRESS,
	BILLING_PHONE,
	BILLING_FAX,
	BILLING_EMAIL,
	EQUAL_OPPORTUNITY,
	MAJOR_REVISION,
	MINOR_REVISION,
	REVISION_IMPACT,
	REVISION_TYPE,
	REVISION_HISTORY,
	PUBLIC_FLAG,
	COMPANY_BACKGROUND,
	OWNERSHIP,
	SERVICES_OFFERED,
	SERVICES_SPECIALIZED,
	INDUSTRIES_SERVED,
	HIGHLIGHT,
	LOCATION_SERVED,
	LOCAL,
	RTF_BITS,
	DOC_COUNT,
	CURRENCY_ID,
	STAGE_ID,
	EXTERNAL_IDENTIFIER)
SELECT 
	LEVEL_ID,
	TYPE_ID,
	MAX_RANK,
	CHILD_COUNT,
	DELETED_COUNT,
	ELEMENT_ID,
	ELEMENT_NAME,
	PARENT_ID,
	REC_USER,
	REC_STATUS,
	REC_DATETIME,
	LABEL,
	DESCRIPTION,
	DEFAULT_FLAG,
	RANK,
	DOMAIN_ID,
	MANAGER_ID,
	COMPANY_NAME,
	ADDRESS,
	PHONE,
	FAX,
	WEBSITE,
	CONTACT_NAME,
	OTHER_LOCATION,
	YEAR_IN_BUSINESS,
	CLIENT_MORE_100_EMPLOYEES,
	CLIENT_MORE_1000_EMPLOYEES,
	CLIENT_MORE_10000_EMPLOYEES,
	NUMBER_EMPLOYEES,
	ANNUAL_REVENUES,
	BILLING_ADDRESS,
	BILLING_PHONE,
	BILLING_FAX,
	BILLING_EMAIL,
	EQUAL_OPPORTUNITY,
	MAJOR_REVISION,
	MINOR_REVISION,
	REVISION_IMPACT,
	REVISION_TYPE,
	REVISION_HISTORY,
	PUBLIC_FLAG,
	COMPANY_BACKGROUND,
	OWNERSHIP,
	SERVICES_OFFERED,
	SERVICES_SPECIALIZED,
	INDUSTRIES_SERVED,
	HIGHLIGHT,
	LOCATION_SERVED,
	LOCAL,
	RTF_BITS,
	DOC_COUNT,
	CURRENCY_ID,
	STAGE_ID,
	EXTERNAL_IDENTIFIER
FROM TMT_CLIENTS;

DROP INDEX TCLIENT_ENID_XU;
DROP INDEX TCLIENT_RK_CU;
DROP INDEX TCLI_NID_XX;

DROP TABLE TMT_CLIENTS_OLD;
ALTER TABLE TMT_CLIENTS RENAME TO TMT_CLIENTS_OLD;
ALTER TABLE TMT_CLIENTS_TMP RENAME TO TMT_CLIENTS;

CREATE UNIQUE INDEX TCLIENT_ENID_XU ON TMT_CLIENTS (ELEMENT_ID ASC,PARENT_ID ASC) TABLESPACE PMO_IDX_64K;
CREATE UNIQUE INDEX TCLIENT_RK_CU ON TMT_CLIENTS (RANK ASC)  PCTFREE = 30 TABLESPACE PMO_IDX_64K;
CREATE  INDEX TCLI_NID_XX ON TMT_CLIENTS (PARENT_ID)  PCTFREE = 30 TABLESPACE PMO_IDX_64K;

DROP TABLE TMT_CLIENT_DOCUMENTS_TMP;
CREATE TABLE TMT_CLIENT_DOCUMENTS_TMP (
	LEVEL_ID NUMBER(10) NOT NULL,
	TYPE_ID NUMBER(10) DEFAULT 0 NOT NULL,
	MAX_RANK NUMBER(19) DEFAULT 0 NOT NULL,
	CHILD_COUNT NUMBER(10) DEFAULT 0 NOT NULL,
	DELETED_COUNT NUMBER(10) DEFAULT 0 NOT NULL,
	ELEMENT_ID VARCHAR2(32),
	ELEMENT_NAME VARCHAR2(255),
	ELEMENT_NUMBER NUMBER(19),
	PROJECT_ID VARCHAR2(32),
	BLOB_ID VARCHAR2(32),
	PARENT_ID VARCHAR2(32),
	PARENT_TYPE_ID NUMBER(5) DEFAULT 0 NOT NULL,
	AUTHOR_ID VARCHAR2(32),
	CREATION_DATE DATE DEFAULT SYSDATE,
	APPROVED_DATE DATE,
	REF_NUMBER VARCHAR2(50),
	AUTHOR_CHECKOUT VARCHAR2(1) DEFAULT 'Y' NOT NULL,
	PUBLISHED_DT TIMESTAMP,
	MINOR_REVISION NUMBER(5) DEFAULT 1 NOT NULL,
	MAJOR_REVISION NUMBER(5) DEFAULT 0 NOT NULL,
	MAX_REVISION NUMBER(5) DEFAULT 0 NOT NULL,
	MAX_REV_REACHED VARCHAR2(1) DEFAULT 'N' NOT NULL,
	ATTACHED_ID VARCHAR2(32),
	LAST_WF_TYPE VARCHAR2(110),
	LAST_WF_BY VARCHAR2(50),
	LAST_WF_DT TIMESTAMP,
	REC_USER VARCHAR2(32),
	REC_STATUS VARCHAR2(1) DEFAULT 'O' NOT NULL,
	REC_DATETIME TIMESTAMP DEFAULT SYSTIMESTAMP NOT NULL,
	RANK VARCHAR2(192),
	PARENT_RANK VARCHAR2(192),
	KEYWORDS VARCHAR2(255),
	LAST_CHECKIN TIMESTAMP,
	REVISION_TYPE NUMBER(10) DEFAULT 4768,
	REVISION_IMPACT NUMBER(10) DEFAULT 137,
	REVISION_HISTORY CLOB DEFAULT 'CREATED',
	SCORECARD_ID VARCHAR2(32),
	SCORE NUMBER(5) DEFAULT 0,
	WEIGHT NUMBER(5) DEFAULT 1,
	CONVERTED_SCORE NUMBER(19) DEFAULT 0,
	CONVERTED_WEIGHT NUMBER(19) DEFAULT 1,
	ACTIVE VARCHAR2(1) DEFAULT '1' NOT NULL,
	LOCAL_FOLDER VARCHAR2(550),
	RTF_BITS NUMBER(5) DEFAULT 0,
	PRIORITY NUMBER(5) DEFAULT 500,
	SCOPE_RANK_ID NUMBER(5) DEFAULT 5427,
	STAGE_ID NUMBER(10) DEFAULT 4953,
	TEMP_FOLDER VARCHAR2(550),
	LOCAL_MACHINE VARCHAR2(550),
	DOCUMENT_SIZE NUMBER(10) DEFAULT 0,
	COMPRESSED_SIZE NUMBER(10) DEFAULT 0,
	PUBLISHED VARCHAR2(1) DEFAULT 'N' NOT NULL,
	ASSIGN_NAMES VARCHAR2(2048),
	SUMMARY VARCHAR2(1024),
	PREVIOUS_WKF_STEP VARCHAR2(150),
	PRIVATE VARCHAR2(1) DEFAULT 'N',
	VISIBLE_AT_PARENT VARCHAR2(1) DEFAULT 'Y',
	LINK_DOC VARCHAR2(1) DEFAULT 'N' NOT NULL
)
TABLESPACE PMO_DATA_64K
LOB(REVISION_HISTORY ) STORE AS LOBC_TMT_CLIENT_DOCUMENTS(TABLESPACE PMO_LOB_64K);

--INSERT INTO TMT_CLIENT_DOCUMENTS_TMP SELECT * FROM TMT_CLIENT_DOCUMENTS;
INSERT INTO TMT_CLIENT_DOCUMENTS_TMP
	(LEVEL_ID,
	TYPE_ID,
	MAX_RANK,
	CHILD_COUNT,
	DELETED_COUNT,
	ELEMENT_ID,
	ELEMENT_NAME,
	ELEMENT_NUMBER,
	PROJECT_ID,
	BLOB_ID,
	PARENT_ID,
	PARENT_TYPE_ID,
	AUTHOR_ID,
	CREATION_DATE,
	APPROVED_DATE,
	REF_NUMBER,
	AUTHOR_CHECKOUT,
	PUBLISHED_DT,
	MINOR_REVISION,
	MAJOR_REVISION,
	MAX_REVISION,
	MAX_REV_REACHED,
	ATTACHED_ID,
	LAST_WF_TYPE,
	LAST_WF_BY,
	LAST_WF_DT,
	REC_USER,
	REC_STATUS,
	REC_DATETIME,
	RANK,
	PARENT_RANK,
	KEYWORDS,
	LAST_CHECKIN,
	REVISION_TYPE,
	REVISION_IMPACT,
	REVISION_HISTORY,
	SCORECARD_ID,
	SCORE,
	WEIGHT,
	CONVERTED_SCORE,
	CONVERTED_WEIGHT,
	ACTIVE,
	LOCAL_FOLDER,
	RTF_BITS,
	PRIORITY,
	SCOPE_RANK_ID,
	STAGE_ID,
	TEMP_FOLDER,
	LOCAL_MACHINE,
	DOCUMENT_SIZE,
	COMPRESSED_SIZE,
	PUBLISHED,
	ASSIGN_NAMES,
	SUMMARY,
	PREVIOUS_WKF_STEP,
	PRIVATE,
	VISIBLE_AT_PARENT,
	LINK_DOC)
SELECT 
	LEVEL_ID,
	TYPE_ID,
	MAX_RANK,
	CHILD_COUNT,
	DELETED_COUNT,
	ELEMENT_ID,
	ELEMENT_NAME,
	ELEMENT_NUMBER,
	PROJECT_ID,
	BLOB_ID,
	PARENT_ID,
	PARENT_TYPE_ID,
	AUTHOR_ID,
	CREATION_DATE,
	APPROVED_DATE,
	REF_NUMBER,
	AUTHOR_CHECKOUT,
	PUBLISHED_DT,
	MINOR_REVISION,
	MAJOR_REVISION,
	MAX_REVISION,
	MAX_REV_REACHED,
	ATTACHED_ID,
	LAST_WF_TYPE,
	LAST_WF_BY,
	LAST_WF_DT,
	REC_USER,
	REC_STATUS,
	REC_DATETIME,
	RANK,
	PARENT_RANK,
	KEYWORDS,
	LAST_CHECKIN,
	REVISION_TYPE,
	REVISION_IMPACT,
	REVISION_HISTORY,
	SCORECARD_ID,
	SCORE,
	WEIGHT,
	CONVERTED_SCORE,
	CONVERTED_WEIGHT,
	ACTIVE,
	LOCAL_FOLDER,
	RTF_BITS,
	PRIORITY,
	SCOPE_RANK_ID,
	STAGE_ID,
	TEMP_FOLDER,
	LOCAL_MACHINE,
	DOCUMENT_SIZE,
	COMPRESSED_SIZE,
	PUBLISHED,
	ASSIGN_NAMES,
	SUMMARY,
	PREVIOUS_WKF_STEP,
	PRIVATE,
	VISIBLE_AT_PARENT,
	LINK_DOC
FROM TMT_CLIENT_DOCUMENTS;

DROP INDEX CLIDOC_ENID_XU;
DROP INDEX CLIDOC_PJNWBID_XX;
DROP INDEX CLIDOC_PRK_RK_CX;
DROP INDEX CLIDOC_RK_XU;
DROP INDEX TCLIDOC_NID_XX;

DROP TABLE TMT_CLIENT_DOCUMENTS_OLD;
ALTER TABLE TMT_CLIENT_DOCUMENTS RENAME TO TMT_CLIENT_DOCUMENTS_OLD;
ALTER TABLE TMT_CLIENT_DOCUMENTS_TMP RENAME TO TMT_CLIENT_DOCUMENTS;

CREATE UNIQUE INDEX CLIDOC_ENID_XU ON TMT_CLIENT_DOCUMENTS (ELEMENT_ID ASC,PARENT_ID ASC) TABLESPACE PMO_IDX_64K;
CREATE  INDEX CLIDOC_PJNWBID_XX ON TMT_CLIENT_DOCUMENTS (PROJECT_ID ASC,PARENT_ID ASC)  PCTFREE = 30 TABLESPACE PMO_IDX_64K;
CREATE  INDEX CLIDOC_PRK_RK_CX ON TMT_CLIENT_DOCUMENTS (PARENT_RANK ASC,RANK ASC)  PCTFREE = 30 TABLESPACE PMO_IDX_64K;
CREATE UNIQUE INDEX CLIDOC_RK_XU ON TMT_CLIENT_DOCUMENTS (RANK ASC)  PCTFREE = 30 TABLESPACE PMO_IDX_64K;
CREATE  INDEX TCLIDOC_NID_XX ON TMT_CLIENT_DOCUMENTS (PARENT_ID)  PCTFREE = 30 TABLESPACE PMO_IDX_64K;


DROP TABLE TMT_CRI_TMP;
CREATE TABLE TMT_CRI_TMP (
	RANK VARCHAR2(192),
	PARENT_RANK VARCHAR2(192),
	TYPE_ID NUMBER(10) DEFAULT 0 NOT NULL,
	LEVEL_ID NUMBER(10) DEFAULT 0 NOT NULL,
	PROJECT_ID VARCHAR2(32),
	PARENT_ID VARCHAR2(32),
	PARENT_TYPE_ID NUMBER(10) DEFAULT 0 NOT NULL,
	ELEMENT_ID VARCHAR2(32),
	MAX_RANK NUMBER(19) DEFAULT 0 NOT NULL,
	CHILD_COUNT NUMBER(10) DEFAULT 0 NOT NULL,
	DELETED_COUNT NUMBER(10) DEFAULT 0 NOT NULL,
	ELEMENT_NAME VARCHAR2(255),
	TRANSFERRED VARCHAR2(1),
	STAGE_ID NUMBER(10) DEFAULT 786,
	CREATED_BY VARCHAR2(32),
	CREATED_DATETIME TIMESTAMP,
	REFERENCE_NUMBER NUMBER(19),
	EXTERNAL_REFERENCE VARCHAR2(32),
	PRIORITY_ID NUMBER(5) DEFAULT 500,
	PROPOSED_BY VARCHAR2(32),
	PROPOSED_DATETIME TIMESTAMP,
	IMPACT_LEVEL_ID NUMBER(10) DEFAULT 0 NOT NULL,
	SD NUMBER(5) DEFAULT 11 NOT NULL,
	FD NUMBER(5) DEFAULT 12 NOT NULL,
	START_DATETIME TIMESTAMP,
	FINISH_DATETIME TIMESTAMP,
	PLANNED_START TIMESTAMP,
	PLANNED_FINISH TIMESTAMP,
	PLANNED_EFFORT NUMBER(19) DEFAULT 0 NOT NULL,
	PLANNED_DURATION NUMBER(10) DEFAULT 0,
	ESTIMATED_START TIMESTAMP DEFAULT SYSTIMESTAMP NOT NULL,
	ESTIMATED_FINISH TIMESTAMP,
	MITIGATION_COST NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	SCOPE_RANK_ID NUMBER(5) DEFAULT 0,
	SCHEDULE_RANK_ID NUMBER(5) DEFAULT 0,
	COST_RANK_ID NUMBER(5) DEFAULT 0,
	QUALITY_RANK_ID NUMBER(5) DEFAULT 0,
	PROBABILITY_RANK_ID NUMBER(5) DEFAULT 0,
	PRECISION_RANK_ID NUMBER(5) DEFAULT 0,
	EXPOSURE_ID NUMBER(10),
	CONSEQUENSE_COST NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	PROBABILITY_COST NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	APPROVED_DATETIME TIMESTAMP,
	APPROVED_START TIMESTAMP,
	APPROVED_FINISH TIMESTAMP,
	APPROVED_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	CLOSED_BY VARCHAR2(32),
	CLOSED_DATETIME TIMESTAMP,
	PLANNING_UNIT VARCHAR2(1),
	PLANNING_TYPE NUMBER(10),
	ESTIMATION_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	CURRENT_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	FORECAST_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	ACTUAL_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	BASELINE1_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	BASELINE1_DATETIME TIMESTAMP,
	BASELINE2_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	BASELINE2_DATETIME TIMESTAMP,
	BASELINE3_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	BASELINE3_DATETIME TIMESTAMP,
	S_ESTIMATION_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	S_CURRENT_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	S_FORECAST_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	S_BASELINE1_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	S_BASELINE1_DATETIME TIMESTAMP,
	S_BASELINE2_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	S_BASELINE2_DATETIME TIMESTAMP,
	S_BASELINE3_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	S_BASELINE3_DATETIME TIMESTAMP,
	R_ESTIMATION_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	R_CURRENT_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	R_FORECAST_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	R_BASELINE1_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	R_BASELINE2_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	R_BASELINE3_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	LAST_WF_TYPE VARCHAR2(110),
	LAST_WF_BY VARCHAR2(32),
	LAST_WF_DATETIME TIMESTAMP,
	MAX_REV_REACHED VARCHAR2(1) DEFAULT 'N' NOT NULL,
	MAX_REVISION NUMBER(5) DEFAULT 0 NOT NULL,
	MAJOR_REVISION NUMBER(5) DEFAULT 0 NOT NULL,
	MINOR_REVISION NUMBER(5) DEFAULT 1 NOT NULL,
	REVISION_IMPACT NUMBER(10) DEFAULT 137 NOT NULL,
	REVISION_TYPE NUMBER(10) DEFAULT 4726 NOT NULL,
	REVISION_HISTORY CLOB DEFAULT 'CREATED',
	TOOLTIP_DESCRIPTION VARCHAR2(255) DEFAULT NULL,
	STATUS_ID NUMBER(10) DEFAULT 316,
	PUBLISHED VARCHAR2(1) DEFAULT 'N' NOT NULL,
	SHARED VARCHAR2(1) DEFAULT 'N' NOT NULL,
	IMPACT_RANK_ID NUMBER(5) DEFAULT 1,
	ASSIGN_NAMES VARCHAR2(2048),
	ASSIGN_COUNT NUMBER(5) DEFAULT 0,
	REC_USER VARCHAR2(32),
	RTF_BITS NUMBER(5) DEFAULT 0,
	LAST_CHECKIN TIMESTAMP,
	REC_STATUS VARCHAR2(1) DEFAULT 'O' NOT NULL,
	REC_DATETIME TIMESTAMP DEFAULT SYSTIMESTAMP,
	LAST_TRANSFER_DT TIMESTAMP,
	WBS_ID VARCHAR2(32),
	STAGE_LAST_DT TIMESTAMP DEFAULT SYSTIMESTAMP,
	SCORE NUMBER(5) DEFAULT 0,
	WEIGHT NUMBER(5) DEFAULT 1,
	CONVERTED_SCORE NUMBER(19) DEFAULT 0,
	CONVERTED_WEIGHT NUMBER(19) DEFAULT 1,
	SCORECARD_ID VARCHAR2(32),
	PUBLISHED_DT TIMESTAMP,
	PRIORITY NUMBER(5) DEFAULT 500,
	ETC NUMBER(19) DEFAULT 0 NOT NULL,
	MILESTONE_PERCENT NUMBER(5) DEFAULT 0,
	PERCENT_COMPLETE NUMBER(5) DEFAULT 0,
	REC_FLAGS NUMBER(10) DEFAULT 0 NOT NULL,
	ROLLUP_BITS NUMBER(10) DEFAULT 0 NOT NULL,
	WBS_ASSIGNED NUMBER(10) DEFAULT 0 NOT NULL,
	DURATION NUMBER(10) DEFAULT 0 NOT NULL,
	ACTUAL_START TIMESTAMP,
	ACTUAL_FINISH TIMESTAMP,
	ACTUAL_DURATION NUMBER(10) DEFAULT 0 NOT NULL,
	SCHED_START TIMESTAMP,
	SCHED_FINISH TIMESTAMP,
	SCHED_DURATION NUMBER(10) DEFAULT 0 NOT NULL,
	PROPOSED_START TIMESTAMP,
	PROPOSED_FINISH TIMESTAMP,
	PROPOSED_DURATION NUMBER(10) DEFAULT 0 NOT NULL,
	FORECAST_START TIMESTAMP,
	FORECAST_FINISH TIMESTAMP,
	FORECAST_DURATION NUMBER(10) DEFAULT 0 NOT NULL,
	BASELINE1_START TIMESTAMP,
	BASELINE1_FINISH TIMESTAMP,
	BASELINE1_DURATION NUMBER(10) DEFAULT 0 NOT NULL,
	BASELINE1_EFFORT NUMBER(10) DEFAULT 0 NOT NULL,
	UNRESOLVED_START TIMESTAMP,
	UNRESOLVED_FINISH TIMESTAMP,
	UNRESOLVED_DURATION NUMBER(10) DEFAULT 0 NOT NULL,
	CONSTRAINT_DT TIMESTAMP,
	CONSTRAINT_TYPE NUMBER(10) DEFAULT 0 NOT NULL,
	S_ACTUAL_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	R_ACTUAL_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	ESTIMATION_TOTAL NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	S_ESTIMATION_TOTAL NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	R_ESTIMATION_TOTAL NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	WORK_TODATE NUMBER(10) DEFAULT 0 NOT NULL,
	BASELINE_WORK_TODATE NUMBER(10) DEFAULT 0 NOT NULL,
	SCHED_EFFORT NUMBER(10) DEFAULT 0 NOT NULL,
	FORECAST_EFFORT NUMBER(10) DEFAULT 0 NOT NULL,
	PROPOSED_EFFORT NUMBER(10) DEFAULT 0 NOT NULL,
	VARIANCE NUMBER(10) DEFAULT 0 NOT NULL,
	ACTUAL_VARIANCE NUMBER(10) DEFAULT 0 NOT NULL,
	FORECAST_VARIANCE NUMBER(10) DEFAULT 0 NOT NULL,
	BASELINE1_VARIANCE NUMBER(10) DEFAULT 0 NOT NULL,
	CLIENT_ID VARCHAR2(32),
	CLIENT_NAME VARCHAR2(50),
	REASSIGN_COUNT NUMBER(5) DEFAULT 0,
	DUPLICATE_REF_ID VARCHAR2(50),
	OCCURED_DATETIME TIMESTAMP,
	DOC_COUNT NUMBER(10) DEFAULT 0,
	PROPOSED_BY_NAME VARCHAR2(100),
	CLOSED_BY_NAME VARCHAR2(100),
	ESTIMATED_DURATION NUMBER(10) DEFAULT 0,
	ESTIMATED_EFFORT NUMBER(19) DEFAULT 0,
	HIGH_ESTIMATED_START TIMESTAMP,
	HIGH_ESTIMATED_FINISH TIMESTAMP,
	HIGH_ESTIMATED_DURATION NUMBER(10) DEFAULT 0,
	HIGH_ESTIMATED_EFFORT NUMBER(19) DEFAULT 0,
	LOW_ESTIMATED_START TIMESTAMP,
	LOW_ESTIMATED_FINISH TIMESTAMP,
	LOW_ESTIMATED_DURATION NUMBER(10) DEFAULT 0,
	LOW_ESTIMATED_EFFORT NUMBER(19) DEFAULT 0,
	APPROVED_EFFORT NUMBER(19) DEFAULT 0,
	APPROVED_DURATION NUMBER(10) DEFAULT 0,
	ESTIMATED_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	R_ESTIMATED_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	S_ESTIMATED_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	HIGH_ESTIMATED_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	R_HIGH_ESTIMATED_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	S_HIGH_ESTIMATED_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	LOW_ESTIMATED_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	R_LOW_ESTIMATED_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	S_LOW_ESTIMATED_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	APPROVED_BY VARCHAR2(32),
	APPROVED_BY_NAME VARCHAR2(100),
	R_APPROVED_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	EXPECTED_REVENUE NUMBER(18,2) DEFAULT 0.00,
	EXPECTED_MARGIN NUMBER(18,2) DEFAULT 0.00,
	PLANNED_BUDGET NUMBER(18,2) DEFAULT 0.00,
	R_PLANNED_BUDGET NUMBER(18,2) DEFAULT 0.00,
	S_PLANNED_BUDGET NUMBER(18,2) DEFAULT 0.00,
	PROPOSED_BUDGET NUMBER(18,2) DEFAULT 0.00,
	R_PROPOSED_BUDGET NUMBER(18,2) DEFAULT 0.00,
	S_PROPOSED_BUDGET NUMBER(18,2) DEFAULT 0.00,
	EXPECTED_COST NUMBER(18,2) DEFAULT 0.00,
	S_APPROVED_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	SCORECARD_COUNT NUMBER(10) DEFAULT 0,
	BASELINE2_START TIMESTAMP,
	BASELINE2_FINISH TIMESTAMP,
	BASELINE2_DURATION NUMBER(10) DEFAULT 0 NOT NULL,
	BASELINE2_EFFORT NUMBER(10) DEFAULT 0 NOT NULL,
	CHANGE_TO_TASK NUMBER(5) DEFAULT 0,
	APPROVED_REVENUE NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	APPROVED_SAVING NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	TARGET_DATE DATE,
	ESTIMATED_REVENUE NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	ESTIMATED_SAVING NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	TOTAL_DURATION NUMBER(19) DEFAULT 0 NOT NULL,
	DUPLICATE_KEY NUMBER(10),
	PREVIOUS_WKF_STEP VARCHAR2(150),
	PRIVATE VARCHAR2(1) DEFAULT 'N',
	VISIBLE_AT_PARENT VARCHAR2(1) DEFAULT 'Y',
	TIMEPHASED_BITS NUMBER(10) DEFAULT 0 NOT NULL,
	APPROVED_IMPACT_LEVEL_ID NUMBER(10) DEFAULT 0,
	ESTIMATED_ACTUAL NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	ESTIMATED_ETC NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	R_ESTIMATED_ACTUAL NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	R_ESTIMATED_ETC NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	S_ESTIMATED_ACTUAL NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	S_ESTIMATED_ETC NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	ESTIMATED_HOURS NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	ESTIMATED_ACTUAL_HOURS NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	ESTIMATED_HOURS_ETC NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	R_ESTIMATED_HOURS NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	R_ESTIMATED_ACTUAL_HOURS NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	R_ESTIMATED_HOURS_ETC NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	EXPECTED_PAYBACK_PERIOD NUMBER(10) DEFAULT 0,
	EXPECTED_PAYBACK_MONTH NUMBER(10) DEFAULT 0,
	ASSET_ID VARCHAR2(32),
	ASSET_NAME VARCHAR2(50),
	FINANCIAL_CATEGORY NUMBER(10) DEFAULT 6501,
	ASSET_FLAG NUMBER(10) DEFAULT 0,
	DEFAULT_COL VARCHAR2(1) DEFAULT 'N' NOT NULL,
	TEMPLATED VARCHAR2(1) DEFAULT 'N' NOT NULL,
	T_PARENT_ID VARCHAR2(32),
	T_RANK VARCHAR2(192),
	ELEMENT_FLAG NUMBER(5) DEFAULT 0 NOT NULL
)
 TABLESPACE PMO_DATA_64K
LOB(REVISION_HISTORY ) STORE AS LOBC_TMT_CRI(TABLESPACE PMO_LOB_64K);

--INSERT INTO TMT_CRI_TMP SELECT * FROM TMT_CRI;
INSERT INTO TMT_CRI_TMP
	(RANK,
	PARENT_RANK,
	TYPE_ID,
	LEVEL_ID,
	PROJECT_ID,
	PARENT_ID,
	PARENT_TYPE_ID,
	ELEMENT_ID,
	MAX_RANK,
	CHILD_COUNT,
	DELETED_COUNT,
	ELEMENT_NAME,
	TRANSFERRED,
	STAGE_ID,
	CREATED_BY,
	CREATED_DATETIME,
	REFERENCE_NUMBER,
	EXTERNAL_REFERENCE,
	PRIORITY_ID,
	PROPOSED_BY,
	PROPOSED_DATETIME,
	IMPACT_LEVEL_ID,
	SD,
	FD,
	START_DATETIME,
	FINISH_DATETIME,
	PLANNED_START,
	PLANNED_FINISH,
	PLANNED_EFFORT,
	PLANNED_DURATION,
	ESTIMATED_START,
	ESTIMATED_FINISH,
	MITIGATION_COST,
	SCOPE_RANK_ID,
	SCHEDULE_RANK_ID,
	COST_RANK_ID,
	QUALITY_RANK_ID,
	PROBABILITY_RANK_ID,
	PRECISION_RANK_ID,
	EXPOSURE_ID,
	CONSEQUENSE_COST,
	PROBABILITY_COST,
	APPROVED_DATETIME,
	APPROVED_START,
	APPROVED_FINISH,
	APPROVED_BUDGET,
	CLOSED_BY,
	CLOSED_DATETIME,
	PLANNING_UNIT,
	PLANNING_TYPE,
	ESTIMATION_BUDGET,
	CURRENT_BUDGET,
	FORECAST_BUDGET,
	ACTUAL_BUDGET,
	BASELINE1_BUDGET,
	BASELINE1_DATETIME,
	BASELINE2_BUDGET,
	BASELINE2_DATETIME,
	BASELINE3_BUDGET,
	BASELINE3_DATETIME,
	S_ESTIMATION_BUDGET,
	S_CURRENT_BUDGET,
	S_FORECAST_BUDGET,
	S_BASELINE1_BUDGET,
	S_BASELINE1_DATETIME,
	S_BASELINE2_BUDGET,
	S_BASELINE2_DATETIME,
	S_BASELINE3_BUDGET,
	S_BASELINE3_DATETIME,
	R_ESTIMATION_BUDGET,
	R_CURRENT_BUDGET,
	R_FORECAST_BUDGET,
	R_BASELINE1_BUDGET,
	R_BASELINE2_BUDGET,
	R_BASELINE3_BUDGET,
	LAST_WF_TYPE,
	LAST_WF_BY,
	LAST_WF_DATETIME,
	MAX_REV_REACHED,
	MAX_REVISION,
	MAJOR_REVISION,
	MINOR_REVISION,
	REVISION_IMPACT,
	REVISION_TYPE,
	REVISION_HISTORY,
	TOOLTIP_DESCRIPTION,
	STATUS_ID,
	PUBLISHED,
	SHARED,
	IMPACT_RANK_ID,
	ASSIGN_NAMES,
	ASSIGN_COUNT,
	REC_USER,
	RTF_BITS,
	LAST_CHECKIN,
	REC_STATUS,
	REC_DATETIME,
	LAST_TRANSFER_DT,
	WBS_ID,
	STAGE_LAST_DT,
	SCORE,
	WEIGHT,
	CONVERTED_SCORE,
	CONVERTED_WEIGHT,
	SCORECARD_ID,
	PUBLISHED_DT,
	PRIORITY,
	ETC,
	MILESTONE_PERCENT,
	PERCENT_COMPLETE,
	REC_FLAGS,
	ROLLUP_BITS,
	WBS_ASSIGNED,
	DURATION,
	ACTUAL_START,
	ACTUAL_FINISH,
	ACTUAL_DURATION,
	SCHED_START,
	SCHED_FINISH,
	SCHED_DURATION,
	PROPOSED_START,
	PROPOSED_FINISH,
	PROPOSED_DURATION,
	FORECAST_START,
	FORECAST_FINISH,
	FORECAST_DURATION,
	BASELINE1_START,
	BASELINE1_FINISH,
	BASELINE1_DURATION,
	BASELINE1_EFFORT,
	UNRESOLVED_START,
	UNRESOLVED_FINISH,
	UNRESOLVED_DURATION,
	CONSTRAINT_DT,
	CONSTRAINT_TYPE,
	S_ACTUAL_BUDGET,
	R_ACTUAL_BUDGET,
	ESTIMATION_TOTAL,
	S_ESTIMATION_TOTAL,
	R_ESTIMATION_TOTAL,
	WORK_TODATE,
	BASELINE_WORK_TODATE,
	SCHED_EFFORT,
	FORECAST_EFFORT,
	PROPOSED_EFFORT,
	VARIANCE,
	ACTUAL_VARIANCE,
	FORECAST_VARIANCE,
	BASELINE1_VARIANCE,
	CLIENT_ID,
	CLIENT_NAME,
	REASSIGN_COUNT,
	DUPLICATE_REF_ID,
	OCCURED_DATETIME,
	DOC_COUNT,
	PROPOSED_BY_NAME,
	CLOSED_BY_NAME,
	ESTIMATED_DURATION,
	ESTIMATED_EFFORT,
	HIGH_ESTIMATED_START,
	HIGH_ESTIMATED_FINISH,
	HIGH_ESTIMATED_DURATION,
	HIGH_ESTIMATED_EFFORT,
	LOW_ESTIMATED_START,
	LOW_ESTIMATED_FINISH,
	LOW_ESTIMATED_DURATION,
	LOW_ESTIMATED_EFFORT,
	APPROVED_EFFORT,
	APPROVED_DURATION,
	ESTIMATED_BUDGET,
	R_ESTIMATED_BUDGET,
	S_ESTIMATED_BUDGET,
	HIGH_ESTIMATED_BUDGET,
	R_HIGH_ESTIMATED_BUDGET,
	S_HIGH_ESTIMATED_BUDGET,
	LOW_ESTIMATED_BUDGET,
	R_LOW_ESTIMATED_BUDGET,
	S_LOW_ESTIMATED_BUDGET,
	APPROVED_BY,
	APPROVED_BY_NAME,
	R_APPROVED_BUDGET,
	EXPECTED_REVENUE,
	EXPECTED_MARGIN,
	PLANNED_BUDGET,
	R_PLANNED_BUDGET,
	S_PLANNED_BUDGET,
	PROPOSED_BUDGET,
	R_PROPOSED_BUDGET,
	S_PROPOSED_BUDGET,
	EXPECTED_COST,
	S_APPROVED_BUDGET,
	SCORECARD_COUNT,
	BASELINE2_START,
	BASELINE2_FINISH,
	BASELINE2_DURATION,
	BASELINE2_EFFORT,
	CHANGE_TO_TASK,
	APPROVED_REVENUE,
	APPROVED_SAVING,
	TARGET_DATE,
	ESTIMATED_REVENUE,
	ESTIMATED_SAVING,
	TOTAL_DURATION,
	DUPLICATE_KEY,
	PREVIOUS_WKF_STEP,
	PRIVATE,
	VISIBLE_AT_PARENT,
	TIMEPHASED_BITS,
	APPROVED_IMPACT_LEVEL_ID,
	ESTIMATED_ACTUAL,
	ESTIMATED_ETC,
	R_ESTIMATED_ACTUAL,
	R_ESTIMATED_ETC,
	S_ESTIMATED_ACTUAL,
	S_ESTIMATED_ETC,
	ESTIMATED_HOURS,
	ESTIMATED_ACTUAL_HOURS,
	ESTIMATED_HOURS_ETC,
	R_ESTIMATED_HOURS,
	R_ESTIMATED_ACTUAL_HOURS,
	R_ESTIMATED_HOURS_ETC,
	EXPECTED_PAYBACK_PERIOD,
	EXPECTED_PAYBACK_MONTH,
	ASSET_ID,
	ASSET_NAME,
	FINANCIAL_CATEGORY,
	ASSET_FLAG,
	DEFAULT_COL,
	TEMPLATED,
	T_PARENT_ID,
	T_RANK,
	ELEMENT_FLAG)
SELECT
	RANK,
	PARENT_RANK,
	TYPE_ID,
	LEVEL_ID,
	PROJECT_ID,
	PARENT_ID,
	PARENT_TYPE_ID,
	ELEMENT_ID,
	MAX_RANK,
	CHILD_COUNT,
	DELETED_COUNT,
	ELEMENT_NAME,
	TRANSFERRED,
	STAGE_ID,
	CREATED_BY,
	CREATED_DATETIME,
	REFERENCE_NUMBER,
	EXTERNAL_REFERENCE,
	PRIORITY_ID,
	PROPOSED_BY,
	PROPOSED_DATETIME,
	IMPACT_LEVEL_ID,
	SD,
	FD,
	START_DATETIME,
	FINISH_DATETIME,
	PLANNED_START,
	PLANNED_FINISH,
	PLANNED_EFFORT,
	PLANNED_DURATION,
	ESTIMATED_START,
	ESTIMATED_FINISH,
	MITIGATION_COST,
	SCOPE_RANK_ID,
	SCHEDULE_RANK_ID,
	COST_RANK_ID,
	QUALITY_RANK_ID,
	PROBABILITY_RANK_ID,
	PRECISION_RANK_ID,
	EXPOSURE_ID,
	CONSEQUENSE_COST,
	PROBABILITY_COST,
	APPROVED_DATETIME,
	APPROVED_START,
	APPROVED_FINISH,
	APPROVED_BUDGET,
	CLOSED_BY,
	CLOSED_DATETIME,
	PLANNING_UNIT,
	PLANNING_TYPE,
	ESTIMATION_BUDGET,
	CURRENT_BUDGET,
	FORECAST_BUDGET,
	ACTUAL_BUDGET,
	BASELINE1_BUDGET,
	BASELINE1_DATETIME,
	BASELINE2_BUDGET,
	BASELINE2_DATETIME,
	BASELINE3_BUDGET,
	BASELINE3_DATETIME,
	S_ESTIMATION_BUDGET,
	S_CURRENT_BUDGET,
	S_FORECAST_BUDGET,
	S_BASELINE1_BUDGET,
	S_BASELINE1_DATETIME,
	S_BASELINE2_BUDGET,
	S_BASELINE2_DATETIME,
	S_BASELINE3_BUDGET,
	S_BASELINE3_DATETIME,
	R_ESTIMATION_BUDGET,
	R_CURRENT_BUDGET,
	R_FORECAST_BUDGET,
	R_BASELINE1_BUDGET,
	R_BASELINE2_BUDGET,
	R_BASELINE3_BUDGET,
	LAST_WF_TYPE,
	LAST_WF_BY,
	LAST_WF_DATETIME,
	MAX_REV_REACHED,
	MAX_REVISION,
	MAJOR_REVISION,
	MINOR_REVISION,
	REVISION_IMPACT,
	REVISION_TYPE,
	REVISION_HISTORY,
	TOOLTIP_DESCRIPTION,
	STATUS_ID,
	PUBLISHED,
	SHARED,
	IMPACT_RANK_ID,
	ASSIGN_NAMES,
	ASSIGN_COUNT,
	REC_USER,
	RTF_BITS,
	LAST_CHECKIN,
	REC_STATUS,
	REC_DATETIME,
	LAST_TRANSFER_DT,
	WBS_ID,
	STAGE_LAST_DT,
	SCORE,
	WEIGHT,
	CONVERTED_SCORE,
	CONVERTED_WEIGHT,
	SCORECARD_ID,
	PUBLISHED_DT,
	PRIORITY,
	ETC,
	MILESTONE_PERCENT,
	PERCENT_COMPLETE,
	REC_FLAGS,
	ROLLUP_BITS,
	WBS_ASSIGNED,
	DURATION,
	ACTUAL_START,
	ACTUAL_FINISH,
	ACTUAL_DURATION,
	SCHED_START,
	SCHED_FINISH,
	SCHED_DURATION,
	PROPOSED_START,
	PROPOSED_FINISH,
	PROPOSED_DURATION,
	FORECAST_START,
	FORECAST_FINISH,
	FORECAST_DURATION,
	BASELINE1_START,
	BASELINE1_FINISH,
	BASELINE1_DURATION,
	BASELINE1_EFFORT,
	UNRESOLVED_START,
	UNRESOLVED_FINISH,
	UNRESOLVED_DURATION,
	CONSTRAINT_DT,
	CONSTRAINT_TYPE,
	S_ACTUAL_BUDGET,
	R_ACTUAL_BUDGET,
	ESTIMATION_TOTAL,
	S_ESTIMATION_TOTAL,
	R_ESTIMATION_TOTAL,
	WORK_TODATE,
	BASELINE_WORK_TODATE,
	SCHED_EFFORT,
	FORECAST_EFFORT,
	PROPOSED_EFFORT,
	VARIANCE,
	ACTUAL_VARIANCE,
	FORECAST_VARIANCE,
	BASELINE1_VARIANCE,
	CLIENT_ID,
	CLIENT_NAME,
	REASSIGN_COUNT,
	DUPLICATE_REF_ID,
	OCCURED_DATETIME,
	DOC_COUNT,
	PROPOSED_BY_NAME,
	CLOSED_BY_NAME,
	ESTIMATED_DURATION,
	ESTIMATED_EFFORT,
	HIGH_ESTIMATED_START,
	HIGH_ESTIMATED_FINISH,
	HIGH_ESTIMATED_DURATION,
	HIGH_ESTIMATED_EFFORT,
	LOW_ESTIMATED_START,
	LOW_ESTIMATED_FINISH,
	LOW_ESTIMATED_DURATION,
	LOW_ESTIMATED_EFFORT,
	APPROVED_EFFORT,
	APPROVED_DURATION,
	ESTIMATED_BUDGET,
	R_ESTIMATED_BUDGET,
	S_ESTIMATED_BUDGET,
	HIGH_ESTIMATED_BUDGET,
	R_HIGH_ESTIMATED_BUDGET,
	S_HIGH_ESTIMATED_BUDGET,
	LOW_ESTIMATED_BUDGET,
	R_LOW_ESTIMATED_BUDGET,
	S_LOW_ESTIMATED_BUDGET,
	APPROVED_BY,
	APPROVED_BY_NAME,
	R_APPROVED_BUDGET,
	EXPECTED_REVENUE,
	EXPECTED_MARGIN,
	PLANNED_BUDGET,
	R_PLANNED_BUDGET,
	S_PLANNED_BUDGET,
	PROPOSED_BUDGET,
	R_PROPOSED_BUDGET,
	S_PROPOSED_BUDGET,
	EXPECTED_COST,
	S_APPROVED_BUDGET,
	SCORECARD_COUNT,
	BASELINE2_START,
	BASELINE2_FINISH,
	BASELINE2_DURATION,
	BASELINE2_EFFORT,
	CHANGE_TO_TASK,
	APPROVED_REVENUE,
	APPROVED_SAVING,
	TARGET_DATE,
	ESTIMATED_REVENUE,
	ESTIMATED_SAVING,
	TOTAL_DURATION,
	DUPLICATE_KEY,
	PREVIOUS_WKF_STEP,
	PRIVATE,
	VISIBLE_AT_PARENT,
	TIMEPHASED_BITS,
	APPROVED_IMPACT_LEVEL_ID,
	ESTIMATED_ACTUAL,
	ESTIMATED_ETC,
	R_ESTIMATED_ACTUAL,
	R_ESTIMATED_ETC,
	S_ESTIMATED_ACTUAL,
	S_ESTIMATED_ETC,
	ESTIMATED_HOURS,
	ESTIMATED_ACTUAL_HOURS,
	ESTIMATED_HOURS_ETC,
	R_ESTIMATED_HOURS,
	R_ESTIMATED_ACTUAL_HOURS,
	R_ESTIMATED_HOURS_ETC,
	EXPECTED_PAYBACK_PERIOD,
	EXPECTED_PAYBACK_MONTH,
	ASSET_ID,
	ASSET_NAME,
	FINANCIAL_CATEGORY,
	ASSET_FLAG,
	DEFAULT_COL,
	TEMPLATED,
	T_PARENT_ID,
	T_RANK,
	ELEMENT_FLAG
FROM TMT_CRI;


DROP INDEX TCRIX_ENID_XU;
DROP INDEX TCRIX_NVID_RK_XX;
DROP INDEX TCRIX_PJNWBID_XX;
DROP INDEX TCRIX_PRK_RK_CX;
DROP INDEX TCRIX_TPID_XX;
DROP INDEX TCRIX_RK_XU;
DROP INDEX CRI_CLIENT_XXX;
DROP INDEX CRI_DUP_XXX;
DROP INDEX CRI_SCR_XXX;

DROP TABLE TMT_CRI_OLD;
ALTER TABLE TMT_CRI RENAME TO TMT_CRI_OLD;
ALTER TABLE TMT_CRI_TMP RENAME TO TMT_CRI;

CREATE UNIQUE INDEX TCRIX_ENID_XU ON TMT_CRI (ELEMENT_ID ASC,PARENT_ID ASC) TABLESPACE PMO_IDX_64K;
CREATE  INDEX TCRIX_NVID_RK_XX ON TMT_CRI (PARENT_ID ASC,LEVEL_ID ASC,RANK ASC) TABLESPACE PMO_IDX_64K;
CREATE  INDEX TCRIX_PJNWBID_XX ON TMT_CRI (PROJECT_ID ASC,PARENT_ID ASC,WBS_ID ASC)  PCTFREE = 30 TABLESPACE PMO_IDX_64K;
CREATE  INDEX TCRIX_PRK_RK_CX ON TMT_CRI (PARENT_RANK ASC,RANK ASC)  PCTFREE = 30 TABLESPACE PMO_IDX_64K;
CREATE  INDEX TCRIX_TPID_XX ON TMT_CRI (T_PARENT_ID ASC) TABLESPACE PMO_IDX_64K;
CREATE UNIQUE INDEX TCRIX_RK_XU ON TMT_CRI (RANK ASC)  PCTFREE = 30 TABLESPACE PMO_IDX_64K;
CREATE  INDEX CRI_CLIENT_XXX ON TMT_CRI (CLIENT_ID)  PCTFREE = 30 TABLESPACE PMO_IDX_64K;
CREATE  INDEX CRI_DUP_XXX ON TMT_CRI (DUPLICATE_KEY)  PCTFREE = 30 TABLESPACE PMO_IDX_64K;
CREATE  INDEX CRI_SCR_XXX ON TMT_CRI (SCORECARD_ID)  PCTFREE = 30 TABLESPACE PMO_IDX_64K;

DROP TABLE TMT_DOCUMENTS_TMP;
CREATE TABLE TMT_DOCUMENTS_TMP (
	LEVEL_ID NUMBER(10) NOT NULL,
	TYPE_ID NUMBER(10) DEFAULT 0 NOT NULL,
	MAX_RANK NUMBER(19) DEFAULT 0 NOT NULL,
	CHILD_COUNT NUMBER(10) DEFAULT 0 NOT NULL,
	DELETED_COUNT NUMBER(10) DEFAULT 0 NOT NULL,
	ELEMENT_ID VARCHAR2(32),
	ELEMENT_NAME VARCHAR2(255),
	ELEMENT_NUMBER NUMBER(19),
	PROJECT_ID VARCHAR2(32),
	BLOB_ID VARCHAR2(32),
	PARENT_ID VARCHAR2(32),
	PARENT_TYPE_ID NUMBER(5) DEFAULT 0 NOT NULL,
	AUTHOR_ID VARCHAR2(32),
	CREATION_DATE DATE DEFAULT SYSDATE,
	APPROVED_DATE DATE,
	REF_NUMBER VARCHAR2(50),
	AUTHOR_CHECKOUT VARCHAR2(1) DEFAULT 'Y' NOT NULL,
	PUBLISHED_DT TIMESTAMP,
	MINOR_REVISION NUMBER(5) DEFAULT 1 NOT NULL,
	MAJOR_REVISION NUMBER(5) DEFAULT 0 NOT NULL,
	MAX_REVISION NUMBER(5) DEFAULT 0 NOT NULL,
	MAX_REV_REACHED VARCHAR2(1) DEFAULT 'N' NOT NULL,
	ATTACHED_ID VARCHAR2(32),
	LAST_WF_TYPE VARCHAR2(110),
	LAST_WF_BY VARCHAR2(50),
	LAST_WF_DT TIMESTAMP,
	REC_USER VARCHAR2(32),
	REC_STATUS VARCHAR2(1) DEFAULT 'O' NOT NULL,
	REC_DATETIME TIMESTAMP DEFAULT SYSTIMESTAMP NOT NULL,
	RANK VARCHAR2(192),
	PARENT_RANK VARCHAR2(192),
	KEYWORDS VARCHAR2(255),
	LAST_CHECKIN TIMESTAMP,
	REVISION_TYPE NUMBER(10) DEFAULT 4768,
	REVISION_IMPACT NUMBER(10) DEFAULT 137,
	REVISION_HISTORY CLOB DEFAULT 'CREATED',
	SCORECARD_ID VARCHAR2(32),
	SCORE NUMBER(5) DEFAULT 0,
	WEIGHT NUMBER(5) DEFAULT 1,
	CONVERTED_SCORE NUMBER(19) DEFAULT 0,
	CONVERTED_WEIGHT NUMBER(19) DEFAULT 1,
	ACTIVE VARCHAR2(1) DEFAULT '1' NOT NULL,
	LOCAL_FOLDER VARCHAR2(550),
	RTF_BITS NUMBER(5) DEFAULT 0,
	PRIORITY NUMBER(5) DEFAULT 500,
	SCOPE_RANK_ID NUMBER(5) DEFAULT 729,
	STAGE_ID NUMBER(10) DEFAULT 4953,
	TEMP_FOLDER VARCHAR2(550),
	LOCAL_MACHINE VARCHAR2(550),
	DOCUMENT_SIZE NUMBER(10) DEFAULT 0,
	COMPRESSED_SIZE NUMBER(10) DEFAULT 0,
	PUBLISHED VARCHAR2(1) DEFAULT 'N' NOT NULL,
	ASSIGN_NAMES VARCHAR2(2048),
	SUMMARY VARCHAR2(1024),
	PREVIOUS_WKF_STEP VARCHAR2(150),
	PRIVATE VARCHAR2(1) DEFAULT 'N',
	VISIBLE_AT_PARENT VARCHAR2(1) DEFAULT 'Y',
	LINK_DOC VARCHAR2(1) DEFAULT 'N' NOT NULL,
	T_PARENT_ID VARCHAR2(32),
	T_RANK VARCHAR2(192),
	RUP_LINK VARCHAR2(1) DEFAULT '0' NOT NULL
)
TABLESPACE PMO_DATA_64K
LOB(REVISION_HISTORY ) STORE AS LOBC_TMT_DOCUMENTS(TABLESPACE PMO_LOB_64K);

--INSERT INTO TMT_DOCUMENTS_TMP SELECT * FROM TMT_DOCUMENTS;
INSERT INTO TMT_DOCUMENTS_TMP
	(LEVEL_ID,
	TYPE_ID,
	MAX_RANK,
	CHILD_COUNT,
	DELETED_COUNT,
	ELEMENT_ID,
	ELEMENT_NAME,
	ELEMENT_NUMBER,
	PROJECT_ID,
	BLOB_ID,
	PARENT_ID,
	PARENT_TYPE_ID,
	AUTHOR_ID,
	CREATION_DATE,
	APPROVED_DATE,
	REF_NUMBER,
	AUTHOR_CHECKOUT,
	PUBLISHED_DT,
	MINOR_REVISION,
	MAJOR_REVISION,
	MAX_REVISION,
	MAX_REV_REACHED,
	ATTACHED_ID,
	LAST_WF_TYPE,
	LAST_WF_BY,
	LAST_WF_DT,
	REC_USER,
	REC_STATUS,
	REC_DATETIME,
	RANK,
	PARENT_RANK,
	KEYWORDS,
	LAST_CHECKIN,
	REVISION_TYPE,
	REVISION_IMPACT,
	REVISION_HISTORY,
	SCORECARD_ID,
	SCORE,
	WEIGHT,
	CONVERTED_SCORE,
	CONVERTED_WEIGHT,
	ACTIVE,
	LOCAL_FOLDER,
	RTF_BITS,
	PRIORITY,
	SCOPE_RANK_ID,
	STAGE_ID,
	TEMP_FOLDER,
	LOCAL_MACHINE,
	DOCUMENT_SIZE,
	COMPRESSED_SIZE,
	PUBLISHED,
	ASSIGN_NAMES,
	SUMMARY,
	PREVIOUS_WKF_STEP,
	PRIVATE,
	VISIBLE_AT_PARENT,
	LINK_DOC,
	T_PARENT_ID,
	T_RANK,
	RUP_LINK)
SELECT
	LEVEL_ID,
	TYPE_ID,
	MAX_RANK,
	CHILD_COUNT,
	DELETED_COUNT,
	ELEMENT_ID,
	ELEMENT_NAME,
	ELEMENT_NUMBER,
	PROJECT_ID,
	BLOB_ID,
	PARENT_ID,
	PARENT_TYPE_ID,
	AUTHOR_ID,
	CREATION_DATE,
	APPROVED_DATE,
	REF_NUMBER,
	AUTHOR_CHECKOUT,
	PUBLISHED_DT,
	MINOR_REVISION,
	MAJOR_REVISION,
	MAX_REVISION,
	MAX_REV_REACHED,
	ATTACHED_ID,
	LAST_WF_TYPE,
	LAST_WF_BY,
	LAST_WF_DT,
	REC_USER,
	REC_STATUS,
	REC_DATETIME,
	RANK,
	PARENT_RANK,
	KEYWORDS,
	LAST_CHECKIN,
	REVISION_TYPE,
	REVISION_IMPACT,
	REVISION_HISTORY,
	SCORECARD_ID,
	SCORE,
	WEIGHT,
	CONVERTED_SCORE,
	CONVERTED_WEIGHT,
	ACTIVE,
	LOCAL_FOLDER,
	RTF_BITS,
	PRIORITY,
	SCOPE_RANK_ID,
	STAGE_ID,
	TEMP_FOLDER,
	LOCAL_MACHINE,
	DOCUMENT_SIZE,
	COMPRESSED_SIZE,
	PUBLISHED,
	ASSIGN_NAMES,
	SUMMARY,
	PREVIOUS_WKF_STEP,
	PRIVATE,
	VISIBLE_AT_PARENT,
	LINK_DOC,
	T_PARENT_ID,
	T_RANK,
	RUP_LINK
FROM TMT_DOCUMENTS;

DROP INDEX TDCMT_ENID_XU;
DROP INDEX TDCMT_PJNWBID_XX;
DROP INDEX TDCMT_PRK_RK_CX;
DROP INDEX TDCM_TPID_XX;
DROP INDEX TDCM_BLBL_XX;
DROP INDEX TDCMT_RK_XU;
DROP INDEX TDOCTS_NID_XX;

DROP TABLE TMT_DOCUMENTS_OLD;
ALTER TABLE TMT_DOCUMENTS RENAME TO TMT_DOCUMENTS_OLD;
ALTER TABLE TMT_DOCUMENTS_TMP RENAME TO TMT_DOCUMENTS;


CREATE UNIQUE INDEX TDCMT_ENID_XU ON TMT_DOCUMENTS (ELEMENT_ID ASC,PARENT_ID ASC)  TABLESPACE PMO_IDX_64K;
CREATE  INDEX TDCMT_PJNWBID_XX ON TMT_DOCUMENTS (PROJECT_ID ASC,PARENT_ID ASC)  PCTFREE = 30  TABLESPACE PMO_IDX_64K;
CREATE  INDEX TDCMT_PRK_RK_CX ON TMT_DOCUMENTS (PARENT_RANK ASC,RANK ASC)  PCTFREE = 30 TABLESPACE PMO_IDX_64K;
CREATE  INDEX TDCM_TPID_XX ON TMT_DOCUMENTS (T_PARENT_ID ASC)  TABLESPACE PMO_IDX_64K;
CREATE  INDEX TDCM_BLBL_XX ON TMT_DOCUMENTS (BLOB_ID,LINK_DOC)  TABLESPACE PMO_IDX_64K;
CREATE UNIQUE INDEX TDCMT_RK_XU ON TMT_DOCUMENTS (RANK ASC)  PCTFREE = 30  TABLESPACE PMO_IDX_64K;
CREATE  INDEX TDOCTS_NID_XX ON TMT_DOCUMENTS (PARENT_ID,LEVEL_ID)  PCTFREE = 30 TABLESPACE PMO_IDX_64K;


DROP TABLE TMT_POOL_DOCUMENTS_TMP;
CREATE TABLE TMT_POOL_DOCUMENTS_TMP (
	LEVEL_ID NUMBER(10) NOT NULL,
	TYPE_ID NUMBER(10) DEFAULT 0 NOT NULL,
	MAX_RANK NUMBER(19) DEFAULT 0 NOT NULL,
	CHILD_COUNT NUMBER(10) DEFAULT 0 NOT NULL,
	DELETED_COUNT NUMBER(10) DEFAULT 0 NOT NULL,
	ELEMENT_ID VARCHAR2(32),
	ELEMENT_NAME VARCHAR2(255),
	ELEMENT_NUMBER NUMBER(19),
	PROJECT_ID VARCHAR2(32),
	BLOB_ID VARCHAR2(32),
	PARENT_ID VARCHAR2(32),
	PARENT_TYPE_ID NUMBER(5) DEFAULT 0 NOT NULL,
	AUTHOR_ID VARCHAR2(32),
	CREATION_DATE DATE DEFAULT SYSDATE,
	APPROVED_DATE DATE,
	REF_NUMBER VARCHAR2(50),
	AUTHOR_CHECKOUT VARCHAR2(1) DEFAULT 'Y' NOT NULL,
	PUBLISHED_DT TIMESTAMP,
	MINOR_REVISION NUMBER(5) DEFAULT 1 NOT NULL,
	MAJOR_REVISION NUMBER(5) DEFAULT 0 NOT NULL,
	MAX_REVISION NUMBER(5) DEFAULT 0 NOT NULL,
	MAX_REV_REACHED VARCHAR2(1) DEFAULT 'N' NOT NULL,
	ATTACHED_ID VARCHAR2(32),
	LAST_WF_TYPE VARCHAR2(110),
	LAST_WF_BY VARCHAR2(50),
	LAST_WF_DT TIMESTAMP,
	REC_USER VARCHAR2(32),
	REC_STATUS VARCHAR2(1) DEFAULT 'O' NOT NULL,
	REC_DATETIME TIMESTAMP DEFAULT SYSTIMESTAMP NOT NULL,
	RANK VARCHAR2(192),
	PARENT_RANK VARCHAR2(192),
	KEYWORDS VARCHAR2(255),
	LAST_CHECKIN TIMESTAMP,
	REVISION_TYPE NUMBER(10) DEFAULT 4768,
	REVISION_IMPACT NUMBER(10) DEFAULT 137,
	REVISION_HISTORY CLOB DEFAULT 'CREATED',
	SCORECARD_ID VARCHAR2(32),
	SCORE NUMBER(5) DEFAULT 0,
	WEIGHT NUMBER(5) DEFAULT 1,
	CONVERTED_SCORE NUMBER(19) DEFAULT 0,
	CONVERTED_WEIGHT NUMBER(19) DEFAULT 1,
	ACTIVE VARCHAR2(1) DEFAULT '1' NOT NULL,
	LOCAL_FOLDER VARCHAR2(550),
	RTF_BITS NUMBER(5) DEFAULT 0,
	PRIORITY NUMBER(5) DEFAULT 500,
	SCOPE_RANK_ID NUMBER(5) DEFAULT 5427,
	STAGE_ID NUMBER(10) DEFAULT 4953,
	TEMP_FOLDER VARCHAR2(550),
	LOCAL_MACHINE VARCHAR2(550),
	DOCUMENT_SIZE NUMBER(10) DEFAULT 0,
	COMPRESSED_SIZE NUMBER(10) DEFAULT 0,
	PUBLISHED VARCHAR2(1) DEFAULT 'N' NOT NULL,
	ASSIGN_NAMES VARCHAR2(2048),
	SUMMARY VARCHAR2(1024),
	PREVIOUS_WKF_STEP VARCHAR2(150),
	PRIVATE VARCHAR2(1) DEFAULT 'N',
	VISIBLE_AT_PARENT VARCHAR2(1) DEFAULT 'Y',
	LINK_DOC VARCHAR2(1) DEFAULT 'N' NOT NULL
)
TABLESPACE PMO_DATA_64K
LOB(REVISION_HISTORY ) STORE AS LOBC_TMT_POOL_DOCUMENTS(TABLESPACE PMO_LOB_64K);

--INSERT INTO TMT_POOL_DOCUMENTS_TMP SELECT * FROM TMT_POOL_DOCUMENTS;
INSERT INTO TMT_POOL_DOCUMENTS_TMP
	(LEVEL_ID,
	TYPE_ID,
	MAX_RANK,
	CHILD_COUNT,
	DELETED_COUNT,
	ELEMENT_ID,
	ELEMENT_NAME,
	ELEMENT_NUMBER,
	PROJECT_ID,
	BLOB_ID,
	PARENT_ID,
	PARENT_TYPE_ID,
	AUTHOR_ID,
	CREATION_DATE,
	APPROVED_DATE,
	REF_NUMBER,
	AUTHOR_CHECKOUT,
	PUBLISHED_DT,
	MINOR_REVISION,
	MAJOR_REVISION,
	MAX_REVISION,
	MAX_REV_REACHED,
	ATTACHED_ID,
	LAST_WF_TYPE,
	LAST_WF_BY,
	LAST_WF_DT,
	REC_USER,
	REC_STATUS,
	REC_DATETIME,
	RANK,
	PARENT_RANK,
	KEYWORDS,
	LAST_CHECKIN,
	REVISION_TYPE,
	REVISION_IMPACT,
	REVISION_HISTORY,
	SCORECARD_ID,
	SCORE,
	WEIGHT,
	CONVERTED_SCORE,
	CONVERTED_WEIGHT,
	ACTIVE,
	LOCAL_FOLDER,
	RTF_BITS,
	PRIORITY,
	SCOPE_RANK_ID,
	STAGE_ID,
	TEMP_FOLDER,
	LOCAL_MACHINE,
	DOCUMENT_SIZE,
	COMPRESSED_SIZE,
	PUBLISHED,
	ASSIGN_NAMES,
	SUMMARY,
	PREVIOUS_WKF_STEP,
	PRIVATE,
	VISIBLE_AT_PARENT,
	LINK_DOC)
SELECT
	LEVEL_ID,
	TYPE_ID,
	MAX_RANK,
	CHILD_COUNT,
	DELETED_COUNT,
	ELEMENT_ID,
	ELEMENT_NAME,
	ELEMENT_NUMBER,
	PROJECT_ID,
	BLOB_ID,
	PARENT_ID,
	PARENT_TYPE_ID,
	AUTHOR_ID,
	CREATION_DATE,
	APPROVED_DATE,
	REF_NUMBER,
	AUTHOR_CHECKOUT,
	PUBLISHED_DT,
	MINOR_REVISION,
	MAJOR_REVISION,
	MAX_REVISION,
	MAX_REV_REACHED,
	ATTACHED_ID,
	LAST_WF_TYPE,
	LAST_WF_BY,
	LAST_WF_DT,
	REC_USER,
	REC_STATUS,
	REC_DATETIME,
	RANK,
	PARENT_RANK,
	KEYWORDS,
	LAST_CHECKIN,
	REVISION_TYPE,
	REVISION_IMPACT,
	REVISION_HISTORY,
	SCORECARD_ID,
	SCORE,
	WEIGHT,
	CONVERTED_SCORE,
	CONVERTED_WEIGHT,
	ACTIVE,
	LOCAL_FOLDER,
	RTF_BITS,
	PRIORITY,
	SCOPE_RANK_ID,
	STAGE_ID,
	TEMP_FOLDER,
	LOCAL_MACHINE,
	DOCUMENT_SIZE,
	COMPRESSED_SIZE,
	PUBLISHED,
	ASSIGN_NAMES,
	SUMMARY,
	PREVIOUS_WKF_STEP,
	PRIVATE,
	VISIBLE_AT_PARENT,
	LINK_DOC
FROM TMT_POOL_DOCUMENTS;

DROP INDEX POOLDOC_ENID_XU;
DROP INDEX POOLDOC_PJNWBID_XX;
DROP INDEX POOLDOC_PRK_RK_CX;
DROP INDEX POOLDOC_RK_XU;
DROP INDEX TPOOCUM_NID_XX;

DROP TABLE TMT_POOL_DOCUMENTS_OLD;
ALTER TABLE TMT_POOL_DOCUMENTS RENAME TO TMT_POOL_DOCUMENTS_OLD;
ALTER TABLE TMT_POOL_DOCUMENTS_TMP RENAME TO TMT_POOL_DOCUMENTS;

CREATE UNIQUE INDEX POOLDOC_ENID_XU ON TMT_POOL_DOCUMENTS (ELEMENT_ID ASC,PARENT_ID ASC) TABLESPACE PMO_IDX_64K;
CREATE  INDEX POOLDOC_PJNWBID_XX ON TMT_POOL_DOCUMENTS (PROJECT_ID ASC,PARENT_ID ASC)  PCTFREE = 30 TABLESPACE PMO_IDX_64K;
CREATE  INDEX POOLDOC_PRK_RK_CX ON TMT_POOL_DOCUMENTS (PARENT_RANK ASC,RANK ASC)  PCTFREE = 30 TABLESPACE PMO_IDX_64K;
CREATE UNIQUE INDEX POOLDOC_RK_XU ON TMT_POOL_DOCUMENTS (RANK ASC)  PCTFREE = 30 TABLESPACE PMO_IDX_64K;
CREATE  INDEX TPOOCUM_NID_XX ON TMT_POOL_DOCUMENTS (PARENT_ID)  PCTFREE = 30 TABLESPACE PMO_IDX_64K;

DROP TABLE TMT_RESOURCE_DOCUMENTS_TMP;
CREATE TABLE TMT_RESOURCE_DOCUMENTS_TMP (
	LEVEL_ID NUMBER(10) NOT NULL,
	TYPE_ID NUMBER(10) DEFAULT 0 NOT NULL,
	MAX_RANK NUMBER(19) DEFAULT 0 NOT NULL,
	CHILD_COUNT NUMBER(10) DEFAULT 0 NOT NULL,
	DELETED_COUNT NUMBER(10) DEFAULT 0 NOT NULL,
	ELEMENT_ID VARCHAR2(32),
	ELEMENT_NAME VARCHAR2(255),
	ELEMENT_NUMBER NUMBER(19),
	PROJECT_ID VARCHAR2(32),
	BLOB_ID VARCHAR2(32),
	PARENT_ID VARCHAR2(32),
	PARENT_TYPE_ID NUMBER(5) DEFAULT 0 NOT NULL,
	AUTHOR_ID VARCHAR2(32),
	CREATION_DATE DATE DEFAULT SYSDATE,
	APPROVED_DATE DATE,
	REF_NUMBER VARCHAR2(50),
	AUTHOR_CHECKOUT VARCHAR2(1) DEFAULT 'Y' NOT NULL,
	PUBLISHED_DT TIMESTAMP,
	MINOR_REVISION NUMBER(5) DEFAULT 1 NOT NULL,
	MAJOR_REVISION NUMBER(5) DEFAULT 0 NOT NULL,
	MAX_REVISION NUMBER(5) DEFAULT 0 NOT NULL,
	MAX_REV_REACHED VARCHAR2(1) DEFAULT 'N' NOT NULL,
	ATTACHED_ID VARCHAR2(32),
	LAST_WF_TYPE VARCHAR2(110),
	LAST_WF_BY VARCHAR2(50),
	LAST_WF_DT TIMESTAMP,
	REC_USER VARCHAR2(32),
	REC_STATUS VARCHAR2(1) DEFAULT 'O' NOT NULL,
	REC_DATETIME TIMESTAMP DEFAULT SYSTIMESTAMP NOT NULL,
	RANK VARCHAR2(192),
	PARENT_RANK VARCHAR2(192),
	KEYWORDS VARCHAR2(255),
	LAST_CHECKIN TIMESTAMP,
	REVISION_TYPE NUMBER(10) DEFAULT 4768,
	REVISION_IMPACT NUMBER(10) DEFAULT 137,
	REVISION_HISTORY CLOB DEFAULT 'CREATED',
	SCORECARD_ID VARCHAR2(32),
	SCORE NUMBER(5) DEFAULT 0,
	WEIGHT NUMBER(5) DEFAULT 1,
	CONVERTED_SCORE NUMBER(19) DEFAULT 0,
	CONVERTED_WEIGHT NUMBER(19) DEFAULT 1,
	ACTIVE VARCHAR2(1) DEFAULT '1' NOT NULL,
	LOCAL_FOLDER VARCHAR2(550),
	RTF_BITS NUMBER(5) DEFAULT 0,
	PRIORITY NUMBER(5) DEFAULT 500,
	SCOPE_RANK_ID NUMBER(5) DEFAULT 0,
	STAGE_ID NUMBER(10) DEFAULT 4852,
	TEMP_FOLDER VARCHAR2(550),
	LOCAL_MACHINE VARCHAR2(550),
	DOCUMENT_SIZE NUMBER(10) DEFAULT 0,
	COMPRESSED_SIZE NUMBER(10) DEFAULT 0,
	PUBLISHED VARCHAR2(1) DEFAULT 'N' NOT NULL,
	ASSIGN_NAMES VARCHAR2(2048),
	SUMMARY VARCHAR2(1024),
	PREVIOUS_WKF_STEP VARCHAR2(150),
	PRIVATE VARCHAR2(1) DEFAULT 'N',
	VISIBLE_AT_PARENT VARCHAR2(1) DEFAULT 'Y',
	LINK_DOC VARCHAR2(1) DEFAULT 'N' NOT NULL
)
TABLESPACE PMO_DATA_64K
LOB(REVISION_HISTORY ) STORE AS LOBC_TMT_RESOURCE_DOCUMENTS(TABLESPACE PMO_LOB_64K);

--INSERT INTO TMT_RESOURCE_DOCUMENTS_TMP SELECT * FROM TMT_RESOURCE_DOCUMENTS;
INSERT INTO TMT_RESOURCE_DOCUMENTS_TMP
	(LEVEL_ID,
	TYPE_ID,
	MAX_RANK,
	CHILD_COUNT,
	DELETED_COUNT,
	ELEMENT_ID,
	ELEMENT_NAME,
	ELEMENT_NUMBER,
	PROJECT_ID,
	BLOB_ID,
	PARENT_ID,
	PARENT_TYPE_ID,
	AUTHOR_ID,
	CREATION_DATE,
	APPROVED_DATE,
	REF_NUMBER,
	AUTHOR_CHECKOUT,
	PUBLISHED_DT,
	MINOR_REVISION,
	MAJOR_REVISION,
	MAX_REVISION,
	MAX_REV_REACHED,
	ATTACHED_ID,
	LAST_WF_TYPE,
	LAST_WF_BY,
	LAST_WF_DT,
	REC_USER,
	REC_STATUS,
	REC_DATETIME,
	RANK,
	PARENT_RANK,
	KEYWORDS,
	LAST_CHECKIN,
	REVISION_TYPE,
	REVISION_IMPACT,
	REVISION_HISTORY,
	SCORECARD_ID,
	SCORE,
	WEIGHT,
	CONVERTED_SCORE,
	CONVERTED_WEIGHT,
	ACTIVE,
	LOCAL_FOLDER,
	RTF_BITS,
	PRIORITY,
	SCOPE_RANK_ID,
	STAGE_ID,
	TEMP_FOLDER,
	LOCAL_MACHINE,
	DOCUMENT_SIZE,
	COMPRESSED_SIZE,
	PUBLISHED,
	ASSIGN_NAMES,
	SUMMARY,
	PREVIOUS_WKF_STEP,
	PRIVATE,
	VISIBLE_AT_PARENT,
	LINK_DOC)
SELECT 
	LEVEL_ID,
	TYPE_ID,
	MAX_RANK,
	CHILD_COUNT,
	DELETED_COUNT,
	ELEMENT_ID,
	ELEMENT_NAME,
	ELEMENT_NUMBER,
	PROJECT_ID,
	BLOB_ID,
	PARENT_ID,
	PARENT_TYPE_ID,
	AUTHOR_ID,
	CREATION_DATE,
	APPROVED_DATE,
	REF_NUMBER,
	AUTHOR_CHECKOUT,
	PUBLISHED_DT,
	MINOR_REVISION,
	MAJOR_REVISION,
	MAX_REVISION,
	MAX_REV_REACHED,
	ATTACHED_ID,
	LAST_WF_TYPE,
	LAST_WF_BY,
	LAST_WF_DT,
	REC_USER,
	REC_STATUS,
	REC_DATETIME,
	RANK,
	PARENT_RANK,
	KEYWORDS,
	LAST_CHECKIN,
	REVISION_TYPE,
	REVISION_IMPACT,
	REVISION_HISTORY,
	SCORECARD_ID,
	SCORE,
	WEIGHT,
	CONVERTED_SCORE,
	CONVERTED_WEIGHT,
	ACTIVE,
	LOCAL_FOLDER,
	RTF_BITS,
	PRIORITY,
	SCOPE_RANK_ID,
	STAGE_ID,
	TEMP_FOLDER,
	LOCAL_MACHINE,
	DOCUMENT_SIZE,
	COMPRESSED_SIZE,
	PUBLISHED,
	ASSIGN_NAMES,
	SUMMARY,
	PREVIOUS_WKF_STEP,
	PRIVATE,
	VISIBLE_AT_PARENT,
	LINK_DOC
FROM TMT_RESOURCE_DOCUMENTS;

DROP INDEX TRD_EID_XU;
DROP INDEX TRD_PJNWBID_XX;
DROP INDEX TRD_PRK_RK_CX;
DROP INDEX TRD_RK_XU;
DROP INDEX TRESE_D_NID_XX;

DROP TABLE TMT_RESOURCE_DOCUMENTS_OLD;
ALTER TABLE TMT_RESOURCE_DOCUMENTS RENAME TO TMT_RESOURCE_DOCUMENTS_OLD;
ALTER TABLE TMT_RESOURCE_DOCUMENTS_TMP RENAME TO TMT_RESOURCE_DOCUMENTS;

CREATE UNIQUE INDEX TRD_EID_XU ON TMT_RESOURCE_DOCUMENTS (ELEMENT_ID ASC,PARENT_ID ASC) TABLESPACE PMO_IDX_64K;
CREATE  INDEX TRD_PJNWBID_XX ON TMT_RESOURCE_DOCUMENTS (PROJECT_ID ASC,PARENT_ID ASC)  PCTFREE = 30 TABLESPACE PMO_IDX_64K;
CREATE  INDEX TRD_PRK_RK_CX ON TMT_RESOURCE_DOCUMENTS (PARENT_RANK ASC,RANK ASC)  PCTFREE = 30 TABLESPACE PMO_IDX_64K;
CREATE UNIQUE INDEX TRD_RK_XU ON TMT_RESOURCE_DOCUMENTS (RANK ASC)  PCTFREE = 30 TABLESPACE PMO_IDX_64K;
CREATE  INDEX TRESE_D_NID_XX ON TMT_RESOURCE_DOCUMENTS (PARENT_ID)  PCTFREE = 30 TABLESPACE PMO_IDX_64K;

DROP TABLE TMT_VENDORS_TMP;
CREATE TABLE TMT_VENDORS_TMP (
	LEVEL_ID NUMBER(10) NOT NULL,
	TYPE_ID NUMBER(10) DEFAULT 0 NOT NULL,
	MAX_RANK NUMBER(10) DEFAULT 0 NOT NULL,
	CHILD_COUNT NUMBER(10) DEFAULT 0 NOT NULL,
	DELETED_COUNT NUMBER(10) DEFAULT 0 NOT NULL,
	ELEMENT_ID VARCHAR2(32),
	ELEMENT_NAME VARCHAR2(50),
	PARENT_ID VARCHAR2(32),
	REC_USER VARCHAR2(32),
	REC_STATUS VARCHAR2(1) DEFAULT 'O' NOT NULL,
	REC_DATETIME TIMESTAMP DEFAULT SYSTIMESTAMP NOT NULL,
	LABEL VARCHAR2(50),
	DESCRIPTION VARCHAR2(4000),
	DEFAULT_FLAG VARCHAR2(1),
	RANK VARCHAR2(128) NOT NULL,
	DOMAIN_ID VARCHAR2(32),
	MANAGER_ID VARCHAR2(32),
	COMPANY_NAME VARCHAR2(50),
	ADDRESS VARCHAR2(255),
	PHONE VARCHAR2(25),
	FAX VARCHAR2(25),
	WEBSITE VARCHAR2(255),
	CONTACT_NAME VARCHAR2(50),
	OTHER_LOCATION VARCHAR2(255),
	YEAR_IN_BUSINESS NUMBER(10),
	CLIENT_MORE_100_EMPLOYEES NUMBER(10),
	CLIENT_MORE_1000_EMPLOYEES NUMBER(10),
	CLIENT_MORE_10000_EMPLOYEES NUMBER(10),
	NUMBER_EMPLOYEES NUMBER(10),
	ANNUAL_REVENUES NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	BILLING_ADDRESS VARCHAR2(255),
	BILLING_PHONE VARCHAR2(25),
	BILLING_FAX VARCHAR2(25),
	BILLING_EMAIL VARCHAR2(50),
	EQUAL_OPPORTUNITY VARCHAR2(1),
	MAJOR_REVISION NUMBER(5) DEFAULT 0 NOT NULL,
	MINOR_REVISION NUMBER(5) DEFAULT 1 NOT NULL,
	REVISION_IMPACT NUMBER(10) DEFAULT 137,
	REVISION_TYPE NUMBER(10) DEFAULT 920,
	REVISION_HISTORY CLOB DEFAULT 'CREATED',
	PUBLIC_FLAG VARCHAR2(1) DEFAULT '0' NOT NULL,
	COMPANY_BACKGROUND VARCHAR2(3000),
	OWNERSHIP VARCHAR2(3000),
	SERVICES_OFFERED VARCHAR2(3000),
	SERVICES_SPECIALIZED VARCHAR2(3000),
	INDUSTRIES_SERVED VARCHAR2(3000),
	HIGHLIGHT VARCHAR2(3000),
	LOCATION_SERVED VARCHAR2(3000),
	DOC_COUNT NUMBER(10) DEFAULT 0
)
TABLESPACE PMO_DATA_64K
LOB(REVISION_HISTORY ) STORE AS LOBC_TMT_VENDORS(TABLESPACE PMO_LOB_64K);

--INSERT INTO TMT_VENDORS_TMP SELECT * FROM TMT_VENDORS;
INSERT INTO TMT_VENDORS_TMP
	(LEVEL_ID,
	TYPE_ID,
	MAX_RANK,
	CHILD_COUNT,
	DELETED_COUNT,
	ELEMENT_ID,
	ELEMENT_NAME,
	PARENT_ID,
	REC_USER,
	REC_STATUS,
	REC_DATETIME,
	LABEL,
	DESCRIPTION,
	DEFAULT_FLAG,
	RANK,
	DOMAIN_ID,
	MANAGER_ID,
	COMPANY_NAME,
	ADDRESS,
	PHONE,
	FAX,
	WEBSITE,
	CONTACT_NAME,
	OTHER_LOCATION,
	YEAR_IN_BUSINESS,
	CLIENT_MORE_100_EMPLOYEES,
	CLIENT_MORE_1000_EMPLOYEES,
	CLIENT_MORE_10000_EMPLOYEES,
	NUMBER_EMPLOYEES,
	ANNUAL_REVENUES,
	BILLING_ADDRESS,
	BILLING_PHONE,
	BILLING_FAX,
	BILLING_EMAIL,
	EQUAL_OPPORTUNITY,
	MAJOR_REVISION,
	MINOR_REVISION,
	REVISION_IMPACT,
	REVISION_TYPE,
	REVISION_HISTORY,
	PUBLIC_FLAG,
	COMPANY_BACKGROUND,
	OWNERSHIP,
	SERVICES_OFFERED,
	SERVICES_SPECIALIZED,
	INDUSTRIES_SERVED,
	HIGHLIGHT,
	LOCATION_SERVED,
	DOC_COUNT)
SELECT
	LEVEL_ID,
	TYPE_ID,
	MAX_RANK,
	CHILD_COUNT,
	DELETED_COUNT,
	ELEMENT_ID,
	ELEMENT_NAME,
	PARENT_ID,
	REC_USER,
	REC_STATUS,
	REC_DATETIME,
	LABEL,
	DESCRIPTION,
	DEFAULT_FLAG,
	RANK,
	DOMAIN_ID,
	MANAGER_ID,
	COMPANY_NAME,
	ADDRESS,
	PHONE,
	FAX,
	WEBSITE,
	CONTACT_NAME,
	OTHER_LOCATION,
	YEAR_IN_BUSINESS,
	CLIENT_MORE_100_EMPLOYEES,
	CLIENT_MORE_1000_EMPLOYEES,
	CLIENT_MORE_10000_EMPLOYEES,
	NUMBER_EMPLOYEES,
	ANNUAL_REVENUES,
	BILLING_ADDRESS,
	BILLING_PHONE,
	BILLING_FAX,
	BILLING_EMAIL,
	EQUAL_OPPORTUNITY,
	MAJOR_REVISION,
	MINOR_REVISION,
	REVISION_IMPACT,
	REVISION_TYPE,
	REVISION_HISTORY,
	PUBLIC_FLAG,
	COMPANY_BACKGROUND,
	OWNERSHIP,
	SERVICES_OFFERED,
	SERVICES_SPECIALIZED,
	INDUSTRIES_SERVED,
	HIGHLIGHT,
	LOCATION_SERVED,
	DOC_COUNT
FROM TMT_VENDORS;

DROP INDEX TVENDOR_ENID_XU;
DROP INDEX TVENDOR_RK_CU;
DROP INDEX TVEN_NID_XX;

DROP TABLE TMT_VENDORS_OLD;
ALTER TABLE TMT_VENDORS RENAME TO TMT_VENDORS_OLD;
ALTER TABLE TMT_VENDORS_TMP RENAME TO TMT_VENDORS;

CREATE UNIQUE INDEX TVENDOR_ENID_XU ON TMT_VENDORS (ELEMENT_ID ASC,PARENT_ID ASC) TABLESPACE PMO_IDX_64K;
CREATE UNIQUE INDEX TVENDOR_RK_CU ON TMT_VENDORS (RANK ASC)  PCTFREE = 30 TABLESPACE PMO_IDX_64K;
CREATE  INDEX TVEN_NID_XX ON TMT_VENDORS (PARENT_ID)  PCTFREE = 30 TABLESPACE PMO_IDX_64K;

DROP TABLE TMT_VENDOR_DOCUMENTS_TMP;
CREATE TABLE TMT_VENDOR_DOCUMENTS_TMP (
	LEVEL_ID NUMBER(10) NOT NULL,
	TYPE_ID NUMBER(10) DEFAULT 0 NOT NULL,
	MAX_RANK NUMBER(19) DEFAULT 0 NOT NULL,
	CHILD_COUNT NUMBER(10) DEFAULT 0 NOT NULL,
	DELETED_COUNT NUMBER(10) DEFAULT 0 NOT NULL,
	ELEMENT_ID VARCHAR2(32),
	ELEMENT_NAME VARCHAR2(255),
	ELEMENT_NUMBER NUMBER(19),
	PROJECT_ID VARCHAR2(32),
	BLOB_ID VARCHAR2(32),
	PARENT_ID VARCHAR2(32),
	PARENT_TYPE_ID NUMBER(5) DEFAULT 0 NOT NULL,
	AUTHOR_ID VARCHAR2(32),
	CREATION_DATE DATE DEFAULT SYSDATE,
	APPROVED_DATE DATE,
	REF_NUMBER VARCHAR2(50),
	AUTHOR_CHECKOUT VARCHAR2(1) DEFAULT 'Y' NOT NULL,
	PUBLISHED_DT TIMESTAMP,
	MINOR_REVISION NUMBER(5) DEFAULT 1 NOT NULL,
	MAJOR_REVISION NUMBER(5) DEFAULT 0 NOT NULL,
	MAX_REVISION NUMBER(5) DEFAULT 0 NOT NULL,
	MAX_REV_REACHED VARCHAR2(1) DEFAULT 'N' NOT NULL,
	ATTACHED_ID VARCHAR2(32),
	LAST_WF_TYPE VARCHAR2(110),
	LAST_WF_BY VARCHAR2(50),
	LAST_WF_DT TIMESTAMP,
	REC_USER VARCHAR2(32),
	REC_STATUS VARCHAR2(1) DEFAULT 'O' NOT NULL,
	REC_DATETIME TIMESTAMP DEFAULT SYSTIMESTAMP NOT NULL,
	RANK VARCHAR2(192),
	PARENT_RANK VARCHAR2(192),
	KEYWORDS VARCHAR2(255),
	LAST_CHECKIN TIMESTAMP,
	REVISION_TYPE NUMBER(10) DEFAULT 4768,
	REVISION_IMPACT NUMBER(10) DEFAULT 137,
	REVISION_HISTORY CLOB DEFAULT 'CREATED',
	SCORECARD_ID VARCHAR2(32),
	SCORE NUMBER(5) DEFAULT 0,
	WEIGHT NUMBER(5) DEFAULT 1,
	CONVERTED_SCORE NUMBER(19) DEFAULT 0,
	CONVERTED_WEIGHT NUMBER(19) DEFAULT 1,
	ACTIVE VARCHAR2(1) DEFAULT '1' NOT NULL,
	LOCAL_FOLDER VARCHAR2(550),
	RTF_BITS NUMBER(5) DEFAULT 0,
	PRIORITY NUMBER(5) DEFAULT 500,
	SCOPE_RANK_ID NUMBER(5) DEFAULT 5427,
	STAGE_ID NUMBER(10) DEFAULT 4953,
	TEMP_FOLDER VARCHAR2(550),
	LOCAL_MACHINE VARCHAR2(550),
	DOCUMENT_SIZE NUMBER(10) DEFAULT 0,
	COMPRESSED_SIZE NUMBER(10) DEFAULT 0,
	PUBLISHED VARCHAR2(1) DEFAULT 'N' NOT NULL,
	ASSIGN_NAMES VARCHAR2(2048),
	SUMMARY VARCHAR2(1024),
	PREVIOUS_WKF_STEP VARCHAR2(150),
	PRIVATE VARCHAR2(1) DEFAULT 'N',
	VISIBLE_AT_PARENT VARCHAR2(1) DEFAULT 'Y',
	LINK_DOC VARCHAR2(1) DEFAULT 'N' NOT NULL
)
TABLESPACE PMO_DATA_64K
LOB(REVISION_HISTORY ) STORE AS LOBC_TMT_VENDOR_DOCUMENTS(TABLESPACE PMO_LOB_64K);


--INSERT INTO TMT_VENDOR_DOCUMENTS_TMP SELECT * FROM TMT_VENDOR_DOCUMENTS;
INSERT INTO TMT_VENDOR_DOCUMENTS_TMP
	(LEVEL_ID,
	TYPE_ID,
	MAX_RANK,
	CHILD_COUNT,
	DELETED_COUNT,
	ELEMENT_ID,
	ELEMENT_NAME,
	ELEMENT_NUMBER,
	PROJECT_ID,
	BLOB_ID,
	PARENT_ID,
	PARENT_TYPE_ID,
	AUTHOR_ID,
	CREATION_DATE,
	APPROVED_DATE,
	REF_NUMBER,
	AUTHOR_CHECKOUT,
	PUBLISHED_DT,
	MINOR_REVISION,
	MAJOR_REVISION,
	MAX_REVISION,
	MAX_REV_REACHED,
	ATTACHED_ID,
	LAST_WF_TYPE,
	LAST_WF_BY,
	LAST_WF_DT,
	REC_USER,
	REC_STATUS,
	REC_DATETIME,
	RANK,
	PARENT_RANK,
	KEYWORDS,
	LAST_CHECKIN,
	REVISION_TYPE,
	REVISION_IMPACT,
	REVISION_HISTORY,
	SCORECARD_ID,
	SCORE,
	WEIGHT,
	CONVERTED_SCORE,
	CONVERTED_WEIGHT,
	ACTIVE,
	LOCAL_FOLDER,
	RTF_BITS,
	PRIORITY,
	SCOPE_RANK_ID,
	STAGE_ID,
	TEMP_FOLDER,
	LOCAL_MACHINE,
	DOCUMENT_SIZE,
	COMPRESSED_SIZE,
	PUBLISHED,
	ASSIGN_NAMES,
	SUMMARY,
	PREVIOUS_WKF_STEP,
	PRIVATE,
	VISIBLE_AT_PARENT,
	LINK_DOC)
SELECT
	LEVEL_ID,
	TYPE_ID,
	MAX_RANK,
	CHILD_COUNT,
	DELETED_COUNT,
	ELEMENT_ID,
	ELEMENT_NAME,
	ELEMENT_NUMBER,
	PROJECT_ID,
	BLOB_ID,
	PARENT_ID,
	PARENT_TYPE_ID,
	AUTHOR_ID,
	CREATION_DATE,
	APPROVED_DATE,
	REF_NUMBER,
	AUTHOR_CHECKOUT,
	PUBLISHED_DT,
	MINOR_REVISION,
	MAJOR_REVISION,
	MAX_REVISION,
	MAX_REV_REACHED,
	ATTACHED_ID,
	LAST_WF_TYPE,
	LAST_WF_BY,
	LAST_WF_DT,
	REC_USER,
	REC_STATUS,
	REC_DATETIME,
	RANK,
	PARENT_RANK,
	KEYWORDS,
	LAST_CHECKIN,
	REVISION_TYPE,
	REVISION_IMPACT,
	REVISION_HISTORY,
	SCORECARD_ID,
	SCORE,
	WEIGHT,
	CONVERTED_SCORE,
	CONVERTED_WEIGHT,
	ACTIVE,
	LOCAL_FOLDER,
	RTF_BITS,
	PRIORITY,
	SCOPE_RANK_ID,
	STAGE_ID,
	TEMP_FOLDER,
	LOCAL_MACHINE,
	DOCUMENT_SIZE,
	COMPRESSED_SIZE,
	PUBLISHED,
	ASSIGN_NAMES,
	SUMMARY,
	PREVIOUS_WKF_STEP,
	PRIVATE,
	VISIBLE_AT_PARENT,
	LINK_DOC
FROM TMT_VENDOR_DOCUMENTS;

DROP INDEX VENDOC_ENID_XU;
DROP INDEX VENDOC_PJNWBID_XX;
DROP INDEX VENDOC_PRK_RK_CX;
DROP INDEX VENDOC_RK_XU;
DROP INDEX TVENDOC_NID_XX;


DROP TABLE TMT_VENDOR_DOCUMENTS_OLD;
ALTER TABLE TMT_VENDOR_DOCUMENTS RENAME TO TMT_VENDOR_DOCUMENTS_OLD;
ALTER TABLE TMT_VENDOR_DOCUMENTS_TMP RENAME TO TMT_VENDOR_DOCUMENTS;

CREATE UNIQUE INDEX VENDOC_ENID_XU ON TMT_VENDOR_DOCUMENTS (ELEMENT_ID ASC,PARENT_ID ASC) TABLESPACE PMO_IDX_64K;
CREATE  INDEX VENDOC_PJNWBID_XX ON TMT_VENDOR_DOCUMENTS (PROJECT_ID ASC,PARENT_ID ASC)  PCTFREE = 30 TABLESPACE PMO_IDX_64K;
CREATE  INDEX VENDOC_PRK_RK_CX ON TMT_VENDOR_DOCUMENTS (PARENT_RANK ASC,RANK ASC)  PCTFREE = 30 TABLESPACE PMO_IDX_64K;
CREATE UNIQUE INDEX VENDOC_RK_XU ON TMT_VENDOR_DOCUMENTS (RANK ASC)  PCTFREE = 30 TABLESPACE PMO_IDX_64K;
CREATE  INDEX TVENDOC_NID_XX ON TMT_VENDOR_DOCUMENTS (PARENT_ID)  PCTFREE = 30 TABLESPACE PMO_IDX_64K;


DROP TABLE TMT_WBS_TMP;
CREATE TABLE TMT_WBS_TMP (
	RANK VARCHAR2(192) NOT NULL,
	WBS_CODE VARCHAR2(255),
	PROJECT_ID VARCHAR2(32),
	PARENT_ID VARCHAR2(32),
	ELEMENT_ID VARCHAR2(32),
	TYPE_ID NUMBER(10) DEFAULT 0 NOT NULL,
	LEVEL_ID NUMBER(10) DEFAULT 0 NOT NULL,
	MAX_RANK NUMBER(10) DEFAULT 0 NOT NULL,
	CHILD_COUNT NUMBER(10) DEFAULT 0 NOT NULL,
	DELETED_COUNT NUMBER(10) DEFAULT 0 NOT NULL,
	ELEMENT_NAME VARCHAR2(255),
	REF_CODE VARCHAR2(50),
	PRIORITY NUMBER(5) DEFAULT 500,
	PUBLISHED VARCHAR2(1) DEFAULT '0' NOT NULL,
	PUBLISHED_BY VARCHAR2(32),
	T_PARENT_ID VARCHAR2(32),
	T_RANK VARCHAR2(192),
	CONSTRAINT_TYPE NUMBER(10) DEFAULT 0,
	CONSTRAINT_DT TIMESTAMP,
	CURRENCY_ID NUMBER(10) DEFAULT 0,
	CALENDAR_ID VARCHAR2(32),
	MINUTE_PER_DAY NUMBER(5) DEFAULT 480,
	MINUTE_PER_WEEK NUMBER(5) DEFAULT 2400,
	METHOD NUMBER(10) DEFAULT 0,
	BUFFER_PERCENT NUMBER(5) DEFAULT 0 NOT NULL,
	START_FINISH_FLAG VARCHAR2(1) DEFAULT '0',
	START_FINISH_DATE DATE,
	SD NUMBER(5) DEFAULT 11 NOT NULL,
	FD NUMBER(5) DEFAULT 12 NOT NULL,
	START_DT TIMESTAMP,
	FINISH_DT TIMESTAMP,
	BASELINE1_START TIMESTAMP,
	BASELINE1_FINISH TIMESTAMP,
	BASELINE2_START TIMESTAMP,
	BASELINE2_FINISH TIMESTAMP,
	BASELINE3_START TIMESTAMP,
	BASELINE3_FINISH TIMESTAMP,
	PLANNED_START TIMESTAMP,
	PLANNED_FINISH TIMESTAMP,
	PROPOSED_START TIMESTAMP,
	PROPOSED_FINISH TIMESTAMP,
	SCHED_START TIMESTAMP,
	SCHED_FINISH TIMESTAMP,
	FORECAST_START TIMESTAMP,
	FORECAST_FINISH TIMESTAMP,
	ACTUAL_START TIMESTAMP,
	ACTUAL_FINISH TIMESTAMP,
	UNRESOLVED_DURATION NUMBER(10) DEFAULT 0,
	DURATION NUMBER(10) DEFAULT 0,
	PLANNED_DURATION NUMBER(10) DEFAULT 0,
	PROPOSED_DURATION NUMBER(10) DEFAULT 0,
	SCHED_DURATION NUMBER(10) DEFAULT 0,
	FORECAST_DURATION NUMBER(10) DEFAULT 0,
	ACTUAL_DURATION NUMBER(10) DEFAULT 0,
	BASELINE1_DURATION NUMBER(10) DEFAULT 0,
	BASELINE2_DURATION NUMBER(10) DEFAULT 0,
	BASELINE3_DURATION NUMBER(10) DEFAULT 0,
	VARIANCE NUMBER(10) DEFAULT 0,
	FORECAST_VARIANCE NUMBER(10) DEFAULT 0,
	ACTUAL_VARIANCE NUMBER(10) DEFAULT 0,
	BASELINE1_VARIANCE NUMBER(10) DEFAULT 0,
	PLANNED_EFFORT NUMBER(19) DEFAULT 0 NOT NULL,
	PROPOSED_EFFORT NUMBER(19) DEFAULT 0 NOT NULL,
	SCHED_EFFORT NUMBER(19) DEFAULT 0 NOT NULL,
	FORECAST_EFFORT NUMBER(19) DEFAULT 0 NOT NULL,
	ACTUAL_EFFORT NUMBER(19) DEFAULT 0 NOT NULL,
	BASELINE1_EFFORT NUMBER(19) DEFAULT 0 NOT NULL,
	BASELINE2_EFFORT NUMBER(19) DEFAULT 0 NOT NULL,
	BASELINE3_EFFORT NUMBER(19) DEFAULT 0 NOT NULL,
	WORK_TODATE NUMBER(19) DEFAULT 0 NOT NULL,
	ETC NUMBER(19) DEFAULT 0 NOT NULL,
	CREATED_BY VARCHAR2(32),
	CREATED_DT TIMESTAMP DEFAULT SYSTIMESTAMP NOT NULL,
	PROBABILITY NUMBER(10) DEFAULT 100,
	STAGE_ID NUMBER(10) DEFAULT 740,
	MILESTONE_PERCENT NUMBER(5) DEFAULT 0 NOT NULL,
	REC_USER VARCHAR2(32),
	REC_STATUS VARCHAR2(1) DEFAULT 'O' NOT NULL,
	REC_DATETIME TIMESTAMP DEFAULT SYSTIMESTAMP NOT NULL,
	LAST_WF_TYPE VARCHAR2(110),
	LAST_WF_BY VARCHAR2(50),
	LAST_WF_DT TIMESTAMP,
	MAJOR_REVISION NUMBER(5) DEFAULT 0 NOT NULL,
	MINOR_REVISION NUMBER(5) DEFAULT 1 NOT NULL,
	REVISION_IMPACT NUMBER(10) DEFAULT 137,
	REVISION_TYPE NUMBER(10) DEFAULT 920,
	REVISION_HISTORY CLOB DEFAULT 'CREATED',
	CLOSED_BY VARCHAR2(32),
	TOOLTIP_DESCR VARCHAR2(255) DEFAULT NULL,
	TOTAL_SLACK NUMBER(10),
	FREE_SLACK NUMBER(10),
	CRITICAL VARCHAR2(1),
	ESTIMATION_TOTAL NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	ESTIMATION_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	CURRENT_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	FORECAST_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	ACTUAL_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	BASELINE1_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	BASELINE2_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	BASELINE3_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	R_ESTIMATION_TOTAL NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	R_ESTIMATION_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	R_CURRENT_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	R_FORECAST_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	R_ACTUAL_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	R_BASELINE1_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	R_BASELINE2_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	R_BASELINE3_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	S_ESTIMATION_TOTAL NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	S_ESTIMATION_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	S_CURRENT_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	S_FORECAST_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	S_ACTUAL_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	S_BASELINE1_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	S_BASELINE2_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	S_BASELINE3_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	DEPENDENCIES CLOB DEFAULT EMPTY_CLOB(),
	ROLLUP_FLAG VARCHAR2(1) DEFAULT '0' NOT NULL,
	EV_FLAG VARCHAR2(1) DEFAULT '0' NOT NULL,
	CRI_COUNT NUMBER(10) DEFAULT 0,
	DOC_COUNT NUMBER(10) DEFAULT 0,
	MSP_ID NUMBER(10) DEFAULT 0 NOT NULL,
	BASELINE_WORK_TODATE NUMBER(19) DEFAULT 0 NOT NULL,
	ASSIGN_COUNT NUMBER(5) DEFAULT 0 NOT NULL,
	ASSIGN_NAMES VARCHAR2(2048),
	RTF_BITS NUMBER(10) DEFAULT 0,
	LAST_CHECKIN TIMESTAMP,
	BAC NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	EAC NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	BCWS NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	BCWP NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	ACWP NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	TRANSFER_FLAG VARCHAR2(1),
	EFFORT_DRIVEN NUMBER(5) DEFAULT 1 NOT NULL,
	BUBBLE_COLOR NUMBER(5) DEFAULT 0 NOT NULL,
	BUBBLE_PUBLISHED_DT TIMESTAMP,
	A_CRI_COUNT NUMBER(5) DEFAULT 0,
	TASK_TYPE NUMBER(5) DEFAULT 10 NOT NULL,
	FS_CODE VARCHAR2(50),
	FS_STATE NUMBER(5) DEFAULT 0 NOT NULL,
	FS_LABOR_CODE VARCHAR2(50),
	EV_ETC NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	REC_FLAGS NUMBER(10) DEFAULT 0 NOT NULL,
	ROLLUP_BITS NUMBER(10) DEFAULT 0 NOT NULL,
	UNRESOLVED_START TIMESTAMP,
	UNRESOLVED_FINISH TIMESTAMP,
	PLANNED_BUDGET NUMBER(18,2) DEFAULT 0.00,
	R_PLANNED_BUDGET NUMBER(18,2) DEFAULT 0.00,
	S_PLANNED_BUDGET NUMBER(18,2) DEFAULT 0.00,
	PROPOSED_BUDGET NUMBER(18,2) DEFAULT 0.00,
	R_PROPOSED_BUDGET NUMBER(18,2) DEFAULT 0.00,
	S_PROPOSED_BUDGET NUMBER(18,2) DEFAULT 0.00,
	EARLY_START TIMESTAMP,
	LATE_START TIMESTAMP,
	EARLY_FINISH TIMESTAMP,
	LATE_FINISH TIMESTAMP,
	LEVEL_INDEX NUMBER(10) DEFAULT 0,
	CALC_PRIORITY NUMBER(5) DEFAULT 500,
	LEVEL_CONFLICT VARCHAR2(4000),
	LEVEL_START TIMESTAMP,
	LEVEL_FINISH TIMESTAMP,
	LEVEL_DURATION NUMBER(10) DEFAULT 0,
	SCORECARD_COUNT NUMBER(10) DEFAULT 0,
	FINISH_START_DATE DATE,
	TOTAL_DURATION NUMBER(19) DEFAULT 0 NOT NULL,
	PREVIOUS_WKF_STEP VARCHAR2(150),
	DEPEND_FLAG VARCHAR2(1) DEFAULT '0' NOT NULL,
	START_FINISH_DURATION NUMBER(10) DEFAULT 0,
	CONVERTED_SCORE NUMBER(19) DEFAULT 0,
	CONVERTED_WEIGHT NUMBER(19) DEFAULT 1,
	TIMEPHASED_BITS NUMBER(10) DEFAULT 0 NOT NULL,
	ESTIMATED_BASELINE1_START DATE,
	ESTIMATED_BASELINE1_FINISH DATE,
	ESTIMATED_BASELINE2_START DATE,
	ESTIMATED_BASELINE2_FINISH DATE,
	ESTIMATED_BASELINE3_START DATE,
	ESTIMATED_BASELINE3_FINISH DATE,
	ESTIMATED_BASELINE1_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	ESTIMATED_BASELINE2_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	ESTIMATED_BASELINE3_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	R_ESTIMATED_BASELINE1_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	R_ESTIMATED_BASELINE2_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	R_ESTIMATED_BASELINE3_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	S_ESTIMATED_BASELINE1_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	S_ESTIMATED_BASELINE2_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	S_ESTIMATED_BASELINE3_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	ESTIMATED_ACTUAL NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	ESTIMATED_ETC NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	R_ESTIMATED_ACTUAL NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	R_ESTIMATED_ETC NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	S_ESTIMATED_ACTUAL NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	S_ESTIMATED_ETC NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	ESTIMATED_HOURS NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	ESTIMATED_ACTUAL_HOURS NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	ESTIMATED_HOURS_ETC NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	R_ESTIMATED_HOURS NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	R_ESTIMATED_ACTUAL_HOURS NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	R_ESTIMATED_HOURS_ETC NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	ESTIMATED_HOURS_BASELINE1 NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	ESTIMATED_HOURS_BASELINE2 NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	ESTIMATED_HOURS_BASELINE3 NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	R_ESTIMATED_HOURS_BASELINE1 NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	R_ESTIMATED_HOURS_BASELINE2 NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	R_ESTIMATED_HOURS_BASELINE3 NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	BASELINE1_EST_DT TIMESTAMP,
	BASELINE2_EST_DT TIMESTAMP,
	BASELINE3_EST_DT TIMESTAMP,
	BASELINE1_SCH_DT TIMESTAMP,
	BASELINE2_SCH_DT TIMESTAMP,
	BASELINE3_SCH_DT TIMESTAMP,
	CUSTOM_INT_1 NUMBER(10) DEFAULT 0,
	SUBPROJECT_COUNT NUMBER(10) DEFAULT 0,
	ESTIMATED_BASELINE1_DURATION NUMBER(10) DEFAULT 0 NOT NULL,
	ESTIMATED_BASELINE2_DURATION NUMBER(10) DEFAULT 0 NOT NULL,
	ESTIMATED_BASELINE3_DURATION NUMBER(10) DEFAULT 0 NOT NULL,
	TIMECODE_1_ID VARCHAR2(32),
	TIMECODE_2_ID VARCHAR2(32),
	RISK_EXPOSURE NUMBER(10) DEFAULT 0 NOT NULL,
	CONSEQUENSE_COST NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	EAC_FORECAST NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	EV_ETC_FORECAST NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	LEVEL_STATE NUMBER(10) DEFAULT 0,
	LEVEL_CONSTRAINT_TYPE NUMBER(10) DEFAULT 0,
	LEVEL_CONSTRAINT_DT VARCHAR2(26),
	WORK_PERCENT NUMBER(5) DEFAULT 0,
	MP_STATUS_DT TIMESTAMP,
	REFERENCE_NUMBER NUMBER(19),
	ASSET_ID VARCHAR2(32),
	ASSET_NAME VARCHAR2(50),
	FINANCIAL_CATEGORY NUMBER(10) DEFAULT 6501,
	POOL_ID VARCHAR2(32),
	ASSET_FLAG NUMBER(10) DEFAULT 0,
	BASELINE3_START_VARIANCE NUMBER(10) DEFAULT 0,
	BASELINE3_FINISH_VARIANCE NUMBER(10) DEFAULT 0,
	ELEMENT_FLAG NUMBER(5) DEFAULT 0 NOT NULL,
	BASELINE_FLAG NUMBER(5) DEFAULT 0,
	CHARGED_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	R_CHARGED_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	S_CHARGED_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	LEDGER_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	R_LEDGER_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	S_LEDGER_BUDGET NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	ESTIMATED_CHARGED NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	R_ESTIMATED_CHARGED NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	S_ESTIMATED_CHARGED NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	ESTIMATED_LEDGER NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	R_ESTIMATED_LEDGER NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	S_ESTIMATED_LEDGER NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	BCWS_FORECAST NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	BCWP_FORECAST NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	ACWP_FORECAST NUMBER(18,2) DEFAULT 0.00 NOT NULL,
	TIME_VARIANCE NUMBER(10) DEFAULT 0 NOT NULL,
	EXTERNAL_ID VARCHAR2(50)
)
TABLESPACE PMO_DATA_64K
LOB(REVISION_HISTORY ) STORE AS LOBC_TMT_WBS(TABLESPACE PMO_LOB_64K);


--INSERT INTO TMT_WBS_TMP SELECT * FROM TMT_WBS;
INSERT INTO TMT_WBS_TMP
	(RANK,
	WBS_CODE,
	PROJECT_ID,
	PARENT_ID,
	ELEMENT_ID,
	TYPE_ID,
	LEVEL_ID,
	MAX_RANK,
	CHILD_COUNT,
	DELETED_COUNT,
	ELEMENT_NAME,
	REF_CODE,
	PRIORITY,
	PUBLISHED,
	PUBLISHED_BY,
	T_PARENT_ID,
	T_RANK,
	CONSTRAINT_TYPE,
	CONSTRAINT_DT,
	CURRENCY_ID,
	CALENDAR_ID,
	MINUTE_PER_DAY,
	MINUTE_PER_WEEK,
	METHOD,
	BUFFER_PERCENT,
	START_FINISH_FLAG,
	START_FINISH_DATE,
	SD,
	FD,
	START_DT,
	FINISH_DT,
	BASELINE1_START,
	BASELINE1_FINISH,
	BASELINE2_START,
	BASELINE2_FINISH,
	BASELINE3_START,
	BASELINE3_FINISH,
	PLANNED_START,
	PLANNED_FINISH,
	PROPOSED_START,
	PROPOSED_FINISH,
	SCHED_START,
	SCHED_FINISH,
	FORECAST_START,
	FORECAST_FINISH,
	ACTUAL_START,
	ACTUAL_FINISH,
	UNRESOLVED_DURATION,
	DURATION,
	PLANNED_DURATION,
	PROPOSED_DURATION,
	SCHED_DURATION,
	FORECAST_DURATION,
	ACTUAL_DURATION,
	BASELINE1_DURATION,
	BASELINE2_DURATION,
	BASELINE3_DURATION,
	VARIANCE,
	FORECAST_VARIANCE,
	ACTUAL_VARIANCE,
	BASELINE1_VARIANCE,
	PLANNED_EFFORT,
	PROPOSED_EFFORT,
	SCHED_EFFORT,
	FORECAST_EFFORT,
	ACTUAL_EFFORT,
	BASELINE1_EFFORT,
	BASELINE2_EFFORT,
	BASELINE3_EFFORT,
	WORK_TODATE,
	ETC,
	CREATED_BY,
	CREATED_DT,
	PROBABILITY,
	STAGE_ID,
	MILESTONE_PERCENT,
	REC_USER,
	REC_STATUS,
	REC_DATETIME,
	LAST_WF_TYPE,
	LAST_WF_BY,
	LAST_WF_DT,
	MAJOR_REVISION,
	MINOR_REVISION,
	REVISION_IMPACT,
	REVISION_TYPE,
	REVISION_HISTORY,
	CLOSED_BY,
	TOOLTIP_DESCR,
	TOTAL_SLACK,
	FREE_SLACK,
	CRITICAL,
	ESTIMATION_TOTAL,
	ESTIMATION_BUDGET,
	CURRENT_BUDGET,
	FORECAST_BUDGET,
	ACTUAL_BUDGET,
	BASELINE1_BUDGET,
	BASELINE2_BUDGET,
	BASELINE3_BUDGET,
	R_ESTIMATION_TOTAL,
	R_ESTIMATION_BUDGET,
	R_CURRENT_BUDGET,
	R_FORECAST_BUDGET,
	R_ACTUAL_BUDGET,
	R_BASELINE1_BUDGET,
	R_BASELINE2_BUDGET,
	R_BASELINE3_BUDGET,
	S_ESTIMATION_TOTAL,
	S_ESTIMATION_BUDGET,
	S_CURRENT_BUDGET,
	S_FORECAST_BUDGET,
	S_ACTUAL_BUDGET,
	S_BASELINE1_BUDGET,
	S_BASELINE2_BUDGET,
	S_BASELINE3_BUDGET,
	DEPENDENCIES,
	ROLLUP_FLAG ,
	EV_FLAG,
	CRI_COUNT,
	DOC_COUNT,
	MSP_ID,
	BASELINE_WORK_TODATE,
	ASSIGN_COUNT,
	ASSIGN_NAMES,
	RTF_BITS,
	LAST_CHECKIN,
	BAC,
	EAC,
	BCWS,
	BCWP,
	ACWP,
	TRANSFER_FLAG,
	EFFORT_DRIVEN,
	BUBBLE_COLOR,
	BUBBLE_PUBLISHED_DT,
	A_CRI_COUNT,
	TASK_TYPE,
	FS_CODE ,
	FS_STATE,
	FS_LABOR_CODE,
	EV_ETC,
	REC_FLAGS,
	ROLLUP_BITS,
	UNRESOLVED_START,
	UNRESOLVED_FINISH,
	PLANNED_BUDGET,
	R_PLANNED_BUDGET,
	S_PLANNED_BUDGET,
	PROPOSED_BUDGET,
	R_PROPOSED_BUDGET,
	S_PROPOSED_BUDGET,
	EARLY_START,
	LATE_START,
	EARLY_FINISH,
	LATE_FINISH,
	LEVEL_INDEX,
	CALC_PRIORITY,
	LEVEL_CONFLICT,
	LEVEL_START,
	LEVEL_FINISH,
	LEVEL_DURATION,
	SCORECARD_COUNT,
	FINISH_START_DATE,
	TOTAL_DURATION,
	PREVIOUS_WKF_STEP,
	DEPEND_FLAG,
	START_FINISH_DURATION,
	CONVERTED_SCORE,
	CONVERTED_WEIGHT,
	TIMEPHASED_BITS,
	ESTIMATED_BASELINE1_START,
	ESTIMATED_BASELINE1_FINISH,
	ESTIMATED_BASELINE2_START,
	ESTIMATED_BASELINE2_FINISH,
	ESTIMATED_BASELINE3_START,
	ESTIMATED_BASELINE3_FINISH,
	ESTIMATED_BASELINE1_BUDGET,
	ESTIMATED_BASELINE2_BUDGET,
	ESTIMATED_BASELINE3_BUDGET,
	R_ESTIMATED_BASELINE1_BUDGET,
	R_ESTIMATED_BASELINE2_BUDGET,
	R_ESTIMATED_BASELINE3_BUDGET,
	S_ESTIMATED_BASELINE1_BUDGET,
	S_ESTIMATED_BASELINE2_BUDGET,
	S_ESTIMATED_BASELINE3_BUDGET,
	ESTIMATED_ACTUAL,
	ESTIMATED_ETC,
	R_ESTIMATED_ACTUAL,
	R_ESTIMATED_ETC,
	S_ESTIMATED_ACTUAL,
	S_ESTIMATED_ETC,
	ESTIMATED_HOURS,
	ESTIMATED_ACTUAL_HOURS,
	ESTIMATED_HOURS_ETC,
	R_ESTIMATED_HOURS,
	R_ESTIMATED_ACTUAL_HOURS,
	R_ESTIMATED_HOURS_ETC,
	ESTIMATED_HOURS_BASELINE1,
	ESTIMATED_HOURS_BASELINE2,
	ESTIMATED_HOURS_BASELINE3,
	R_ESTIMATED_HOURS_BASELINE1,
	R_ESTIMATED_HOURS_BASELINE2,
	R_ESTIMATED_HOURS_BASELINE3,
	BASELINE1_EST_DT,
	BASELINE2_EST_DT,
	BASELINE3_EST_DT,
	BASELINE1_SCH_DT,
	BASELINE2_SCH_DT,
	BASELINE3_SCH_DT,
	CUSTOM_INT_1,
	SUBPROJECT_COUNT,
	ESTIMATED_BASELINE1_DURATION,
	ESTIMATED_BASELINE2_DURATION,
	ESTIMATED_BASELINE3_DURATION,
	TIMECODE_1_ID,
	TIMECODE_2_ID,
	RISK_EXPOSURE,
	CONSEQUENSE_COST,
	EAC_FORECAST,
	EV_ETC_FORECAST,
	LEVEL_STATE,
	LEVEL_CONSTRAINT_TYPE,
	LEVEL_CONSTRAINT_DT,
	WORK_PERCENT,
	MP_STATUS_DT,
	REFERENCE_NUMBER,
	ASSET_ID,
	ASSET_NAME,
	FINANCIAL_CATEGORY,
	POOL_ID,
	ASSET_FLAG,
	BASELINE3_START_VARIANCE,
	BASELINE3_FINISH_VARIANCE,
	ELEMENT_FLAG,
	BASELINE_FLAG,
	CHARGED_BUDGET,
	R_CHARGED_BUDGET,
	S_CHARGED_BUDGET,
	LEDGER_BUDGET,
	R_LEDGER_BUDGET,
	S_LEDGER_BUDGET,
	ESTIMATED_CHARGED,
	R_ESTIMATED_CHARGED,
	S_ESTIMATED_CHARGED,
	ESTIMATED_LEDGER,
	R_ESTIMATED_LEDGER,
	S_ESTIMATED_LEDGER,
	BCWS_FORECAST,
	BCWP_FORECAST,
	ACWP_FORECAST,
	TIME_VARIANCE,
	EXTERNAL_ID)
SELECT
	RANK,
	WBS_CODE,
	PROJECT_ID,
	PARENT_ID,
	ELEMENT_ID,
	TYPE_ID,
	LEVEL_ID,
	MAX_RANK,
	CHILD_COUNT,
	DELETED_COUNT,
	ELEMENT_NAME,
	REF_CODE,
	PRIORITY,
	PUBLISHED,
	PUBLISHED_BY,
	T_PARENT_ID,
	T_RANK,
	CONSTRAINT_TYPE,
	CONSTRAINT_DT,
	CURRENCY_ID,
	CALENDAR_ID,
	MINUTE_PER_DAY,
	MINUTE_PER_WEEK,
	METHOD,
	BUFFER_PERCENT,
	START_FINISH_FLAG,
	START_FINISH_DATE,
	SD,
	FD,
	START_DT,
	FINISH_DT,
	BASELINE1_START,
	BASELINE1_FINISH,
	BASELINE2_START,
	BASELINE2_FINISH,
	BASELINE3_START,
	BASELINE3_FINISH,
	PLANNED_START,
	PLANNED_FINISH,
	PROPOSED_START,
	PROPOSED_FINISH,
	SCHED_START,
	SCHED_FINISH,
	FORECAST_START,
	FORECAST_FINISH,
	ACTUAL_START,
	ACTUAL_FINISH,
	UNRESOLVED_DURATION,
	DURATION,
	PLANNED_DURATION,
	PROPOSED_DURATION,
	SCHED_DURATION,
	FORECAST_DURATION,
	ACTUAL_DURATION,
	BASELINE1_DURATION,
	BASELINE2_DURATION,
	BASELINE3_DURATION,
	VARIANCE,
	FORECAST_VARIANCE,
	ACTUAL_VARIANCE,
	BASELINE1_VARIANCE,
	PLANNED_EFFORT,
	PROPOSED_EFFORT,
	SCHED_EFFORT,
	FORECAST_EFFORT,
	ACTUAL_EFFORT,
	BASELINE1_EFFORT,
	BASELINE2_EFFORT,
	BASELINE3_EFFORT,
	WORK_TODATE,
	ETC,
	CREATED_BY,
	CREATED_DT,
	PROBABILITY,
	STAGE_ID,
	MILESTONE_PERCENT,
	REC_USER,
	REC_STATUS,
	REC_DATETIME,
	LAST_WF_TYPE,
	LAST_WF_BY,
	LAST_WF_DT,
	MAJOR_REVISION,
	MINOR_REVISION,
	REVISION_IMPACT,
	REVISION_TYPE,
	REVISION_HISTORY,
	CLOSED_BY,
	TOOLTIP_DESCR,
	TOTAL_SLACK,
	FREE_SLACK,
	CRITICAL,
	ESTIMATION_TOTAL,
	ESTIMATION_BUDGET,
	CURRENT_BUDGET,
	FORECAST_BUDGET,
	ACTUAL_BUDGET,
	BASELINE1_BUDGET,
	BASELINE2_BUDGET,
	BASELINE3_BUDGET,
	R_ESTIMATION_TOTAL,
	R_ESTIMATION_BUDGET,
	R_CURRENT_BUDGET,
	R_FORECAST_BUDGET,
	R_ACTUAL_BUDGET,
	R_BASELINE1_BUDGET,
	R_BASELINE2_BUDGET,
	R_BASELINE3_BUDGET,
	S_ESTIMATION_TOTAL,
	S_ESTIMATION_BUDGET,
	S_CURRENT_BUDGET,
	S_FORECAST_BUDGET,
	S_ACTUAL_BUDGET,
	S_BASELINE1_BUDGET,
	S_BASELINE2_BUDGET,
	S_BASELINE3_BUDGET,
	DEPENDENCIES,
	ROLLUP_FLAG ,
	EV_FLAG,
	CRI_COUNT,
	DOC_COUNT,
	MSP_ID,
	BASELINE_WORK_TODATE,
	ASSIGN_COUNT,
	ASSIGN_NAMES,
	RTF_BITS,
	LAST_CHECKIN,
	BAC,
	EAC,
	BCWS,
	BCWP,
	ACWP,
	TRANSFER_FLAG,
	EFFORT_DRIVEN,
	BUBBLE_COLOR,
	BUBBLE_PUBLISHED_DT,
	A_CRI_COUNT,
	TASK_TYPE,
	FS_CODE ,
	FS_STATE,
	FS_LABOR_CODE,
	EV_ETC,
	REC_FLAGS,
	ROLLUP_BITS,
	UNRESOLVED_START,
	UNRESOLVED_FINISH,
	PLANNED_BUDGET,
	R_PLANNED_BUDGET,
	S_PLANNED_BUDGET,
	PROPOSED_BUDGET,
	R_PROPOSED_BUDGET,
	S_PROPOSED_BUDGET,
	EARLY_START,
	LATE_START,
	EARLY_FINISH,
	LATE_FINISH,
	LEVEL_INDEX,
	CALC_PRIORITY,
	LEVEL_CONFLICT,
	LEVEL_START,
	LEVEL_FINISH,
	LEVEL_DURATION,
	SCORECARD_COUNT,
	FINISH_START_DATE,
	TOTAL_DURATION,
	PREVIOUS_WKF_STEP,
	DEPEND_FLAG,
	START_FINISH_DURATION,
	CONVERTED_SCORE,
	CONVERTED_WEIGHT,
	TIMEPHASED_BITS,
	ESTIMATED_BASELINE1_START,
	ESTIMATED_BASELINE1_FINISH,
	ESTIMATED_BASELINE2_START,
	ESTIMATED_BASELINE2_FINISH,
	ESTIMATED_BASELINE3_START,
	ESTIMATED_BASELINE3_FINISH,
	ESTIMATED_BASELINE1_BUDGET,
	ESTIMATED_BASELINE2_BUDGET,
	ESTIMATED_BASELINE3_BUDGET,
	R_ESTIMATED_BASELINE1_BUDGET,
	R_ESTIMATED_BASELINE2_BUDGET,
	R_ESTIMATED_BASELINE3_BUDGET,
	S_ESTIMATED_BASELINE1_BUDGET,
	S_ESTIMATED_BASELINE2_BUDGET,
	S_ESTIMATED_BASELINE3_BUDGET,
	ESTIMATED_ACTUAL,
	ESTIMATED_ETC,
	R_ESTIMATED_ACTUAL,
	R_ESTIMATED_ETC,
	S_ESTIMATED_ACTUAL,
	S_ESTIMATED_ETC,
	ESTIMATED_HOURS,
	ESTIMATED_ACTUAL_HOURS,
	ESTIMATED_HOURS_ETC,
	R_ESTIMATED_HOURS,
	R_ESTIMATED_ACTUAL_HOURS,
	R_ESTIMATED_HOURS_ETC,
	ESTIMATED_HOURS_BASELINE1,
	ESTIMATED_HOURS_BASELINE2,
	ESTIMATED_HOURS_BASELINE3,
	R_ESTIMATED_HOURS_BASELINE1,
	R_ESTIMATED_HOURS_BASELINE2,
	R_ESTIMATED_HOURS_BASELINE3,
	BASELINE1_EST_DT,
	BASELINE2_EST_DT,
	BASELINE3_EST_DT,
	BASELINE1_SCH_DT,
	BASELINE2_SCH_DT,
	BASELINE3_SCH_DT,
	CUSTOM_INT_1,
	SUBPROJECT_COUNT,
	ESTIMATED_BASELINE1_DURATION,
	ESTIMATED_BASELINE2_DURATION,
	ESTIMATED_BASELINE3_DURATION,
	TIMECODE_1_ID,
	TIMECODE_2_ID,
	RISK_EXPOSURE,
	CONSEQUENSE_COST,
	EAC_FORECAST,
	EV_ETC_FORECAST,
	LEVEL_STATE,
	LEVEL_CONSTRAINT_TYPE,
	LEVEL_CONSTRAINT_DT,
	WORK_PERCENT,
	MP_STATUS_DT,
	REFERENCE_NUMBER,
	ASSET_ID,
	ASSET_NAME,
	FINANCIAL_CATEGORY,
	POOL_ID,
	ASSET_FLAG,
	BASELINE3_START_VARIANCE,
	BASELINE3_FINISH_VARIANCE,
	ELEMENT_FLAG,
	BASELINE_FLAG,
	CHARGED_BUDGET,
	R_CHARGED_BUDGET,
	S_CHARGED_BUDGET,
	LEDGER_BUDGET,
	R_LEDGER_BUDGET,
	S_LEDGER_BUDGET,
	ESTIMATED_CHARGED,
	R_ESTIMATED_CHARGED,
	S_ESTIMATED_CHARGED,
	ESTIMATED_LEDGER,
	R_ESTIMATED_LEDGER,
	S_ESTIMATED_LEDGER,
	BCWS_FORECAST,
	BCWP_FORECAST,
	ACWP_FORECAST,
	TIME_VARIANCE,
	EXTERNAL_ID
FROM TMT_WBS;

DROP INDEX TWBSX_EID_XU;
DROP INDEX TWBSX_FC_XX;
DROP INDEX TWBSX_NID_XX;
DROP INDEX TWBSX_PJID_XX;
DROP INDEX TWBSX_RK_CU;
DROP INDEX TWBSX_TPID_XX;
DROP INDEX TWBSX_LV_XXXX;
DROP INDEX WBS_POOLID;
DROP INDEX TWBSX_STG_XX;


DROP TABLE TMT_WBS_OLD;
ALTER TABLE TMT_WBS RENAME TO TMT_WBS_OLD;
ALTER TABLE TMT_WBS_TMP RENAME TO TMT_WBS;

CREATE UNIQUE INDEX TWBSX_EID_XU ON TMT_WBS (ELEMENT_ID ASC) TABLESPACE PMO_IDX_64K;
CREATE  INDEX TWBSX_FC_XX ON TMT_WBS (FS_CODE ASC) TABLESPACE PMO_IDX_64K;
CREATE  INDEX TWBSX_NID_XX ON TMT_WBS (PARENT_ID ASC) TABLESPACE PMO_IDX_64K;
CREATE  INDEX TWBSX_PJID_XX ON TMT_WBS (PROJECT_ID ASC,ELEMENT_ID ASC) TABLESPACE PMO_IDX_64K;
CREATE UNIQUE INDEX TWBSX_RK_CU ON TMT_WBS (RANK ASC)  PCTFREE = 30 TABLESPACE PMO_IDX_64K;
CREATE  INDEX TWBSX_TPID_XX ON TMT_WBS (T_PARENT_ID ASC) TABLESPACE PMO_IDX_64K;
CREATE  INDEX TWBSX_LV_XXXX ON TMT_WBS (PROJECT_ID,LEVEL_STATE ASC) TABLESPACE PMO_IDX_64K;
CREATE  INDEX WBS_POOLID ON TMT_WBS (POOL_ID ASC,PROJECT_ID ASC,ELEMENT_ID ASC) TABLESPACE PMO_IDX_64K;
CREATE  INDEX TWBSX_STG_XX ON TMT_WBS (PROJECT_ID ASC,STAGE_ID ASC) TABLESPACE PMO_IDX_64K;



@plbddl/Sequences.sql
@plbddl/triggers.sql

--DROP LIBRARY LEVELING_LIB;
--CREATE LIBRARY LEVELING_LIB AS 'C:\ORACLE\ORA92\BIN\LEVELINGLIB.DLL';
--/

@utils/recompile
@utils/recompile


update tmt_global_security set INT_5 = PMO_STPU.BIT_OR(INT_5,16384);
update tmt_global_security set INT_5 = PMO_STPU.BIT_OR(INT_5,327687);


update task_assignments ta
set LABOR_COST_CC_ID = 'EXPENSE_LABOR', 
LABOR_REVENUE_CC_ID = null,
CAPITAL_EXPENSE = 14, 
BILLABLE = 0
where ta.task_id in (select element_id from tmt_wbs t where t.type_id in (313, 314, 306))
and LABOR_COST_CC_ID is null;


UPDATE TMT_SETTINGS
SET ELEMENT_NAME = '6.1.1.3'
WHERE ELEMENT_ID = 'CLIENT_VERSION_NUMBER';

UPDATE TMT_SETTINGS
SET DESCRIPTION = '6.1.1.3'
WHERE ELEMENT_ID = 'APPLICATION_VERSION';

UPDATE TMT_SETTINGS
SET ELEMENT_NAME = '6.5.2.45', DESCRIPTION = '6.5.2.45'
WHERE ELEMENT_ID = 'CLIENT_BUILD_NUMBER';

UPDATE TMT_SETTINGS
SET DESCRIPTION = '6.5.2.46'
WHERE ELEMENT_ID = 'SERVER_BUILD_NUMBER';

COMMIT;

-------------------------------------
--- CHECK IF MIGRATION WAS SUCCESSFUL
-------------------------------------
@utils/recompile

select case when (select count(*) from user_tables where table_name in 
('HISTORY_ASSET_DOCUMENTS'
,'HISTORY_CLIENTS'
,'HISTORY_CLIENT_DOCUMENTS'
,'HISTORY_DOCUMENTS'
,'HISTORY_POOLS'
,'HISTORY_POOL_DOCUMENTS'
,'HISTORY_RESOURCE_DOCUMENTS'
,'HISTORY_VENDORS'
,'HISTORY_VENDOR_DOCUMENTS'
,'HISTORY_ASSETS'
,'HISTORY_ASSIGNED_SCORECARDS'
,'HISTORY_CRI'
,'HISTORY_RESOURCES'
,'HISTORY_WBS'
,'RESOURCES'
,'TMT_ASSETS'
,'TMT_ASSET_DOCUMENTS'
,'TMT_ASSIGNED_SCORECARDS'
,'TMT_CLIENTS'
,'TMT_CLIENT_DOCUMENTS'
,'TMT_CRI'
,'TMT_DOCUMENTS'
,'TMT_POOLS'
,'TMT_POOL_DOCUMENTS'
,'TMT_RESOURCE_DOCUMENTS'
,'TMT_VENDORS'
,'TMT_VENDOR_DOCUMENTS'
,'TMT_WBS'
))<>28 then 'error in number of permenant tables' else 'success in number of permenant tables' end from dual;

select case when (select count(*) from user_tables where table_name in
('OLD_TMT_POOLS'
,'OLD_HISTORY_POOLS'
,'HISTORY_ASSET_DOCUMENTS_OLD'
,'HISTORY_CLIENTS_OLD'
,'HISTORY_CLIENT_DOCUMENTS_OLD'
,'HISTORY_DOCUMENTS_OLD'
,'HISTORY_POOL_DOCUMENTS_OLD'
,'HISTORY_RESOURCE_DOCUMENTS_OLD'
,'HISTORY_VENDORS_OLD'
,'HISTORY_VENDOR_DOCUMENTS_OLD'
,'HISTORY_ASSETS_OLD'
,'HISTORY_ASSIGNED_SCORECARDS_OL'
,'HISTORY_CRI_OLD'
,'HISTORY_RESOURCES_OLD'
,'HISTORY_WBS_OLD'
,'RESOURCES_OLD'
,'TMT_ASSETS_OLD'
,'TMT_ASSET_DOCUMENTS_OLD'
,'TMT_ASSIGNED_SCORECARDS_OLD'
,'TMT_CLIENTS_OLD'
,'TMT_CLIENT_DOCUMENTS_OLD'
,'TMT_CRI_OLD'
,'TMT_DOCUMENTS_OLD'
,'TMT_POOL_DOCUMENTS_OLD'
,'TMT_RESOURCE_DOCUMENTS_OLD'
,'TMT_VENDORS_OLD'
,'TMT_VENDOR_DOCUMENTS_OLD'
,'TMT_WBS_OLD'))<>28 then 'error in number of intermediary tables' else 'success in number of intermediary tables' end from dual;




select case when (select count(*) from TMT_POOLS)<>(select count(*) from OLD_TMT_POOLS) then 'error migrating TMT_POOLS' else 'success migrating TMT_POOLS' end from dual;

select case when (select count(*) from HISTORY_POOLS)<>(select count(*) from OLD_HISTORY_POOLS) then 'error migrating HISTORY_POOLS' else 'success migrating HISTORY_POOLS' end from dual;

select case when (select count(*) from HISTORY_ASSET_DOCUMENTS)<>(select count(*) from HISTORY_ASSET_DOCUMENTS_OLD) then 'error migrating HISTORY_ASSET_DOCUMENTS' else 'success migrating HISTORY_ASSET_DOCUMENTS' end from dual;

select case when (select count(*) from HISTORY_CLIENTS)<>(select count(*) from HISTORY_CLIENTS_OLD) then 'error migrating HISTORY_CLIENTS' else 'success migrating HISTORY_CLIENTS' end from dual;

select case when (select count(*) from HISTORY_CLIENT_DOCUMENTS)<>(select count(*) from HISTORY_CLIENT_DOCUMENTS_OLD) then 'error migrating HISTORY_CLIENT_DOCUMENTS' else 'success migrating HISTORY_CLIENT_DOCUMENTS' end from dual;

select case when (select count(*) from HISTORY_DOCUMENTS)<>(select count(*) from HISTORY_DOCUMENTS_OLD) then 'error migrating HISTORY_DOCUMENTS' else 'success migrating HISTORY_DOCUMENTS' end  from dual;

select case when (select count(*) from HISTORY_POOL_DOCUMENTS)<>(select count(*) from HISTORY_POOL_DOCUMENTS_OLD) then 'error migrating HISTORY_POOL_DOCUMENTS' else 'success migrating HISTORY_POOL_DOCUMENTS' end from dual;

select case when (select count(*) from HISTORY_RESOURCE_DOCUMENTS)<>(select count(*) from HISTORY_RESOURCE_DOCUMENTS_OLD) then 'error migrating HISTORY_RESOURCE_DOCUMENTS' else 'success migrating HISTORY_RESOURCE_DOCUMENTS' end from dual;

select case when (select count(*) from HISTORY_VENDORS)<>(select count(*) from HISTORY_VENDORS_OLD) then 'error migrating HISTORY_VENDORS' else 'success migrating HISTORY_VENDORS' end from dual;

select case when (select count(*) from HISTORY_VENDOR_DOCUMENTS)<>(select count(*) from HISTORY_VENDOR_DOCUMENTS_OLD) then 'error migrating HISTORY_VENDOR_DOCUMENTS' else 'success migrating HISTORY_VENDOR_DOCUMENTS' end  from dual;

select case when (select count(*) from HISTORY_ASSETS)<>(select count(*) from HISTORY_ASSETS_OLD) then 'error migrating HISTORY_ASSETS' else 'success migrating HISTORY_ASSETS' end from dual;

select case when (select count(*) from HISTORY_ASSIGNED_SCORECARDS)<>(select count(*) from HISTORY_ASSIGNED_SCORECARDS_OL) then 'error migrating HISTORY_ASSIGNED_SCORECARDS' else 'success migrating HISTORY_ASSIGNED_SCORECARDS' end  from dual;

select case when (select count(*) from HISTORY_CRI)<>(select count(*) from HISTORY_CRI_OLD) then 'error migrating HISTORY_CRI' else 'success migrating HISTORY_CRI' end from dual;

select case when (select count(*) from HISTORY_RESOURCES)<>(select count(*) from HISTORY_RESOURCES_OLD) then 'error migrating HISTORY_RESOURCES' else 'success migrating HISTORY_RESOURCES' end from dual;

select case when (select count(*) from HISTORY_WBS)<>(select count(*) from HISTORY_WBS_OLD) then 'error migrating HISTORY_WBS' else 'success migrating HISTORY_WBS' end from dual;

select case when (select count(*) from RESOURCES)<>(select count(*) from RESOURCES_OLD) then 'error migrating RESOURCES' else 'success migrating RESOURCES' end from dual;

select case when (select count(*) from TMT_ASSETS)<>(select count(*) from TMT_ASSETS_OLD) then 'error migrating TMT_ASSETS' else 'success migrating TMT_ASSETS' end from dual;

select case when (select count(*) from TMT_ASSET_DOCUMENTS)<>(select count(*) from TMT_ASSET_DOCUMENTS_OLD) then 'error migrating TMT_ASSET_DOCUMENTS' else 'success migrating TMT_ASSET_DOCUMENTS' end from dual;

select case when (select count(*) from TMT_ASSIGNED_SCORECARDS)<>(select count(*) from TMT_ASSIGNED_SCORECARDS_OLD) then 'error migrating TMT_ASSIGNED_SCORECARDS' else 'success migrating TMT_ASSIGNED_SCORECARDS' end from dual;

select case when (select count(*) from TMT_CLIENTS)<>(select count(*) from TMT_CLIENTS_OLD) then 'error migrating TMT_CLIENTS' else 'success migrating TMT_CLIENTS' end from dual;

select case when (select count(*) from TMT_CLIENT_DOCUMENTS)<>(select count(*) from TMT_CLIENT_DOCUMENTS_OLD) then 'error migrating TMT_CLIENT_DOCUMENTS' else 'success migrating TMT_CLIENT_DOCUMENTS' end from dual;

select case when (select count(*) from TMT_CRI)<>(select count(*) from TMT_CRI_OLD) then 'error migrating TMT_CRI' else 'success migrating TMT_CRI' end from dual;

select case when (select count(*) from TMT_DOCUMENTS)<>(select count(*) from TMT_DOCUMENTS_OLD) then 'error migrating TMT_DOCUMENTS' else 'success migrating TMT_DOCUMENTS' end from dual;

select case when (select count(*) from TMT_POOL_DOCUMENTS)<>(select count(*) from TMT_POOL_DOCUMENTS_OLD) then 'error migrating TMT_POOL_DOCUMENTS' else 'success migrating TMT_POOL_DOCUMENTS' end from dual;

select case when (select count(*) from TMT_RESOURCE_DOCUMENTS)<>(select count(*) from TMT_RESOURCE_DOCUMENTS_OLD) then 'error migrating TMT_RESOURCE_DOCUMENTS' else 'success migrating TMT_RESOURCE_DOCUMENTS' end from dual;

select case when (select count(*) from TMT_VENDORS)<>(select count(*) from TMT_VENDORS_OLD) then 'error migrating TMT_VENDORS' else 'success migrating TMT_VENDORS' end from dual;

select case when (select count(*) from TMT_VENDOR_DOCUMENTS)<>(select count(*) from TMT_VENDOR_DOCUMENTS_OLD) then 'error migrating TMT_VENDOR_DOCUMENTS' else 'success migrating TMT_VENDOR_DOCUMENTS' end from dual;

select case when (select count(*) from TMT_WBS)<>(select count(*) from TMT_WBS_OLD) then 'error migrating TMT_WBS' else 'success migrating TMT_WBS' end  from dual;

select case when (select count(*) from user_indexes where table_name in 
('HISTORY_ASSET_DOCUMENTS'
,'HISTORY_CLIENTS'
,'HISTORY_CLIENT_DOCUMENTS'
,'HISTORY_DOCUMENTS'
,'HISTORY_POOLS'
,'HISTORY_POOL_DOCUMENTS'
,'HISTORY_RESOURCE_DOCUMENTS'
,'HISTORY_VENDORS'
,'HISTORY_VENDOR_DOCUMENTS'
,'HISTORY_ASSETS'
,'HISTORY_ASSIGNED_SCORECARDS'
,'HISTORY_CRI'
,'HISTORY_RESOURCES'
,'HISTORY_WBS'
,'RESOURCES'
,'TMT_ASSETS'
,'TMT_ASSET_DOCUMENTS'
,'TMT_ASSIGNED_SCORECARDS'
,'TMT_CLIENTS'
,'TMT_CLIENT_DOCUMENTS'
,'TMT_CRI'
,'TMT_DOCUMENTS'
,'TMT_POOLS'
,'TMT_POOL_DOCUMENTS'
,'TMT_RESOURCE_DOCUMENTS'
,'TMT_VENDORS'
,'TMT_VENDOR_DOCUMENTS'
,'TMT_WBS'
) and index_type<>'LOB')<>116 then 'error in number of indexes' else 'success in number of indexes' end from dual;

select case when (select count(*) from user_triggers)<>89 then 'error in number of triggers' else 'success in number of triggers' end from dual; 
 
spool off;
exit;
